2018-12-21  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/gettext.m4: New file, from gettext-0.19.8.1.
	* m4/iconv.m4: New file, from gettext-0.19.8.1.
	* m4/lib-ld.m4: New file, from gettext-0.19.8.1.
	* m4/lib-link.m4: New file, from gettext-0.19.8.1.
	* m4/lib-prefix.m4: New file, from gettext-0.19.8.1.
	* m4/nls.m4: New file, from gettext-0.19.8.1.
	* m4/po.m4: New file, from gettext-0.19.8.1.
	* m4/progtest.m4: New file, from gettext-0.19.8.1.
	* Makefile.am (EXTRA_DIST): Add config.rpath.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in.

2007-06-05 23:44  cclepper

	* src/Pixes/recordQT.cpp: fixed looooong first frame bug.  added
	  detection for colorspace and image flipping.

2007-05-31 19:52  zmoelnig

	* src/Pixes/pix_buffer.cpp: make old-images tiny (almost free them)
	  when resizing the array: important when you resize large arrays;
	  TODO: do not resize buffers that already have the correct size

2007-05-31 17:18  zmoelnig

	* src/Pixes/: pix_buffer.cpp, pix_buffer.h: added "resize" message

2007-05-30 16:49  zmoelnig

	* src/Pixes/: pix_buffer.cpp, pix_buffer.h: added "resize" message

2007-04-02 17:27  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, videoV4L2.cpp: fixed v4l2-code as
	  to set the "m_capturing"-flag whenever we exit the capturing
	  thread (not just when we power it down);

	  in pix_videoNEW do not startTransfer() in the constructor phase

2007-04-02 12:24  zmoelnig

	* src/Base/TextBase.h: incidentially deleted the "using
	  std::string;" line...now it is back

2007-04-02 12:18  zmoelnig

	* src/README.linux: updated documentation a bit

2007-04-02 09:36  zmoelnig

	* src/: Base/TextBase.cpp, Base/TextBase.h, Base/config.h,
	  Base/configGeneric.h.in, Base/configLinux.h.in, Base/configNT.h,
	  Geos/text2d.cpp, Geos/text2d.h, Geos/text3d.cpp, Geos/text3d.h,
	  Geos/textextruded.cpp, Geos/textoutline.cpp, Geos/textoutline.h:
	  removed GLTT support; added wide-character support for FTGL (at
	  least in "string" mode)

2007-04-02 09:34  zmoelnig

	* src/configure.ac: removed GLTT support; added wide character
	  support for FTGL-font rendering (at least in "string" mode)

2007-03-14 11:57  zmoelnig

	* src/Pixes/videoDV4L.cpp: minor issue with using fprintf() without
	  carriage return; this solution uses verbose(), though i am not
	  sure whether this is really thread safe...  have i really
	  forgotten to check this in...?

2007-03-12 10:15  zmoelnig

	* src/Pixes/: pix_offset.cpp, pix_offset.h: added saturated logic
	  and made it default (is the LATTER a good idea?)

2007-02-20 11:13  zmoelnig

	* src/Base/GemGL.h: fixed typos in comment

2007-02-20 11:11  zmoelnig

	* src/Base/GemGL.h: fixed comment

2007-02-20 10:58  zmoelnig

	* src/: configure.ac, Base/GemGL.h, Base/configDarwin.h.in,
	  Base/configLinux.h.in: added a configure-flag to specify the
	  maximum openGL-version to use.  use this information in GemGL.h
	  to exclude certain parts of the openGL-headers thanks ico for the
	  suggestion

2007-02-20 10:56  zmoelnig

	* src/openGL/GEMglBlendEquation.cpp: glBlendEquation() needs
	  openGL-1.2

2007-02-20 10:43  zmoelnig

	* src/Pixes/pix_texture.cpp: glActiveTexture() is not always
	  defined

2007-02-20 10:42  zmoelnig

	* src/Pixes/video.h: indentation

2007-02-19 12:29  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, videoDV4L.cpp, videoV4L.cpp:
	  applied ico's patches in order to stabilize dv4l (note: use
	  delete[] on ~pix_videoNEW)

2007-02-13 14:10  zmoelnig

	* src/: Pixes/filmQT.h, Pixes/pix_filmDarwin.h, Pixes/pix_filmQT.h,
	  Pixes/pix_videoDarwin.h, Base/GemMan.cpp,
	  Base/GemPixImageLoad.cpp: fixed cases for os-x includes (fixes
	  bug#1613373)

2007-02-12 23:33  tigital

	* src/Base/GemPixUtil.cpp: small changes to get correct colors on
	  intel macs

2007-02-12 22:43  tigital

	* src/Pixes/pix_write.cpp: small change to get correct colors on
	  intel macs

2007-01-07 23:32  tigital

	* src/Manips/: glsl_fragment.cpp, glsl_program.cpp, glsl_program.h,
	  glsl_vertex.cpp, glsl_vertex.h: added GL_VERSION_2_0 compile path
	  for non-ARB glsl functions

2007-01-07 20:52  zmoelnig

	* src/Vertex/: vertex_add.cpp, vertex_combine.cpp: proper calling
	  of CPPExtern::error() in the static member functions

2006-12-07 19:19  cclepper

	* src/Pixes/pix_convolve.cpp: quick fix for YUV 3x3 on x86.  for
	  now it just does the generic loop.

2006-12-06 21:08  cclepper

	* src/Pixes/pix_filmNEW.cpp: added an ifdef to make sure this is
	  not compiled on OSX. pix_filmDarwin is used instead

2006-12-06 20:56  cclepper

	* src/Pixes/pix_movieNEW.cpp: added an ifdef to make sure this is
	  not compiled on OSX. pix_movieDarwin is used instead

2006-12-06 20:44  cclepper

	* src/Pixes/pix_movie.cpp: added another ifdef to make sure this is
	  not compiled on OSX

2006-12-04 16:35  zmoelnig

	* src/Geos/scopeXYZ.cpp: sped things up a bit; cleaned up post()

2006-12-04 10:11  zmoelnig

	* help/depth.pd: added comment about initial state and a note, that
	  you now can set this initial state via arguments

2006-12-04 10:09  zmoelnig

	* src/Manips/: depth.cpp, depth.h: add an optional argument to the
	  object, so the initial state can be given at object creation
	  (thanks cyrille for the request)

2006-11-25 21:04  zmoelnig

	* src/Pixes/: pix_gain.cpp, pix_gain.h: added "saturate" message to
	  turn saturation on/off; fixed bug in MMX code with gains>1; added
	  initial arguments

2006-11-21 13:10  zmoelnig

	* src/Base/GemPixConvert.h: less warnings when compiling

2006-11-21 13:00  zmoelnig

	* GEM_RELUNIX.sh: nobody uses this and if they do, it wouldn't work
	  anyhow

2006-11-21 12:58  zmoelnig

	* GEM.README: updated documentation a tiny bit...

2006-11-21 12:57  zmoelnig

	* src/: Base/GemPixDualObj.cpp, Base/GemPixObj.cpp,
	  Controls/gemframebuffer.cpp, Manips/glsl_program.cpp,
	  Manips/glsl_vertex.cpp, Manips/vertex_program.cpp,
	  Pixes/pix_buffer_read.cpp, Pixes/pix_buffer_write.cpp,
	  Pixes/pix_fiducialtrack.cpp, Pixes/pix_multitexture.cpp,
	  Pixes/pix_rgba.cpp, Pixes/pix_texture.cpp,
	  openGL/GEMglBlendEquation.cpp: minor code cleanup

2006-11-21 11:10  zmoelnig

	* src/Pixes/pix_artoolkit.cpp: bail out when using wrong messages

2006-11-15 12:12  zmoelnig

	* src/Base/GemPixConvert.h: fixed typo (it is __GNUC__ and not
	  __GNUC___)

2006-11-15 12:08  zmoelnig

	* src/Base/GemPixConvert.h: more verbosity when disabling the
	  culprit altivec stuff (since the code does not seem to work and i
	  don't know why...watch out for the autobuild logs tomorrow...)

2006-11-14 11:58  zmoelnig

	* src/Base/: GemPixConvert.h, GemPixConvertAltivec.cpp: disable
	  YUV422_to_YV12_altivec() for gcc<4.0 via the
	  NO_VECTORINT_TO_VECTORUNSIGNEDINT define (the fix yesterday
	  coukdn't have worked); btw YUV422_to_YV12_altivec() is really
	  _unused_ in the current sources!!

2006-11-14 11:34  zmoelnig

	* src/Pixes/: pix_artoolkit.cpp, pix_artoolkit.h: can't use methods
	  with "float, symbol" type; have to use A_GIMME instead

2006-11-13 16:49  zmoelnig

	* src/Base/GemPixConvertAltivec.cpp: disabling __VEC__ for older
	  gcc's (<4); LATER fix the code

2006-11-12 16:20  zmoelnig

	* src/Pixes/pix_artoolkit.cpp: print credits on first object
	  creation

2006-11-12 16:14  zmoelnig

	* src/Pixes/pix_artoolkit.cpp: removed the default
	  "HAVE_ARTOOLKIT"; this is checked by configure

2006-11-12 16:05  zmoelnig

	* src/Pixes/: pix_artoolkit.cpp, pix_artoolkit.h: added shigeyuki's
	  [pix_artoolkit]

2006-11-12 16:04  zmoelnig

	* src/: configure.ac, Base/configLinux.h.in: checks for artoolkit

2006-11-08 21:30  zmoelnig

	* examples/07.texture/10.framebuffer.pd: added example file for the
	  use of [gemframebuffer]; note that i use [pix_texture] instead of
	  [pix_multitexture]

2006-11-08 20:24  zmoelnig

	* examples/07.texture/09.sharedTextures.pd: removed the
	  [pix_coordinate] stuff, since it is now unneccessary (i thought i
	  removed this already...)

2006-11-06 18:39  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: fail to load movie when fps get's
	  weird... (LATER fix the ffmpeg code)

2006-11-06 17:48  zmoelnig

	* src/Pixes/: film.cpp, film.h, pix_filmNEW.cpp: made film::m_auto
	  protected; from outside it can now only be set via setAuto();
	  this should make it easier to make optimized decoding paths for
	  sequential reading (e.g. non-random-access)

2006-11-06 17:40  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: better handling of decoding errors...

2006-11-03 17:50  zmoelnig

	* src/Pixes/pix_videoDarwin.cpp: fixed calls to post()

2006-11-03 09:37  zmoelnig

	* src/Pixes/pix_freeframe.cpp: fixed calls to ::error() and
	  ::post()

2006-11-03 09:32  zmoelnig

	* src/: Base/CPPExtern.cpp, Base/CPPExtern.h, Base/GemBase.cpp,
	  Base/GemGluObj.cpp, Base/GemPixDualObj.cpp, Base/GemPixUtil.cpp,
	  Base/GemPixUtil.h, Base/TextBase.cpp,
	  Controls/gemframebuffer.cpp, Controls/gemwin.cpp,
	  Nongeos/world_light.cpp, Particles/part_color.cpp,
	  Pixes/pix_background.cpp, Pixes/pix_buffer.cpp,
	  Pixes/pix_color.cpp, Pixes/pix_film.cpp, Pixes/pix_filmNEW.cpp,
	  Pixes/pix_halftone.cpp, Pixes/pix_multitexture.cpp,
	  Pixes/pix_rds.cpp, Pixes/pix_record.cpp, Pixes/pix_record.h,
	  Pixes/pix_share_write.cpp, Pixes/pix_sig2pix.cpp,
	  Pixes/pix_videoNEW.cpp: added post() method to CPPExtern.cpp
	  which automatically prepends the object's name (if available);
	  accordingly had to change a lot of uses uses of post() where
	  either the object's name was hard- or softcoded or ::post() was
	  used (in the callback functions)

2006-11-03 09:26  zmoelnig

	* src/Pixes/: pix_texture.cpp, pix_texture.h: extended the
	  texture-sharing message to: textureID, texCoords, type, flags

2006-11-03 09:25  zmoelnig

	* src/Pixes/: videoV4L.cpp, videoV4L2.cpp, videoV4L2.h: fixed v4l-1
	  to work with my usb-2u-cam; v4l-2 starts to work too...

2006-11-03 09:24  zmoelnig

	* src/: BUGS, README.linux, TODO.091: updated info-files

2006-11-01 23:33  tigital

	* src/: Pixes/pix_multitexture.cpp, Pixes/pix_multitexture.h,
	  Base/GemShape.cpp, Base/GemState.cpp, Base/GemState.h:
	  [pix_multitexture] now works as expected! - new [dimen x y<
	  message needed so that it can determine texcoords - GemShape's
	  SetVertex() has been modified to loop thru glMultiTexCoord2f,
	  when needed - GemState has new variable:  state->multiTexCoords,
	  which is 0 by default, but set in pix_multitexture based on the #
	  of texUnits requested

2006-10-30 21:57  tigital

	* src/Base/GemPixConvertAltivec.cpp: more attempts at fixes for bad
	  type-ing of vec's on 10.3

2006-10-30 19:51  zmoelnig

	* src/configure.ac: added option to disable "-fPIC"

2006-10-30 19:45  zmoelnig

	* src/configure.ac: make "-Os" the default on Darwin

2006-10-30 19:37  zmoelnig

	* src/configure.ac: added more tests for compiler-flags as
	  suggested by tigital (-mpowerpc-gfxopt is turned OFF by default;
	  LATER think about the "-Os" flag on os-x)

2006-10-30 19:24  zmoelnig

	* src/Base/GemPixConvertAltivec.cpp: reverted the type changes
	  (while this still breaks compilation with older gcc's, at least
	  it is functional)

2006-10-30 09:47  zmoelnig

	* src/configure.ac: oops, fixed typo

2006-10-30 09:46  zmoelnig

	* src/configure.ac: added check for "-fpascal-strings" which allows
	  us to use pascal-strings (containing '\p') on os-x

2006-10-30 09:26  zmoelnig

	* src/Base/GemPixConvertAltivec.cpp: tried to fix another error
	  with types; NEEDS TESTING

2006-10-26 22:04  tigital

	* src/Base/GemPixConvertAltivec.cpp: fixes for bad type comparisons
	  in some vec_sl()/vec_add and loop comparisons

2006-10-26 22:00  tigital

	* src/Base/CPPExtern.h: fix for gcc4 warning "'GemException' has
	  virtual functions but non-virtual destructor"

2006-10-22 21:51  zmoelnig

	* src/configure: finally removed "configure" since it really should
	  be generated (and therefore happens to get out of sync with
	  configure.ac too often)

2006-10-20 19:48  zmoelnig

	* src/Manips/glsl_program.cpp: only call glUseProgramObjectARB() in
	  postrender() when we have a linked module (less crashy on systems
	  that don't really support shaders...)

2006-10-20 19:40  zmoelnig

	* src/Base/TextBase.cpp: changed type of for-loop variable from
	  (size_t) to (singed long long), since unsigned numbers never get
	  negative!

2006-10-18 15:49  zmoelnig

	* src/: Make.config.in, Makefile, configure.ac: store the
	  CONFIGUREFLAGS in Make.config, so that automatic calls to
	  "configure" produce the same results; additionally this should
	  make it possible to just call:
	  'CONFIGUREFLAGS="--with-pd=/bi/ba/bo" make" in a distclean
	  environment and it will build everything; LATER remove
	  configure/aclocal.m4

2006-10-18 13:06  zmoelnig

	* src/Pixes/videoV4L.cpp: setNorm() now has an effect even if
	  capturing is currently not running; LATER think about making the
	  "mode <norm> <channel>" message work again (it seems like this is
	  some threading problem)

2006-10-18 13:05  zmoelnig

	* src/Pixes/pix_videoNEW.cpp: fixed if/else at the "mode" message

2006-10-18 12:53  zmoelnig

	* src/Pixes/videoV4L2.cpp: hmm...

2006-10-18 12:52  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: made it a tiny bit more readable;
	  added accumbuffer-bits to window-creation

2006-10-18 12:50  zmoelnig

	* examples/07.texture/09.sharedTextures.pd: example for
	  texture-sharing

2006-10-18 12:46  zmoelnig

	* examples/08.io/04.UseOrb.pd: dont use markEx-objects anymore;
	  LATER remove this example altogether

2006-10-18 12:44  zmoelnig

	* examples/06.particle/: 04.combo.pd, 05.twoSrc.pd, 08.info.pd:
	  dont use markEx-objects anymore

2006-10-18 12:43  zmoelnig

	* examples/05.text/: 01.Text.pd, 01.TextNoLoadBang.pd,
	  03.ChangeText.pd, 03.ChangeTextNoLoadBang.pd, arial.ttf,
	  vera.ttf: updated to use vera.ttf instead of arial.ttf and to not
	  use markEx-objects anymore

2006-10-18 12:40  zmoelnig

	* examples/04.pix/: 05.movie.pd, 18.Curves.pd: dont use
	  markEx-objects anymore

2006-10-18 12:39  zmoelnig

	* examples/02.advanced/: 03.View_OSD.pd, 08.Snapshot2.pd: updated
	  to use vera.ttf instead of arial.ttf and to not use
	  markEx-objects anymore

2006-10-06 16:53  cclepper

	* src/Pixes/pix_filmDarwin.cpp: updated RGBA pixel packings for Mac
	  Intel

2006-10-06 16:50  cclepper

	* src/Base/GemPixImageLoad.cpp: update for proper Mac Intel pixel
	  packing

2006-10-04 13:38  zmoelnig

	* src/Pixes/pix_fiducialtrack.cpp: proper initialization
	  (memset(0)) for fidtrackerx (used to crash on my x64_64)

2006-10-03 17:13  zmoelnig

	* src/configure.ac: hopefully fixed the check whether
	  OpenGL-framework is used

2006-10-03 17:08  zmoelnig

	* src/configure.ac: disable checks for libGL and libGLU if we use
	  the OpenGL-framework

2006-10-03 13:51  zmoelnig

	* src/configure.ac: disable checks for lqt and libquicktime if
	  QuickTime-framework is being used

2006-09-27 14:55  zmoelnig

	* tests/all/objects.txt: deleted obsoleted objects from this list

2006-09-27 14:53  zmoelnig

	* tests/all/existence.sh: make pd-binary settable via the PD
	  variable

2006-09-27 12:11  zmoelnig

	* src/: configure, configure.ac: removed the test for
	  AC_PROG_GCC_TRADITIONAL since we use c++ instead of cc

2006-09-27 11:53  zmoelnig

	* src/: configure, configure.ac: hopefully fixed the FFMPEG-thing
	  (the AVCodecContext-check was broken since i changed the language
	  from "C" to "C++")

2006-09-27 11:04  zmoelnig

	* src/: configure, configure.ac: added some magic for FTGL and
	  ffmpeg

2006-09-26 11:56  zmoelnig

	* src/Base/GemGL.h: use our own glew.h (if so)

2006-09-26 11:55  zmoelnig

	* src/Manips/vertex_program.cpp: glProgramEnvParameter4fvARB() can
	  only be used if GL_ARB_vertex_program is defined
	  (GL_NV_vertex_program doesn't matter)

2006-09-26 11:27  zmoelnig

	* src/configure.ac: removed check for "-no-builtin" gcc-flags,
	  since this prevents us from building with older gcc-version

2006-09-25 15:28  zmoelnig

	* src/: README.glew, importGLEW.sh, Base/glew.cpp, Base/glew.h,
	  Base/glxew.h, Base/wglew.h: regenerated glew from 1.3.4 sources;
	  fixed importGLEW.sh so that it automatically adds the "#ifdef
	  USE_GLEW" clauses around the code

2006-09-21 21:36  zmoelnig

	* src/: configure, configure.ac: added checks for the
	  not-deprecated linking flags on OSX; disabled altivec on x86_64
	  machines

2006-09-21 16:38  zmoelnig

	* src/Pixes/pix_deinterlace.cpp: added newline at end of file

2006-09-21 16:32  zmoelnig

	* src/Pixes/: pix_multitexture.cpp, pix_multitexture.h: add generic
	  inlets for each textureunit

2006-09-21 16:31  zmoelnig

	* src/Base/: CPPExtern.cpp, CPPExtern.h: added PDerror() which
	  calls pd_error() without having to worry about the object
	  ("ourselves")

2006-09-20 17:57  zmoelnig

	* src/: Make.config.in, acinclude.m4, configure, configure.ac:
	  disabled Vertex by default (since it is very experimental)
	  disabled SSE2 by default (since most processors do not yet
	  support it)

2006-09-20 17:56  cclepper

	* src/Controls/gemframebuffer.cpp: added glfrustum call with GEM
	  default setting.  Uncommented some of the matirx calls which get
	  closer to correct rendering.

2006-09-20 17:51  zmoelnig

	* src/Base/GemGL.h: indentation of preprocessor-directives, so i
	  can read them

2006-09-20 09:55  zmoelnig

	* src/Vertex/vertex_model.cpp: removed the legacy
	  HaveValidContext() function call (since it does no longer exist)

2006-09-19 22:48  cclepper

	* src/Controls/gemframebuffer.cpp: init m_FBOcolor not m_color

2006-09-19 22:42  cclepper

	* src/Controls/: gemframebuffer.h, gemframebuffer.cpp: added a
	  color message to set the background color.

2006-09-18 13:09  zmoelnig

	* src/Manips/glsl_vertex.cpp: another check for illegal filenames

2006-09-18 12:39  zmoelnig

	* help/: alternate.pd, average.pd, counter.pd, hsv2rgb.pd,
	  invert.pd, oneshot.pd, randomF.pd, rgb2hsv.pd, tripleLine.pd,
	  tripleRand.pd, v+.pd, v-.pd, vector+.pd, vector-.pd: removed
	  MarkEx from Gem

2006-09-18 12:39  zmoelnig

	* help/: pix_kaleidoscope.pd, pix_multiblob.pd: removed dependency
	  on [v+] and friends (which are no longer part of Gem)

2006-09-17 17:41  zmoelnig

	* src/Pixes/recordQT.h: put "float seconds;" in the
	  platform-independent section, since it is used by both __APPLE__
	  and __WIN32__

2006-09-15 20:15  tigital

	* src/Pixes/pix_image.cpp: [OSX] small fix for close() definition

2006-09-14 11:44  zmoelnig

	* src/Vertex/vertex_draw.cpp: hopefully made this work with older
	  openGL-headers

2006-09-14 11:20  zmoelnig

	* src/Base/: GemMan.cpp, GemVersion.h: put the authors into
	  GemVersion.h and removed the OS-information (since this is
	  blurry)

2006-09-14 11:00  zmoelnig

	* tests/all/existence.bat: w32 batch file for testing; LATER make
	  this via make

2006-09-13 00:38  cclepper

	* src/Pixes/: recordQT.cpp, recordQT.h: updated to include timers
	  and matrix flipping on windows

2006-09-12 21:58  cclepper

	* src/Pixes/pix_recordQT.h: adds a timer for the movie framerate on
	  windows.  also flips the image around when a directshow source is
	  used.

2006-09-12 21:54  cclepper

	* src/Pixes/pix_recordQT.cpp: adds a timer for the movie framerate
	  on windows.  also flips the image around when a directshow source
	  is used.

2006-09-12 21:44  cclepper

	* src/Base/GemGL.h: added header for GLEW

2006-09-12 21:42  cclepper

	* src/Base/: GemMan.cpp, GemMan.h: Quicktime init on first launch
	  for Windows.	This could possibly go in GemWinCreateNT, but it
	  works fine here.

2006-09-12 21:40  cclepper

	* src/Base/GemWinCreateNT.cpp: GLEW init code for Windows

2006-09-12 21:37  cclepper

	* src/Base/GemSIMD.cpp: added a working SIMD feature check for
	  Windows.

2006-09-11 23:56  cclepper

	* src/Pixes/pix_filmNEW.cpp: m_auto is passed to the handle.
	  useful for DirectShow and Quicktime which are more efficient
	  handling auto play than just incrementing a frame counter.

2006-09-11 23:55  cclepper

	* src/Pixes/film.h: moved m_auto to public member variable

2006-09-11 23:53  cclepper

	* src/Pixes/filmDS.cpp: added right inlet frame handling and auto
	  now sets rate

2006-09-07 23:28  cclepper

	* src/Geos/rectangle.cpp: fixed error in SetVertex that made
	  everything square

2006-09-05 17:27  tigital

	* src/Pixes/pix_texture.cpp: added more informative output when
	  changing mode

2006-09-03 18:50  zmoelnig

	* src/Base/CPPExtern.h: removed inheritance of GemException from
	  std::exception to not set up M$VC; hope this works

2006-09-02 20:37  zmoelnig

	* src/Pixes/: pix_image.cpp, pix_movieDS.cpp: use "-path" for
	  searching images

2006-09-02 20:37  zmoelnig

	* src/Makefile: added installabs target for installing
	  abstractions; install Gem.${EXT} into pd/extra/Gem/

2006-08-31 21:45  cclepper

	* src/Pixes/: pix_deinterlace.cpp, pix_deinterlace.h: added a
	  message apative to set the threshold for deinterlacing.  also
	  attempted to make the deinterlacing a little nicer looking for
	  RGBA.

2006-08-31 21:36  cclepper

	* src/Geos/rectangle.cpp: changed drawing to use SetVertex() which
	  allows for texturing from texture units other than 0

2006-08-31 20:47  cclepper

	* src/Pixes/: pix_texture.cpp, pix_texture.h: added texunit message
	  and handling of multiple texture units

2006-08-29 17:34  zmoelnig

	* src/Base/GemVersion.h: added "cvs" to the version string

2006-08-29 16:46  zmoelnig

	* src/Makefile: removed the tailing slash from BUILDDIR (avoid
	  double-slashes in paths)

2006-08-29 09:35  zmoelnig

	* src/Pixes/: filmDS.cpp, filmDS.h: fixed compilation issue on
	  systems without HAVE_DIRECTSHOW

2006-08-24 23:20  cclepper

	* src/Pixes/pix_filmNEW.cpp: added HAVE_DIRECTSHOW define to select
	  filmDS or filmAVI

2006-08-24 23:15  cclepper

	* src/Pixes/: filmDS.h, filmDS.cpp: changed defines to add
	  HAVE_DIRECTSHOW

2006-08-24 22:54  cclepper

	* src/Pixes/: filmDS.cpp, filmDS.h: DirectShow class for pix_film
	  on Windows.

2006-08-22 14:05  zmoelnig

	* abstractions/pix_blobtracker-help.pd: replaced [v+] and friends
	  with pd-objects

2006-08-22 14:03  zmoelnig

	* abstractions/: gemorb.pd, gemtablet.pd: dummy objects that print
	  an error when being instantiated, telling the user that the real
	  objects ceased to exist

2006-08-22 13:52  zmoelnig

	* examples/09.openGL/03.stencilBuffer.pd: cyrille's stencil buffer
	  patch

2006-08-22 09:52  zmoelnig

	* src/Controls/gemframebuffer.cpp: newline at end of file (after
	  all, C++ MUST have a newline at the EOF)

2006-08-22 09:40  zmoelnig

	* src/Pixes/: pix_movieDS.cpp, pix_movieDS.h, pix_videoDS.cpp,
	  pix_videoDS.h: put the DirectShow code into #ifdef's to prevent
	  it from bulding on other platforms; dos2unix

2006-08-21 23:21  cclepper

	* src/Pixes/: pix_videoDS.cpp, pix_videoDS.h: Changed callback to
	  GetCurrentBuffer.  Added method to record video to disk in native
	  format (useful for DV capture).

2006-08-21 23:16  cclepper

	* src/Pixes/: pix_movieDS.cpp, pix_movieDS.h: Object for loading
	  DirectShow files on Windows

2006-08-21 20:48  cclepper

	* src/openGL/: GEMglClearDepth.cpp, GEMglClearDepth.h: fixed cast
	  to GLclampd for depth flag

2006-08-17 13:08  zmoelnig

	* src/Pixes/pix_movieNEW.cpp: remove the 2nd inlet inherited from
	  [pix_texture] since this object always has its own texture

2006-08-17 13:07  zmoelnig

	* src/Pixes/: pix_texture.cpp, pix_texture.h: added a second inlet
	  for setting a "remote" texture, which is used optionally if no
	  image is present

2006-08-17 11:13  zmoelnig

	* src/Pixes/pix_snap2tex.cpp: deleted commented out leftovers; use
	  window-dimensions when given dimensions <=0 (instead of <0)

2006-08-17 10:22  zmoelnig

	* examples/07.texture/08.MotionBlur.pd: an example on how to use
	  full-screen motion-bluring with feedback-textures

2006-08-16 14:40  zmoelnig

	* src/TODO.091: autoconf working on OSX

2006-08-16 14:39  zmoelnig

	* src/Controls/: orb.h, orbserial.cpp, orbserial.h, gemorb.cpp,
	  gemorb.h, gemtablet.cpp, gemtablet.h, orb.cpp: deleted [gemorb]
	  and [gemtablet]

2006-08-16 14:31  zmoelnig

	* src/: configure, configure.ac: removed MarkEx from Gem; added
	  Vertex-branch to configure

2006-08-16 14:27  zmoelnig

	* src/MarkEx/: MarkExSetup.cpp, README.txt, abs.cpp, average.cpp,
	  counter.cpp, hsvrgb.cpp, m_control.cpp, multiselect.cpp,
	  randomF.cpp, reson.cpp, strcat.cpp, tripleLine.cpp, vector.cpp:
	  removed MarkEx from Gem

2006-08-16 12:03  zmoelnig

	* src/Base/: CPPExtern.cpp, CPPExtern.h: better(?) declarations of
	  exceptions...

2006-08-14 17:32  zmoelnig

	* src/Pixes/pix_fiducialtrack.cpp: removed debugging printout

2006-08-14 17:31  zmoelnig

	* src/Pixes/pix_fiducialtrack.cpp: initialization of treeidmap

2006-08-14 17:07  zmoelnig

	* tests/all/objects.txt: more arguments to objects that need it

2006-08-14 16:58  zmoelnig

	* tests/all/: existence.pd, objects.txt: allow arguments to objects

2006-08-14 16:37  zmoelnig

	* src/openGL/: GEMglProgramStringARB.cpp, GEMglProgramStringARB.h:
	  changed this object to A_GIMME, since default args do not like
	  symbols to come after floats...  LATER: this object should refuse
	  from being created, if the arguments do not match what we expect
	  LATER: there are other objects who also suffer from this...

2006-08-09 19:15  zmoelnig

	* src/: configure, configure.ac: rearranged a bit, so that it is
	  possible to find the "--with-pd" flag in the help...

2006-08-09 19:08  zmoelnig

	* src/: configure, configure.ac: this might work on os-x! changed
	  the behaviour of "--with-pd" so that it's argument should direct
	  to the base-path of pd, where we can find both headers
	  (<pdpath>/src) and libraries (<pdpath>/bin)

2006-08-09 18:44  zmoelnig

	* src/Pixes/recordQT.cpp: use "0" instead of NULL for setting
	  characters

2006-08-09 18:40  zmoelnig

	* src/Pixes/filmQT4L.cpp: protect the inclusion of <colormodels.h>
	  with HAVE_QUICKTIME4LINUX

2006-07-27 18:00  zmoelnig

	* src/Base/TextBase.cpp: use "vera.ttf" as default font (whoa, this
	  could break things!)

2006-07-27 17:59  zmoelnig

	* src/Controls/gemhead.cpp: use GemState->reset() instead of
	  resetting things manually

2006-07-27 17:58  zmoelnig

	* src/Base/: GemState.cpp, GemState.h: removed the "stereo"
	  membervariable: this is handled by "tickTime"; added a "reset()"
	  method (to be used in [gemhead] instead of resetting things
	  manually)

2006-07-27 17:56  zmoelnig

	* src/Base/GemMan.cpp: replaced setting GemState->stereo by setting
	  GemState->tickTime;

2006-07-27 14:12  zmoelnig

	* src/Pixes/pix_freeframe.cpp: removed an unconditional exception
	  thrown in the constructor

2006-07-25 18:37  zmoelnig

	* src/Particles/: part_color.cpp, part_damp.cpp, part_draw.cpp,
	  part_follow.cpp, part_gravity.cpp, part_info.cpp,
	  part_killold.cpp, part_killslow.cpp, part_orbitpoint.cpp,
	  part_render.cpp, part_sink.cpp, part_size.cpp, part_source.cpp,
	  part_targetcolor.cpp, part_targetsize.cpp, part_velcone.cpp,
	  part_velocity.cpp, part_velsphere.cpp, part_vertex.cpp: use
	  "state->tickTime" instead of "state->stereo" for (not) updating
	  movements

2006-07-25 16:47  zmoelnig

	* examples/09.openGL/02.displayList.pd: made the warning go away. a
	  bit more text...

2006-07-20 20:45  tigital

	* src/Controls/gemframebuffer.cpp: removed
	  "GL_FRAMEBUFFER_INCOMPLETE_DUPLICATE_ATTACHMENT_EXT" from fbo
	  status checking because it has been removed from the spec

2006-07-20 19:09  tigital

	* help/ortho.pd: add info about compat message

2006-07-12 06:47  tigital

	* src/Controls/: gemframebuffer.cpp, gemframebuffer.h: replaced
	  "colorspace" with separate "type" and "format" messages (also can
	  affect creation args): default type=GL_UNSIGNED_BYTE and
	  format=GL_RGB; more informative (and more gem-like) error
	  reporting; better setup of fbo's; switchable textureType
	  (default=GL_TEXTURE_2D); better cleanup

2006-07-12 06:26  tigital

	* src/Base/GemPixUtil.cpp: [osx] "type = ..._REV" or not:
	  compile-time check for __BIG_ENDIAN__, to help support intel-macs

2006-07-12 06:22  tigital

	* src/Base/GemSIMD.cpp: [osx] start of code to detect altivec at
	  runtime

2006-07-12 06:21  tigital

	* src/Base/GemWinCreateMac.cpp: [osx] possibility of using generic
	  float (software) renderer:  should come up with a way to switch
	  between renderer's at runtime

2006-07-12 06:19  tigital

	* src/Pixes/pix_freeframe.cpp: [osx] check for resource's existence
	  before releasing them

2006-07-12 06:17  tigital

	* src/Pixes/pix_multitexture.cpp: added glTexParameteri()'s;
	  removed auto texcoord generation (for now...); better support for
	  older GL's; seems to work (atm) with geo's

2006-07-12 06:04  tigital

	* src/Vertex/: vertex_tabread.cpp, vertex_tabread.h: starting to
	  merge in vertex_array stuff (finally) - accepts tables in this
	  order atm: vertex, color, normal, texcoord

2006-07-12 06:00  tigital

	* src/: Vertex/vertex_draw.cpp, Vertex/vertex_draw.h,
	  Base/GemVertex.cpp, Base/GemVertex.h: starting to merge in
	  vertex_array stuff (finally)

2006-07-12 04:58  tigital

	* src/: Controls/gemhead.cpp, Base/GemCache.cpp, Base/GemCache.h,
	  Base/GemState.cpp, Base/GemState.h: starting to merge in
	  vertex_array stuff (finally)

2006-07-04 16:48  zmoelnig

	* src/Pixes/: filmAVIPLAY.cpp, filmQT4L.cpp: use setCSizeByFormat()

2006-07-04 16:47  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: use a define for the debug-printout at
	  decoder-instantiation: makes code much more readable

2006-07-04 16:46  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: the convert(To|From)
	  routines now also work without an explicit colorspace; if none is
	  given, the already set cs of the destination is taken; if this is
	  unset, the default cs is used

2006-07-03 11:06  zmoelnig

	* src/Pixes/: pix_fiducialtrack.cpp, pix_freeframe.cpp,
	  recordQT.cpp, videoV4L.cpp: replaced sprintf() by snprintf();
	  replaced printf() by post()/error()

2006-07-03 10:45  zmoelnig

	* src/Pixes/filmAVIPLAY.cpp: lowered the threshold of insecurity by
	  replacing usleep() with select()

2006-07-03 10:44  zmoelnig

	* src/Pixes/videoDV4L.cpp: lowered the threshold of insecurity with
	  snprintf(), select(),...

2006-06-26 04:28  tigital

	* GEM_darwin.xcodeproj/project.pbxproj: xcode 2.3 project file,
	  makes dynamiclib

2006-06-20 11:03  zmoelnig

	* src/: configure, configure.ac: forgot to remove the debugging
	  "read"s...

2006-06-14 12:20  zmoelnig

	* src/configure: generated from configure.ac

2006-06-14 12:20  zmoelnig

	* src/configure.ac: the SIMD-tests are only done if required
	  explicitely by the user (e.g.  --enable-mmx) or the compiling
	  hardware seems to support it (naive test: if ARCH="i686" we want
	  "sse2" and "mmx" but not "altivec" and the like); LATER make
	  better tests (query processor capabilities)

2006-06-14 12:17  zmoelnig

	* src/aclocal.m4: generated from acinclude.m4 (with automake-1.9)

2006-06-14 12:16  zmoelnig

	* src/acinclude.m4: the GEM_ARG_WITH macro family now doesn't
	  explicitely set the default value, unless a 3rd argument is given
	  and a non-empty string (like "force")

2006-06-14 11:25  zmoelnig

	* src/Pixes/: pix_filmDarwinYUV.cpp, pix_filmDarwinYUV.h,
	  pix_filmYUV.cpp, pix_filmYUV.h, pix_movieYUV.cpp, pix_movieYUV.h:
	  why...these files should have been deleted a long time ago...

2006-06-14 11:02  zmoelnig

	* examples/data/: COPYING.txt, arial.ttf, cour.ttf, times.ttf,
	  vera.ttf: removed non-free fonts and added one free replacement;
	  added a COPYING.txt which discusses licensing.  LATER think about
	  changing the default font to "vera.ttf"

2006-06-14 10:56  zmoelnig

	* src/: configure, configure.ac: oops, forgot to check in the
	  changes for fain-grained control over SIMD-optimization

2006-06-14 00:45  cclepper

	* src/Base/GemMan.cpp: commented out the fps post() on the Mac
	  since that goes out the outlet

2006-06-14 00:41  cclepper

	* src/Pixes/pix_recordQT.cpp: used #if 0 to remove the object from
	  the build process. need to use some proper defines until the new
	  version works as well as the old

2006-06-14 00:31  cclepper

	* src/Pixes/recordQT.cpp: should work for Mac/Win now

2006-06-14 00:30  cclepper

	* src/Pixes/recordQT.h: moved m_recordStart and m_recordStop to the
	  base class.  commented out the not implemented getCodecName and
	  getCodecDescription

2006-06-14 00:28  cclepper

	* src/Pixes/record.h: moved m_recordStart and m_recordStop to the
	  base class

2006-06-14 00:25  cclepper

	* src/Pixes/pix_record.cpp: Used one #ifdef to keep from crashing
	  on Mac/Win.  m_automatic is now true by default.

2006-06-13 23:31  cclepper

	* src/Pixes/pix_filmDarwinYUV.cpp: Added a very clever #if 0 to
	  remove this file from compilation.

2006-06-13 23:29  cclepper

	* src/Pixes/pix_movieDarwin.h: updated header file for volume
	  function

2006-06-13 23:26  cclepper

	* src/Pixes/: pix_movieYUV.cpp, pix_filmYUV.cpp: Added a very
	  clever #if 0 to remove this file from compilation.

2006-06-09 21:07  cclepper

	* src/Base/GemMan.cpp: changed maxStackDepth declarations to match.
	  both are GLint

2006-06-09 21:05  cclepper

	* src/Pixes/pix_videoDarwin.h: updated header file for quality
	  function

2006-06-09 21:04  cclepper

	* src/Pixes/pix_filmDarwin.h: updated header file for volume
	  function

2006-06-09 15:06  zmoelnig

	* src/Base/GemPixUtil.cpp: cleaned up setCSizeByFormat() to only
	  one big (#ifdef __APPLE__ #else) instead of 6 of them: should be
	  more readable

2006-06-08 17:36  zmoelnig

	* src/Pixes/pix_share_write.cpp: clean up shared memory needed when
	  the segment already exists but is smaller than what we requested

2006-06-08 13:55  zmoelnig

	* src/Pixes/pix_share_read.cpp: removed freeShm() from the
	  destructor since the parent's destructor already handles this:
	  the joys of inheritance

2006-06-01 15:58  zmoelnig

	* src/Pixes/: videoV4L2.cpp, videoV4L2.h: prefixed V4L2-specific
	  defines with V42L_; added loads of debugging stuff but still
	  couldn't make it work...

2006-06-01 15:55  zmoelnig

	* src/Pixes/: videoV4L.cpp, videoV4L.h: prefixed V4L-specific
	  defines with V4L_; better checks on stopTransfer()

2006-06-01 15:52  zmoelnig

	* src/Pixes/FreeFrame.h: added some more tests for defines when we
	  are on w32

2006-05-31 16:05  zmoelnig

	* src/Base/GemMan.cpp: reschedule a rendering-cycle when changing
	  the framerate from 0.0 to something valid (normally the framerate
	  change only takes effect at the next render-cycle; with
	  framerate==0.0 this can take a long time)

2006-05-31 16:05  zmoelnig

	* src/Controls/gemwin.cpp: cancel pending destroy-requests on
	  "create"

2006-05-31 15:54  zmoelnig

	* src/Controls/gemwin.cpp: reschedule a rendering-cycle when
	  changing the framerate from 0.0 to something valid (normally the
	  framerate change only takes effect at the next render-cycle; with
	  framerate==0.0 this can take a long time)

2006-05-24 19:18  cclepper

	* src/Pixes/: pix_movieDarwin.cpp, pix_videoDarwin.cpp: added
	  defines for Intel.

2006-05-24 19:17  cclepper

	* src/Pixes/pix_filmDarwin.cpp: added defines for Intel.  fixed
	  stupid looping bug.

2006-05-16 14:00  zmoelnig

	* src/Base/TextBase.cpp: changed the return type of string.find()
	  from (size_t) to (unsigned long) in order to make a valid test
	  for (pos<0): this prevents hanging...

2006-05-07 12:04  zmoelnig

	* src/Base/TextBase.cpp: use (size_t) where appropriate

2006-05-07 12:03  zmoelnig

	* src/Pixes/pix_share_write.h: made m_size of type (size_t) instead
	  of just (int)

2006-05-07 12:03  zmoelnig

	* src/Pixes/recordQT.cpp: include <stdio.h>

2006-05-07 12:00  zmoelnig

	* src/Pixes/libfidtrack_fidtrackX.cpp: explicit casts to (float) to
	  shut up warnings

2006-05-07 11:58  zmoelnig

	* src/Manips/vertex_program.h: made m_size of type (size_t) instead
	  of just (int)

2006-05-04 21:04  zmoelnig

	* src/Geos/sphere3d.cpp: respect m_size (via glScale() and
	  glPush/glPop)

2006-05-04 20:54  zmoelnig

	* src/Controls/gemwin.cpp: use GemMan::destroyWindowSoon() for
	  window destruction: this allows to directly connect [gemmouse] to
	  [destroy( without crashing (previously a [del 0] was needed to
	  decouple the window-event-grabbing from the window-destruction)

2006-05-04 20:52  zmoelnig

	* src/Base/: GemMan.cpp, GemMan.h: added a destroyWindowSoon()
	  function that issues a delayed windows destruction (destruction
	  is done at the beginning of the next render cycle which is
	  rescheduled to be within 0.0 ms); this is useful when the
	  destruction is initiated via window-events which would otherwise
	  crash pd

2006-05-04 19:53  zmoelnig

	* src/Base/: GemGluObj.cpp, GemGluObj.h: the slice-input now also
	  accepts a pair of numbers for different numSlices and numStacks;
	  currently only used by [sphere3d]

2006-05-04 19:43  zmoelnig

	* src/Geos/: sphere3d.cpp, sphere3d.h: added a spherical object for
	  deformation (similar to [curve3d], but only control-points for
	  now

2006-05-03 15:34  zmoelnig

	* src/Geos/sphere.cpp: fixed memory-leak

2006-05-03 06:24  tigital

	* src/Manips/: glsl_program.cpp, glsl_program.h: now we correctly
	  get the location of uniform variables:  how it worked before, I
	  have no idea...

2006-04-28 16:34  zmoelnig

	* src/Base/sgiimage.cpp: use memset() instead of bzero(); use
	  __WIN32__ instead of WIN32; include config.h for this to work

2006-04-28 16:33  zmoelnig

	* src/Base/GemMath.h: inlcude config.h for __WIN32__

2006-04-28 16:18  zmoelnig

	* src/Manips/glsl_vertex.cpp: include <io.h> instead of <unistd.h>
	  on w32

2006-04-28 16:16  zmoelnig

	* src/Controls/gemwin.h: just include CPPExtern.h: this will
	  include m_pd.h, so we don't need to do it here

2006-04-28 16:13  zmoelnig

	* src/Base/CPPExtern.h: include GemExportDef before m_pd.h: this
	  way we only have to pragma-disable the vc-warnings once: less
	  code cluttering!

2006-04-28 16:12  zmoelnig

	* src/Base/GemExportDef.h: use _MSC_VER instead of __WIN32__ for
	  w32-specific things (the used pragmas are vc-only; i am not that
	  sure about the declspec()-things)

2006-04-28 15:57  zmoelnig

	* src/Base/GemPBuffer.cpp: moved all includes to top of the file;
	  use GemGL.h to include the gl-headers

2006-04-28 15:51  zmoelnig

	* src/Base/GemGL.h: added wglext.h for w32; shouldn't the
	  agl-headers be included here too?

2006-04-28 15:35  zmoelnig

	* src/Base/config.h: automatically define __WIN32__ if _MSC_VER is
	  defined

2006-04-28 15:33  zmoelnig

	* src/Base/GemGLUtil.cpp: removed test for GL_WIN32_MEAN_AND_LEAN
	  (there is no such thing)

2006-04-28 15:32  zmoelnig

	* src/Base/: GemMan.cpp, GemWinCreate.h: use "#ifdef __WIN32__"
	  instead of "#if __WIN32__"

2006-04-28 15:30  zmoelnig

	* src/Pixes/pix_vpaint.cpp: protected the use of defines via
	  #ifdef; better bracketing;

2006-04-28 15:29  zmoelnig

	* src/Pixes/pix_share_write.cpp: don't use freeShm() on __WIN32__

2006-04-28 15:29  zmoelnig

	* src/Pixes/pix_texture.cpp: protected the use of defines via
	  #ifdef

2006-04-28 15:27  zmoelnig

	* src/Pixes/pix_recordQT.cpp: use HAVE_QUICKTIME (and added a not
	  about where it should be defined properly)

2006-04-28 15:26  zmoelnig

	* src/Pixes/: pix_colorreduce.cpp, pix_kaleidoscope.cpp,
	  pix_sig2pix.cpp: use double for sqrt()

2006-04-28 15:24  zmoelnig

	* src/Manips/: glsl_vertex.cpp, vertex_program.cpp: on w32 include
	  <io.h>  instead of <unistd.h>

2006-04-28 15:22  zmoelnig

	* src/Geos/pqtorusknots.cpp: check if GL_TEXTURE0_ARB is defined
	  before using it

2006-04-27 14:35  zmoelnig

	* src/Pixes/videoV4L2.cpp: it has been a long time since i compiled
	  that...fixed some minor typos...

2006-04-27 14:07  zmoelnig

	* src/: configure, configure.ac, Base/configLinux.h.in: added
	  checks for video4linux-2; this is disabled by default (enable it
	  with "--with-v4l2")

2006-04-27 13:21  zmoelnig

	* src/TODO.091: added the bug reported by cyrille regarding
	  pix_video and philips webcams

2006-04-26 17:37  zmoelnig

	* src/TODO.091: fixed the [vertex_program]-bug; opened the
	  freeframe-64bit issue

2006-04-26 17:34  zmoelnig

	* src/Manips/vertex_program.cpp: made "param" an alias for
	  "parameter", since this is the keyword most objects use...

2006-04-26 17:33  zmoelnig

	* src/Manips/: fragment_program.cpp, fragment_program.h,
	  vertex_program.cpp, vertex_program.h: fixed a bug where m_envNum
	  was not properly initialized when [vertex_program] was called
	  with an argument; moved "parameter" to vertex_program.cpp, so
	  both objects can set the parameter; LATER think about multiple
	  parameters...

2006-04-26 14:22  zmoelnig

	* src/Pixes/pix_dot.cpp: proper initialization prevents crashes in
	  destructor...

2006-04-26 11:35  zmoelnig

	* src/openGL/: GEMglDeleteTextures.cpp, GEMglGenProgramsARB.cpp,
	  GEMglProgramStringARB.cpp, GEMglTexSubImage2D.cpp: did some
	  proper initializing of pointers to prevent crashes (why has
	  nobody thought about that in the generation process!??)

2006-04-26 10:30  zmoelnig

	* tests/all/: existence.pd, existence.sh: trigger the quitting from
	  outside (that is: the script)

2006-04-26 10:20  zmoelnig

	* tests/all/: existence.pd, existence.sh, objects.txt: a simple
	  test that tests for all Gem objects (as listed in objects.txt);
	  no tests are performed on vertex/-objects and on markEx/-objects

2006-04-26 09:47  zmoelnig

	* src/: BUGS, TODO, TODO.091: fixed the [separator] bug; found
	  other ways to trigger the [vertex_program] bug

2006-04-26 09:41  zmoelnig

	* src/Manips/separator.cpp: before pushing to the stacks, check
	  whether the stacks are already full; this leads to less errors
	  when chaining more than 1 [separator]

2006-04-26 09:40  zmoelnig

	* src/Base/: GemState.cpp, GemState.h: added a variable for the
	  current depth of the matrix-stacks

2006-04-26 09:39  zmoelnig

	* src/Base/: GemMan.cpp, GemMan.h: query the number of supported
	  stacks for the various matrix-modes (important for [separator];
	  text whether GL_NV_multisample_texture_hint is supported before
	  setting the hint;

2006-04-25 19:18  zmoelnig

	* abstractions/: rgb2yuv.pd, yuv2rgb.pd: normalized input and
	  output values; still no clamping

2006-04-25 18:58  zmoelnig

	* abstractions/: rgb2yuv-help.pd, rgb2yuv.pd, yuv2rgb-help.pd,
	  yuv2rgb.pd: yuv2rgb and vice versa conversion abstractions

2006-04-24 21:16  zmoelnig

	* src/Base/GemPixUtil.cpp: use "size_t" for alignment-magic, since
	  sizeof(int)!=sizeof(unsigned char*) on x86_64; btw, this should
	  be used in pd's m_simd.h and in the freeframe specs too...

2006-04-11 11:33  zmoelnig

	* src/Base/GemMan.cpp: moved the window-destruction in render()
	  before the m_windowState check: this fixes issues with lights
	  when destroying the windows from "outside"

2006-04-07 17:12  tigital

	* src/TODO.091: [osx] uyvy/bgra/yv12 conversions altivec'd (DONE)

2006-04-07 05:49  tigital

	* src/Base/: GemPixConvertAltivec.cpp, GemPixUtil.cpp,
	  GemPixUtil.h: yuv422_to_bgra_altivec() now works; fixed some
	  typos; re-corrected #include's

2006-04-05 13:29  zmoelnig

	* configure: removed this pseudo-configure script since it is
	  totally outdated; the (pseudo) Makefile in here should call
	  configure in src/ if needed

2006-04-05 13:27  zmoelnig

	* src/Base/GemMan.cpp: removed the call to glClearColor() in the
	  reset()-routine since it might crash pd/Gem when no valid context
	  is available (LATER: think what will happen when someone clicks
	  on "reset" while rendering)

2006-03-28 11:40  zmoelnig

	* src/Pixes/recordQT4L.h: reverted the include-change by jamie.
	  this should really be handled by configure and NOT in here since
	  we don't know whether the quicktime-headers are in lqt/ or
	  quicktime/ or...

2006-03-28 05:20  tigital

	* src/Pixes/: pix_chroma_key.h, recordQT4L.cpp, recordQT4L.h: fixed
	  header inclusion

2006-03-27 18:46  tigital

	* src/Pixes/: pix_chroma_key.cpp, pix_chroma_key.h: CLAMP() is
	  inlined from GemFuncUtil.h

2006-03-27 16:48  zmoelnig

	* src/Pixes/: pix_chroma_key.cpp, pix_composite.cpp, pix_mix.cpp,
	  pix_motionblur.cpp, pix_multiply.cpp, pix_subtract.cpp: replaced
	  "nil" by "null64" in MMX routines, since this makes problems with
	  QuickTime-framework (on macintel)

2006-03-27 16:47  zmoelnig

	* src/Pixes/: pix_2grey.cpp, pix_2grey.h: added SSE2 processing for
	  YUV (but most of the time is spent in memory-fetching anyhow, so
	  not much of a speed gain)

2006-03-27 09:52  zmoelnig

	* src/TODO.091: updated TODO-list: opened new bugs for [separator],
	  missing objects on w32, and the shader-objects

2006-03-24 16:16  zmoelnig

	* src/Base/: GemPixObj.cpp, GemPixUtil.cpp: initialize (and modify)
	  m_simd via GemSIMD and select optimized algorithms at runtime.

2006-03-24 16:12  zmoelnig

	* src/Base/GemMan.cpp: instantiate a GemSIMD class in order to
	  query the CPU only once.

2006-03-24 16:10  zmoelnig

	* src/Base/: GemSIMD.cpp, GemSIMD.h: implemented a small static
	  class GemSIMD which is used to query the SIMD-capabilities of the
	  current CPUs: this should bring us away from (not) using SIMD via
	  preprocessors.

2006-03-24 00:08  zmoelnig

	* src/Pixes/pix_dot.cpp: weird: compiling with SSE2 (on a system
	  that doesn't support it!), yields to crashes when casting
	  "double" to "int"; using "float" works fine, so i enforced floats
	  here...

2006-03-23 23:51  zmoelnig

	* src/Pixes/pix_convolve.cpp: removed "done..." printout in
	  destructor

2006-03-23 18:07  zmoelnig

	* src/: configure, configure.ac: added check for sse2

2006-03-23 18:05  zmoelnig

	* src/Base/: GemPixConvert.h, GemPixConvertSSE2.cpp,
	  GemPixUtil.cpp: added YUV->RGB24 routine (its not really faster
	  than YUV->RGB32)

2006-03-23 18:03  zmoelnig

	* src/Base/GemSIMD.h: put GEM_VECTORALIGNMENT in here

2006-03-23 15:25  zmoelnig

	* src/Base/GemPixConvertSSE2.cpp: further improved the SSE2-code:
	  less shuffling done (in YUV2RGBA) and cache optimization on
	  writing

2006-03-23 15:07  zmoelnig

	* src/Base/GemPixUtil.cpp: use macros for the timing code: this
	  makes things much more readable (no more ifdef's within the
	  actual code to time)

2006-03-23 00:07  tigital

	* src/Controls/gemwin.cpp: typo with no effect

2006-03-23 00:06  tigital

	* src/Base/GemPixObj.cpp: var initializing re-ordering

2006-03-22 23:50  tigital

	* src/Manips/glsl_program.cpp: added "#ifdef GL_ARB_shader_objects"
	  to linkCallback()

2006-03-22 23:47  tigital

	* src/Base/: GemPixConvert.h, GemPixConvertAltivec.cpp: added
	  YUV422_to_YV12_altivec(); changed function var's to
	  YV12_to_YUV422_altivec() so it works in the new file; started
	  YUV422_to_BGRA_altivec(), but non-functioning atm

2006-03-22 23:43  tigital

	* src/Base/GemPixObj.h: re-ordering

2006-03-22 23:40  tigital

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: GemPixConvert.h
	  switcheroo

2006-03-22 18:41  zmoelnig

	* src/Base/GemPixUtil.cpp: use the YUV2RGBA routines; on
	  reallocate() make sure that a pointer to the aligned memory is
	  returned

2006-03-22 18:35  zmoelnig

	* src/Base/: GemPixConvert.h, GemPixConvertSSE2.cpp: initial
	  SSE2-optimized YUV2RGBA conversion: there is still a lot to be
	  done here (e.g. get a real grip on SIMD-programming!)

2006-03-22 13:59  zmoelnig

	* src/Base/: GemPixConvert.h, GemPixConvertAltivec.cpp,
	  GemPixConvertSSE2.cpp, GemPixUtil.cpp, GemPixUtil.h: added
	  SSE2-optimized RGBA2YUV conversion; since GemPixUtil.cpp has
	  grownso huge, i have outsourced the optimized color conversion
	  routines into separate files GemPixConvertAltivec.cpp,
	  GemPixConvertSSE2.cpp; obviously this has only been tested on
	  linux and mightwork (or not) on osx

2006-03-20 22:32  zmoelnig

	* examples/02.advanced/18.gl_shading_language.pd: did i check this
	  in already?

2006-03-20 21:53  zmoelnig

	* examples/: 02.advanced/18.gl_shading_language.pd, data/Toon.frag,
	  data/Toon.vert: a toon-shader done with glsl

2006-03-20 16:02  tigital

	* src/Manips/glsl_program.cpp: "#ifdef GL_ARB_shader_objects" added
	  to createArrays()

2006-03-19 19:25  zmoelnig

	* src/TODO.091: i think the separator-issue is almost fixed

2006-03-19 19:25  tigital

	* src/Geos/: rubber.cpp, rubber.h: remembered to member variables
	  (masses, springs), so now we have actual object autonomy

2006-03-18 21:36  tigital

	* src/Pixes/pix_movieDarwin.h: fixed typo, now compiles

2006-03-18 15:21  zmoelnig

	* src/Pixes/: pix_coordinate.cpp, pix_coordinate.h, pix_film.cpp,
	  pix_film.h, pix_filmYUV.cpp, pix_filmYUV.h, pix_movie.cpp,
	  pix_movie.h, pix_movieDarwin.cpp, pix_movieDarwin.h,
	  pix_movieYUV.cpp, pix_movieYUV.h, pix_multitexture.cpp,
	  pix_multitexture.h, pix_snap2tex.cpp, pix_snap2tex.h,
	  pix_texture.cpp, pix_texture.h: in theory these changes should
	  fix the memleak problem with the [separator]: while i was extra
	  careful, i hope that my changes will be compiling and (what's
	  more) be functional on other platforms!

2006-03-16 10:34  zmoelnig

	* help/: light.pd, linear_path.pd, primTri.pd, scale.pd,
	  scaleXYZ.pd, separator.pd, shearYZ.pd, shearZX.pd,
	  spline_path.pd, spot_light.pd: updated help-patches (mostly
	  xchanged the [destroy( message with [create()

2006-03-16 09:55  zmoelnig

	* src/Pixes/pix_texture.cpp: FIXED: not using client-storage on
	  machines that do not support it led to a "invalid enumerant"
	  GL-error (due to setting GL_UNPACK_CLIENT_STORAGE_APPLE via
	  glPixelStore to _some_ value);

2006-03-15 20:49  tigital

	* src/TODO.091: updated based on what was committed yesterday, plus
	  some other things

2006-03-15 18:09  zmoelnig

	* src/TODO.091: updated since a help-patch for [pix_record] is now
	  available

2006-03-15 17:51  zmoelnig

	* src/Pixes/: pix_share.h, pix_share_read.cpp, pix_share_read.h,
	  pix_share_write.cpp, pix_share_write.h: new implementation that
	  allows switching of the attached shm-segment via a "set" message.

2006-03-15 16:42  zmoelnig

	* src/Controls/gemframebuffer.cpp: things removed for osX needed to
	  be removed on linux too

2006-03-15 11:37  zmoelnig

	* help/pix_record.pd: a help-patch

2006-03-15 11:35  zmoelnig

	* src/Pixes/pix_record.cpp: cleaned up a bit (less verbosity; local
	  variables should not be called m_...; ...)

2006-03-14 21:04  tigital

	* src/Pixes/: pix_multitexture.cpp, pix_multitexture.h: [osx]:
	  removed HaveValidContext() checks, because we now have a master
	  context created via GemMan::initGem()...also initial code (not
	  fully working) intended to allow auto-texcoord generation and
	  setTexCoords()

2006-03-14 20:59  tigital

	* src/Controls/: gemframebuffer.cpp, gemframebuffer.h: [osx]:
	  removed HaveValidContext() checks, because we now have a master
	  context created via GemMan::initGem()...also changed to
	  GL_NEAREST filtering to prevent fallback to software
	  renderer...and initial (not fully working) code to allow
	  colorspace request (ie. FLOAT, RGB, RGBA)

2006-03-14 20:53  tigital

	* src/Manips/fragment_program.cpp: [osx]: removed
	  HaveValidContext() checks, because we now have a master context
	  created via GemMan::initGem()

2006-03-14 20:49  tigital

	* src/Manips/: glsl_fragment.cpp, glsl_program.cpp,
	  glsl_vertex.cpp, vertex_program.cpp: [osx]: removed
	  HaveValidContext() checks, because we now have a master context
	  created via GemMan::initGem()

2006-03-14 20:25  tigital

	* src/Geos/: imageVert.cpp, text2d.cpp, text3d.cpp,
	  textoutline.cpp, model.cpp: [osx]: removed HaveValidContext()
	  checks, because we now have a master context created via
	  GemMan::initGem()

2006-03-14 20:17  tigital

	* src/: Base/GemGL.h, Base/GemMan.cpp, Base/GemWinCreateMac.cpp,
	  Base/TextBase.h, Nongeos/world_light.cpp: [osx]: removed
	  HaveValidContext() checks, because we now have a master context
	  created via GemMan::initGem()

2006-03-14 19:23  tigital

	* help/imageVert.pd: corrected path to initial image

2006-03-14 16:35  zmoelnig

	* src/: TODO.091, Manips/glsl_vertex.cpp: glsl_vertex and
	  glsl_fragment now respect pd's search path; updated TODO since
	  some help-patches are now done

2006-03-14 16:32  zmoelnig

	* help/: fragment_program.pd, glsl_fragment.pd, glsl_program.pd,
	  glsl_vertex.pd, vertex_program.pd: updated and new help-patches
	  for shaders

2006-03-14 15:25  tigital

	* src/Geos/: rubber.cpp, rubber.h: [size $1< works, and it's
	  centered; removed CLIP_* limitations, so now it's like a normal
	  gem object;  some cleanup

2006-03-14 15:20  tigital

	* src/Pixes/pix_freeframe.cpp: added setModified() to parmMess:
	  where is this really necessary (and not)?

2006-03-14 15:19  zmoelnig

	* src/Manips/: glsl_program.cpp, glsl_program.h: link now
	  optionally takes a list of module-id's: [link 3 2( is the same as
	  [shader 3 2, link(

2006-03-14 15:17  zmoelnig

	* src/Manips/: fragment_program.cpp, vertex_program.cpp: repsect
	  pd's search path when opening shaders; fewer openGL errors;

2006-03-14 15:17  tigital

	* src/Base/: GemPBuffer.cpp, GemPBuffer.h: cleanup:  removed unused
	  function bindTexture()

2006-03-14 14:20  zmoelnig

	* src/Pixes/pix_freeframe.cpp: removed printout of plugin address;
	  made param# larger and end the param-string with \0

2006-03-14 14:18  zmoelnig

	* help/: fragment_program.pd, pix_freeframe.pd, vertex_program.pd:
	  added help-files for ARB shaders; made the [pix_freeframe] object
	  theoretically functional

2006-03-14 13:33  zmoelnig

	* src/Geos/: GemSplash.cpp, GemSplash.h: empty(!still!) class for a
	  splash screen; this object is aliased "Gem", so that when people
	  create a [Gem] object, it doesn't fail

2006-03-14 11:40  zmoelnig

	* src/: TODO.091, Pixes/pix_share_read.cpp: mark shm-segment for
	  deletion when object is destroyed; [TODO]: marked pix_share_* as
	  done

2006-03-14 11:38  zmoelnig

	* help/: pix_share_read.pd, pix_share_write.pd: added help patches

2006-03-14 11:14  zmoelnig

	* src/Pixes/: pix_share_read.cpp, pix_share_read.h,
	  pix_share_write.cpp, pix_share_write.h: made it work on linux
	  (even without crashes!); now you can also specify the 4th
	  argument (color) as symbolic name like "RGBA" or "YUV":

2006-03-14 09:58  zmoelnig

	* src/TODO.091: updated status

2006-03-14 09:53  zmoelnig

	* src/TODO.091: what we still have to-do to make the gem-0.91
	  release

2006-03-13 21:27  zmoelnig

	* src/Base/: GemMan.cpp, GemMan.h, GemWinCreate.h,
	  GemWinCreateXWin.cpp: added a handle for Destroy-Event on linux;
	  whenever the window is closed (by clicking on the "x") the
	  gem-context will be destroyed; this needs to be done outside of
	  the event-loop to avoid crashes

2006-03-13 20:38  zmoelnig

	* src/Pixes/pix_convert.cpp: convert from cs other than RGBA

2006-03-13 18:47  zmoelnig

	* src/Base/: GemWinCreate.h, GemWinCreateXWin.cpp: registered the
	  WM_DELETE_WINDOW protocol in order to disable the user-closing of
	  the Window: LATER think about closing the window, when the user
	  requests it.

2006-03-13 18:20  zmoelnig

	* src/Base/GemPixImageSave.cpp: respect the upside-down flag when
	  in mem2jpegImage(): however on my machine the images written seem
	  to be correct anyhow...

2006-03-13 17:56  zmoelnig

	* src/Pixes/pix_record.cpp: do not instantiate recordQT4L when
	  HAVE_LQT_ADD_VIDEO_TRACK is not defined

2006-03-12 21:37  zmoelnig

	* abstractions/: hsv2rgb-help.pd, rgb2hsv-help.pd: added
	  help-patches for the hsv2rgb (and vice versa) abstraction: these
	  are just copies from Gem/help/

2006-03-12 21:34  zmoelnig

	* abstractions/: hsv2rgb.pd, rgb2hsv.pd: new abstractions in case
	  we get rid of MarkEx

2006-03-12 20:33  zmoelnig

	* help/pqtorusknots.pd: added new help-file

2006-03-12 20:07  zmoelnig

	* help/: pix_contrast.pd, pix_convert.pd, pix_deinterlace.pd,
	  pix_freeframe.pd, pix_mean_color.pd: new help-files

2006-03-06 12:23  zmoelnig

	* src/Base/: GemWinCreateXWin.cpp, GemWinCreateNT.cpp: added
	  stencil-buffer for glx (tested) and wgl (NOT tested)

2006-03-04 01:52  tigital

	* src/Base/GemWinCreateMac.cpp: added stencil buffer on creation

2006-03-03 21:42  tigital

	* help/pix_texture.pd, src/Pixes/pix_texture.cpp,
	  src/Pixes/pix_texture.h: added env message; cleanups in
	  setUpTextureState()

2006-03-02 15:55  zmoelnig

	* src/Pixes/pix_snap.cpp: set "upsidedown" to false: while this is
	  the default on most systems, it is not on OSX (where quicktime
	  makes flipped images); however pix_snap will always make
	  "upright" images, so we have to make sure this is set here; this
	  should close #1096651 at the sf-tracker (but i haven't tested it
	  on OSX) additionally use setCsizeByFormat(); additionally enable
	  the __APPLE__'ed code for all platforms (its nothing
	  apple-specific in there)

2006-02-28 18:40  zmoelnig

	* src/Manips/: glsl_program.cpp, glsl_program.h: who need m_name
	  and m_length ? not me...

2006-02-28 18:39  zmoelnig

	* src/Manips/: glsl_program.cpp, glsl_program.h: whoa! finally
	  found the bug that made Gem crash on re-loading a shader (or
	  loading another one...); lots of cleanups, like using C++ "new"
	  instead of "malloc" and more terse output and and ...

2006-02-27 17:00  tigital

	* src/Manips/glsl_program.cpp: free arrays in getVariables() before
	  getting the new m_uniformCount

2006-02-27 16:09  zmoelnig

	* src/Geos/: pqtorusknots.cpp, pqtorusknots.h: finally found the
	  type that made a) the object crash and b) it look weird; only
	  regenerate the vertices,... when needed (e.g. something has
	  changed)

2006-02-27 15:25  zmoelnig

	* src/: configure, configure.ac: added better (probably working)
	  tests for ARB and NV extensions

2006-02-27 15:09  zmoelnig

	* src/: configure, configure.ac: added a better (probably working)
	  test for "lqt_add_video_track"

2006-02-27 14:36  zmoelnig

	* src/Geos/rubber.cpp: added missing curly bracket

2006-02-27 14:35  zmoelnig

	* src/Geos/: pqtorusknots.cpp, pqtorusknots.h: initialized the
	  index-array to "0": this keeps us from crashing!

2006-02-24 16:14  tigital

	* src/Geos/: rubber.cpp, rubber.h: added messages: "drag"(default
	  0.5) and "spring" (default 0.3); some cleanup

2006-02-23 18:34  zmoelnig

	* src/Pixes/: pix_buffer.cpp, pix_buffer.h: added support for
	  writing specified slots to disk (not very well tested)

2006-02-23 18:33  zmoelnig

	* src/Base/GemPixImageSave.cpp: support for other colorspaces than
	  RGB when writing with imagemagick (YUV not yet supported; libtiff
	  and libjpeg not tested at all!)

2006-02-23 16:33  zmoelnig

	* src/Pixes/: pix_snap2tex.cpp, recordQT4L.cpp, recordQT4L.h: only
	  compile if HAVE_LQT_ADD_VIDEO_TRACKS is defined (which should be
	  defined by configure)

2006-02-23 16:29  zmoelnig

	* src/Controls/gemmouse.cpp: removed the inlet

2006-02-23 16:29  zmoelnig

	* src/Base/CPPExtern.h: allow to set the class-flags by defining
	  GEM_CLASSFLAGS

2006-02-21 15:01  zmoelnig

	* src/configure.ac: define HAVE_CONFIG_GENERIC_H if we don't have
	  another config*.h.in file

2006-02-21 15:00  zmoelnig

	* src/Base/config.h: include configGeneric.h instead of os-specific
	  config-file if HAVE_CONFIG_GENERIC_H is defined (at the command
	  line)

2006-02-21 14:27  zmoelnig

	* src/Base/configGeneric.h.in: a generic fallback (a la long we can
	  replace all the os-specific config.h.in files)

2006-02-21 14:25  zmoelnig

	* src/: configure, configure.ac: added a test for
	  lqt_add_video_track()

2006-02-21 14:01  zmoelnig

	* src/Base/configLinux.h.in: added HAVE_LQT_ADD_VIDEO_TRACK, since
	  older versions of libquicktime don't have this...

2006-02-21 12:05  zmoelnig

	* src/Geos/: pqtorusknots.cpp, pqtorusknots.h: tried to make it
	  more stable; it is till crashing when: a) switching from
	  non-texture to texture (it works when the texture is present when
	  rendering is started); b) switching the lighting-state

2006-02-21 12:02  zmoelnig

	* src/Base/glew.cpp: #ifdef'ed everything with USE_GLEW (currently
	  glew is not used, so try to avoid any interference)

2006-02-17 06:22  tigital

	* src/Manips/glsl_fragment.cpp: removed an unused outlet

2006-02-16 20:53  tigital

	* src/openGL/: GEMglTexGenfv.cpp, GEMglTexGenfv.h: useful for
	  automatic texture-coordinate generation

2006-02-16 00:05  tigital

	* src/Pixes/pix_freeframe.cpp: [osx] one last hack to make it work
	  like the other platforms

2006-02-15 21:54  zmoelnig

	* src/Pixes/pix_freeframe.cpp: oops! for testing i used __linux__
	  instead of __APPLE__ and forgot to revert it...

2006-02-15 21:34  zmoelnig

	* src/Pixes/pix_freeframe.cpp: some string magic to get the correct
	  name of the plugin within an osX-bundle

2006-02-15 19:32  zmoelnig

	* src/openGL/GEMglBlendEquation.cpp: fixed use of
	  DONT_HAVE_GLBLENDEQUATION (it was used as HAVE_GLBLENDEQUATION)

2006-02-13 22:49  zmoelnig

	* src/Pixes/pix_fiducialtrack.cpp: removed the 2nd inlet (why was
	  it there at all?)

2006-02-13 17:58  tigital

	* help/pix_fiducialtrack.pd: corrected all.trees path to work from
	  help

2006-02-10 16:20  zmoelnig

	* Makefile: use MAKECMDGOALS when calling the Makefile in src/

2006-02-10 14:32  zmoelnig

	* src/Pixes/: pix_contrast.cpp, pix_contrast.h: added inlets for
	  contrast and saturation

2006-02-10 14:26  zmoelnig

	* src/Pixes/: pix_contrast.cpp, pix_deinterlace.cpp,
	  pix_deinterlace.h: added Grayscale processing avoid processing in
	  [pix_contrast] if both m_contrast and m_saturate are 1.f (in
	  greyscale ignore m_saturate)

2006-02-09 01:32  tigital

	* src/Pixes/pix_freeframe.cpp: [osx] new loader code that works
	  with freeframe 1.0 SDK; note that the plugin will be looked for
	  in the same directory as the patch, and currently you must append
	  ".frf" to the end of the plugin's name

2006-02-08 23:39  tigital

	* src/Base/GemPixUtil.cpp: cleaned up
	  imageStruct::setCsizeByFormat() so that it no longer does
	  "default" switch before hitting the various case's

2006-02-08 23:27  cclepper

	* src/Pixes/: pix_deinterlace.h, pix_deinterlace.cpp: Added RGBA
	  version and tested on Windows.

2006-02-08 23:26  cclepper

	* src/Pixes/: pix_contrast.cpp, pix_contrast.h: Added RGBA version
	  and tested on Windows.  Works except for negative contrasrt and
	  saturarion values.

2006-02-07 17:16  zmoelnig

	* src/Pixes/: pix_contrast.cpp, pix_contrast.h,
	  pix_deinterlace.cpp: renamed processYUV_Altivec() to
	  processYUVAltivec() so it gets automatically called by
	  GemPixObj's render(); put initializing of class-variables into
	  the constructor-header

2006-02-07 04:34  cclepper

	* src/Pixes/pix_contrast.h: added #ifdef __VEC__

2006-02-07 04:30  cclepper

	* src/Pixes/pix_deinterlace.cpp: added #ifdef __VEC__

2006-02-06 22:46  cclepper

	* src/Pixes/: pix_contrast.h, pix_contrast.cpp, pix_deinterlace.h,
	  pix_deinterlace.cpp: initial YUV version with Altivec

2006-02-06 18:20  cclepper

	* src/Pixes/: pix_recordQT.h, pix_recordQT.cpp: brings the old
	  pix_record up to date

2006-02-06 15:14  zmoelnig

	* src/Pixes/recordQT.cpp: implemented the setCodec(int) as a no-op

2006-02-06 14:41  zmoelnig

	* src/Base/TextBase.h: better indentation to see what is included
	  when

2006-02-06 11:15  zmoelnig

	* src/Pixes/: pix_recordQT.cpp, pix_recordQT.h: this is the
	  original pix_record, now renamed to pix_recordQT while we have
	  the two concurrent objects, how should we make this compatible?
	  create an abstraction?? make hacks like in [pix_filmNT]???

2006-02-06 10:58  zmoelnig

	* src/Pixes/: recordQT.cpp, recordQT.h: at least made it compile on
	  os-x

2006-02-05 20:23  zmoelnig

	* src/Pixes/pix_record.cpp: made "record"-message work again

2006-02-05 20:22  zmoelnig

	* src/Pixes/recordQT4L.cpp: now it produces something...

2006-02-05 19:51  zmoelnig

	* src/Pixes/: recordQT4L.cpp, recordQT4L.h: updated to use lqt-api
	  instead of old quicktime4linux api.  although it somehow produces
	  just noise right now (but hey - it did work 10 minutes ago)

2006-02-05 19:49  zmoelnig

	* src/Pixes/recordQT.h: removed the dummy implementation of
	  putFrame(): it is pure virtual in record.cpp and should not be
	  filled with dummies

2006-02-04 19:16  tigital

	* ChangeLog: update

2006-02-04 13:47  zmoelnig

	* src/Base/config.h: define HAVE_QUICKTIME for __APPLE__ (later
	  think about using autoconf for this)

2006-02-04 13:44  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added convertTo() and
	  convertFrom() functions to the imageStruct-class for generic
	  cs-conversion.

2006-02-03 22:53  zmoelnig

	* src/Pixes/: pix_record.cpp, pix_record.h: pix_record which is
	  independent of the used API (like pix_filmNEW,...)

2006-02-03 22:52  zmoelnig

	* src/Pixes/recordQT.cpp: blind fixes to match record.h

2006-02-03 22:40  zmoelnig

	* src/Pixes/: record.cpp, record.h, recordQT.cpp, recordQT.h,
	  recordQT4L.cpp, recordQT4L.h: implementation classes for
	  pix-record APIs.  so far the recordQT4L (quicktime-for-linux) is
	  tested, but not totally stable the recordQT (Apple's QuickTime
	  API) has been copy'n'pasted from the original pix_record.cpp code
	  - i am pretty sure i introduced some problems: at least the
	  codec-querying and (more important) setting has certainly been
	  broken.

2006-02-03 16:33  tigital

	* src/Base/GemMan.cpp: [osx]: shutup gcc warning in initGem()

2006-02-01 19:38  zmoelnig

	* src/Pixes/: pix_vpaint.cpp, pix_vpaint.h: replaced printf() by
	  error() (it's more pdish and doesn't throw an error)

2006-02-01 19:37  zmoelnig

	* src/Base/GemPBuffer.cpp: at least it compiles here on linux...

2006-02-01 19:21  zmoelnig

	* src/Controls/gemframebuffer.cpp: probably a new-line at EOF

2006-02-01 19:21  zmoelnig

	* src/Geos/: pqtorusknots.cpp, pqtorusknots.h: cleaned up code a
	  bit (so i can read it :-)) should perform a bit faster as well
	  fixed a crash on my machine added type message

	  still very crashy i _think_ there is a bug (most likely: a memory
	  leak) in here

2006-02-01 17:53  tigital

	* src/Base/GemPBuffer.cpp: forgot header change to other platforms:
	  this'll be cleaned and put in the correct spot (ie. the top of
	  the file) sometime

2006-02-01 16:43  tigital

	* src/Geos/: pqtorusknots.cpp, pqtorusknots.h: initial commit:
	  novel mathematical structure

2006-02-01 16:42  tigital

	* src/Pixes/: pix_vpaint.cpp, pix_vpaint.h: initial commit:  takes
	  an image and creates a "voronoi region" painting out of
	  it...works on OSX, but relies on GemPBuffer code, so other
	  platforms can use this to test that code...

2006-02-01 16:39  tigital

	* src/Base/: GemPBuffer.cpp, GemPBuffer.h: initial commit:  works
	  on OSX (still needs some serious cleanup!), but untested on other
	  platforms:  code is there, but is it really equivalently
	  functional?

2006-02-01 16:37  tigital

	* src/Manips/glsl_program.cpp: added check for a loaded program to
	  the paramMess code; prevents crashing when sending parameters to
	  the object but no program is actually loaded!

2006-02-01 16:36  tigital

	* src/Manips/glsl_fragment.cpp: error code reporting cleanup

2006-02-01 16:34  tigital

	* src/Controls/gemwin.cpp: [OSX] changed NULL to 0 to shutup gcc

2006-02-01 16:33  tigital

	* src/Base/GemMan.h: added header for glReportError(); [OSX] added
	  "masterContext"

2006-02-01 16:31  tigital

	* src/Controls/gemframebuffer.cpp: cleanup; added setModified();

2006-02-01 16:04  zmoelnig

	* src/Pixes/pix_image.cpp: changed "#define unix" to "#define
	  __unix__"

2006-02-01 16:03  zmoelnig

	* src/Pixes/pix_sig2pix.h: changed "#define unix" to "#define
	  __unix__" removed unneccessary headers from inclusion

2006-02-01 15:59  zmoelnig

	* src/Base/: GemMan.cpp, GemWinCreate.h, GemWinCreateXWin.cpp:
	  changed "#define unix" to "#define __unix__" moved the check for
	  glx-support to GemWinCreateXWin.h

2006-02-01 15:58  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX] added "masterContext", which
	  gets rid of need for HaveValidContext()...needs non-jamie testing
	  ;-)

2006-02-01 15:53  tigital

	* src/Base/GemMan.cpp: cleanups; added TODO questions; [OSX] added
	  "masterContext", which gets rid of need for
	  HaveValidContext()...needs non-jamie testing ;-)

2006-02-01 14:24  zmoelnig

	* src/Base/GemMan.cpp: only create constContext when its not
	  already created

2006-02-01 14:23  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: applied patch from cesare to avoid
	  crashes on closing the window

2006-01-30 14:12  zmoelnig

	* src/Base/: GemPixUtil.h, GemPixUtil.cpp: added constructor for
	  pixBlock-class (which properly initalizes newfilm and newimage to
	  "false") moved constructor/destructor of imageStruct and pixBlock
	  from header into the cpp-files to avoid unneccessary
	  recompilation on changes)

2006-01-26 15:47  zmoelnig

	* src/: README.glew, importGLEW.sh: made a script (which will
	  hopefully hardly ever be needed) to import glew mention it in the
	  README.glew

2006-01-26 15:07  zmoelnig

	* src/: README.glew, Base/glew.cpp, Base/glew.h, Base/glxew.h,
	  Base/wglew.h: added glew-files (+ a readme how i got them)

2006-01-23 12:08  zmoelnig

	* examples/06.particle/: 01.simple.pd, 02.fountain.pd, 03.orbit.pd,
	  04.combo.pd, 05.twoSrc.pd, 06.target.pd, 07.render.pd,
	  08.info.pd: changed [part_velsphere] to [part_velocity sphere]

2006-01-23 12:07  zmoelnig

	* src/Base/configNT.h: define DONT_HAVE_GLBLENDQUATION

	  i think, this file should be used only for M$VC; LATER we can put
	  #pragma's in here to enable linking with special libraries based
	  on the configuration (or should we rather do it in the files that
	  need these libraries??)

2006-01-23 12:05  zmoelnig

	* src/openGL/GEMglBlendEquation.cpp: use a DONT_HAVE_GLBLENDQUATION
	  rather than __WIN32__ to determine whether this objects needs to
	  be disabled

2006-01-22 22:43  zmoelnig

	* debian/control: added alternative dependencies for magick++6 and
	  avifile-0.7

2006-01-22 22:41  zmoelnig

	* src/gem.dsp: added newly added files

2006-01-22 22:40  zmoelnig

	* src/: Controls/gemwin.h, Pixes/pix_share_read.cpp,
	  Pixes/pix_share_read.h, Pixes/pix_share_write.cpp,
	  Pixes/pix_share_write.h: minor changes (line.breaks)

2006-01-22 22:37  zmoelnig

	* src/Pixes/pix_fiducialtrack.cpp: on w32 we have to include <io.h>
	  to be able to use "close(int)"

2006-01-22 22:32  zmoelnig

	* src/Pixes/libfidtrack_treeidmap.cpp: fixed string-template issues
	  with vc6

2006-01-22 22:29  zmoelnig

	* src/Pixes/libfidtrack_fidtrackX.cpp: changed 0.5 to 0.5f to make
	  floats instead of doubles (amd thus reduce warnings about
	  conversion)

2006-01-22 22:27  zmoelnig

	* src/Pixes/pix_multitexture.cpp: disabled if GL_TEXTURE0_ARB is
	  undefined (another candidate for GLEW)

2006-01-22 22:26  zmoelnig

	* src/Pixes/pix_hit.h: removed definition of DEBUG=0 since it is
	  not needed anyhow

2006-01-22 22:25  zmoelnig

	* src/openGL/GEMglBlendEquation.cpp: turn glBlendEquation OFF on
	  w32 (stupid restriction, but faster than finding anything more
	  sophisticated)

2006-01-22 22:23  zmoelnig

	* src/Manips/vertex_program.cpp: only set glParameterEnvArg if
	  vertexprograms are supported by the headers

2006-01-22 22:17  zmoelnig

	* src/Base/GemExportDef.h: disable more warnings (here:
	  switch-statement without case (only default); this is possible is
	  all cases are turned off by #ifdefs)

	  NOTE: these pragmas should be within __MSC_VER_ instead of
	  __WIN32__

2006-01-18 13:10  zmoelnig

	* src/Particles/part_sink.cpp, src/Particles/part_sink.h,
	  examples/06.particle/09.sink.pd, help/part_sink.pd: found this
	  lying around on my harddisk

2006-01-18 12:22  zmoelnig

	* src/Geos/circle.h: made circle::NUM_PTS a define rather than a
	  const static variable

2006-01-18 12:13  zmoelnig

	* src/Geos/: circle.cpp, tube.h: removed unused variables made
	  circle::NUM_PTS a define rather than a const static variable

2006-01-18 11:54  zmoelnig

	* src/: configure, configure.ac: set a variable when an
	  apple-framework is found use it in the status-report (so
	  apple-users don't get confused about no QuickTime even if the
	  framework is installed) in "configure" the removal of
	  "local"/"locale" is also applied

2006-01-18 11:52  zmoelnig

	* src/: acinclude.m4, aclocal.m4: fixed typo "locale" should read
	  "local"; however, since the tests are not expanded into
	  functions, this does not work so i removed the "locale" entirely
	  and replaced it by a pseudo-localized variable (appending stuff
	  derived from the arguments)

2006-01-18 11:24  zmoelnig

	* src/Pixes/pix_filmDarwin.cpp: properly ifdef the usage of
	  "kDVCPROHD720pCodecType"

2006-01-18 11:18  zmoelnig

	* src/Pixes/filmQT.h: declare getFPS() (inherited from film.h)

2006-01-18 11:15  zmoelnig

	* src/Pixes/pix_videoDarwin.cpp: include <fcntl.h> for open()

2006-01-18 11:02  zmoelnig

	* src/Manips/glsl_fragment.cpp: disable more code, if
	  GL_ARB_shader_objects is not defined (mostly cosmetic)

2006-01-18 11:00  zmoelnig

	* src/Manips/: glsl_program.cpp, glsl_program.h, glsl_vertex.cpp,
	  glsl_vertex.h: disable most of the code if
	  "GL_ARB_shader_objects" is not defined

2006-01-18 10:13  zmoelnig

	* src/openGL/: GEMglUseProgramObjectARB.cpp,
	  GEMglUseProgramObjectARB.h: avoid using m_program if
	  "GL_ARB_shader_objects" is not defined

2006-01-17 12:01  zmoelnig

	* src/Base/GemGL.h: prevent ARB-GLSL

2005-12-27 20:03  tigital

	* help/spot_light.pd: initial helpfile

2005-12-15 18:45  zmoelnig

	* src/Pixes/: pix_hit.cpp, pix_hit.h: removed loading/saving
	  removed "point" area-type changed (float) to (unsigned char)
	  where possible (at least where it was obvious to do)

2005-12-15 14:09  zmoelnig

	* debian/: changelog, control, copyright, files, rules: updated a
	  bit so we can build a debian-package

2005-12-15 13:17  zmoelnig

	* src/Pixes/: pix_hit.cpp, pix_hit.h: added davide's hit-object

2005-12-15 11:54  zmoelnig

	* src/Pixes/: video.cpp, videoV4L.cpp: initialized more variables
	  moved initialization (from body of constructor) into
	  initialization-block of constructor

2005-12-15 01:43  tigital

	* src/Manips/glsl_program.cpp: clean up in render loop

2005-12-15 00:19  cclepper

	* src/Pixes/pix_record.h: works on windows. sorta.  only a few
	  changes needed from the mac code.

2005-12-15 00:15  cclepper

	* src/Pixes/pix_record.cpp: works on windows. sorta.  only a few
	  changes needed from the mac code.

2005-12-14 16:53  tigital

	* src/Manips/: vertex_program.cpp, vertex_program.h: string buffer
	  is now member variable; more detailed reporting when program is
	  outside hardware limits

2005-12-14 14:34  zmoelnig

	* examples/data/all.trees: TreeIdMap for reacTable*'s fiducials

2005-12-14 14:29  zmoelnig

	* src/Makefile.subdir: dont build depend-files when doing "make
	  clean" or "make distclean"

2005-12-14 14:29  zmoelnig

	* src/Makefile: don't try to generate configure, Make.config and
	  the like when doing a "make clean" or "make distclean"

2005-12-14 14:28  zmoelnig

	* src/Make.include: newline at end of file...

2005-12-14 14:26  zmoelnig

	* src/Particles/part_orbitpoint.h: fixed
	  header-inclusion-prevention-defines (ye, my mother-tongue is
	  German)

2005-12-14 14:24  zmoelnig

	* GEM.LICENSE.TERMS: included Ross and Martin for the reacTIVision
	  system replaced "@" by "[AT]"

2005-12-14 14:15  zmoelnig

	* help/: pix_fiducialtrack.pd, pix_threshold_bernsen.pd:
	  help-patches for the fiducial-tracker (and the binarizing
	  thresholder)

2005-12-14 14:14  zmoelnig

	* src/Pixes/: libfidtrack_fidtrackX.cpp, libfidtrack_fidtrackX.h,
	  libfidtrack_segment.cpp, libfidtrack_segment.h,
	  libfidtrack_treeidmap.cpp, libfidtrack_treeidmap.h,
	  pix_fiducialtrack.cpp, pix_fiducialtrack.h: fiducial-tracking as
	  used in reacTIVision thanks to martin kaltenbrunner and ross
	  bencina (and the mtg@upf) for releasing their code under (L)GPL

2005-12-14 14:13  zmoelnig

	* src/Pixes/: pix_threshold_bernsen.cpp, pix_threshold_bernsen.h:
	  binarizing adaptive tiled thresholder

2005-12-14 14:07  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h: better check
	  whether switching to another driver succeeds

2005-12-10 20:45  tigital

	* src/Base/: GemGLUtil.cpp, GemGLUtil.h: added glReportError() for
	  helping debug

2005-12-10 19:40  zmoelnig

	* src/Base/: GemGL.h, GemPixUtil.h: moved GLdefine's from
	  GemPixUtil to GemGL

2005-12-10 17:01  tigital

	* src/Nongeos/spot_light.cpp: corrected spotlight direction
	  initialization; placed limits on light parameters (as supported
	  by GL)

2005-12-10 01:20  tigital

	* src/Geos/sphere.cpp: removed spurious glEnd() called in
	  createSphere:  it was causing a glError...

2005-12-09 23:52  cclepper

	* src/Manips/: vertex_program.h, vertex_program.cpp: added
	  parameter message

2005-12-09 23:49  cclepper

	* src/Manips/: fragment_program.cpp, fragment_program.h: added
	  parameter message

2005-12-07 17:40  cclepper

	* src/Pixes/filmQT.cpp: fixed QT crashing on Windows, but the fix
	  introduces a small memory leak when loading new movies.  Also,
	  removed a redundant memcpy() in getFrame.

2005-12-07 17:17  tigital

	* src/Pixes/: pix_snap2tex.cpp, pix_snap2tex.h: - added mode &
	  repeat messages (like [pix_texture], same defaults) - added
	  outlet for texture info:  ID, width, height, type

2005-12-06 07:40  tigital

	* src/Controls/: gemframebuffer.cpp, gemframebuffer.h: initial
	  commit: - allows offscreen rendering on a per [gemhead] basis -
	  defaults to 256x256, but can be set with [dimen x y< - float RGB
	  only, atm - right outlet outputs list: texID, width, height, type
	  - type can be switched with [mode 0/1< (ie. TEXTURE_2D or
	  TEXTURE_RECTANGLE)

2005-12-06 06:56  tigital

	* src/openGL/: GEMglUseProgramObjectARB.h,
	  GEMglUseProgramObjectARB.cpp: renamed inlet for some unknown
	  reason

2005-12-06 05:01  tigital

	* src/Manips/glsl_vertex.cpp: don't need to enable/disable
	  shader_arb; added check and better clean up for re-loaded shaders

2005-12-04 23:45  tigital

	* src/Manips/: glsl_program.cpp, glsl_program.h: added outlet for
	  programID

2005-12-04 17:15  tigital

	* src/openGL/: GEMglUseProgramObjectARB.cpp,
	  GEMglUseProgramObjectARB.h: useful glWrapper which allows one to
	  use a glsl_program that was linked in an earlier chain in a later
	  chain; but don't forget to frame it's usage with an ending call
	  with value zero, or the program affects all later chains

2005-12-04 02:17  tigital

	* src/Manips/glsl_program.cpp: individual shader objects are now
	  responsible for cleaning up after themselves; also, made
	  initialized length=0

2005-12-04 02:13  tigital

	* src/Manips/glsl_vertex.cpp: object is now responsible for
	  cleaning up after itself; also discovered that we don't need to
	  glEnable the *_SHADER_ARB's

2005-11-30 07:55  tigital

	* src/Manips/: glsl_program.cpp, glsl_program.h: auto-magic uniform
	  variable discovery working; shaderMess() fixes; lotsa cleanup in
	  general (& stuff)

2005-11-30 01:12  tigital

	* src/Manips/: glsl_vertex.cpp, glsl_vertex.h: clean-up, & better
	  initialization

2005-11-30 00:55  tigital

	* src/Manips/glsl_program.cpp: corrected shaderMess behavior; added
	  OSX check for hardware/software execution

2005-11-29 05:52  tigital

	* src/Pixes/pix_videoDarwin.cpp: miscellaneous fixes of warnings,
	  misspellings, and debug messages

2005-11-29 00:29  cclepper

	* src/Pixes/: pix_videoDarwin.h, pix_videoDarwin.cpp: added
	  SequenceGrabber recording

2005-11-27 15:30  zmoelnig

	* src/Pixes/pix_image.cpp: thread fixes: + better initializing +
	  more freeing + filenames given as argument are now opened via
	  thread too

2005-11-27 11:24  zmoelnig

	* src/Base/GemPixImageLoad.cpp: reduced verbosity a bit made rest
	  of error messages a bit more findable ("error: GemImageLoad"
	  instead of just "erro: GEM")

2005-11-26 22:17  zmoelnig

	* src/Manips/: glsl_program.cpp, glsl_program.h: added dynamic
	  methods for uniform parameters

2005-11-26 20:13  cclepper

	* src/Pixes/pix_filmDarwin.h: Added the first check for HD format
	  clips to deal with their trickster frame sizes.  Also, a fix for
	  sound continuing after rendering stops.

2005-11-26 17:19  zmoelnig

	* src/Manips/: glsl_program.cpp, glsl_program.h: use a #define for
	  defining the max number of shaders fixed some typos and minor
	  bugs

2005-11-26 16:36  zmoelnig

	* src/Pixes/pix_image.cpp: on creating the child-thread wait until
	  it has set the m_thread_running (so we can use that in
	  openMess())

2005-11-26 14:12  zmoelnig

	* src/Pixes/pix_image.cpp: reduced verbosity

2005-11-26 13:48  zmoelnig

	* src/Manips/: glsl_program.cpp, glsl_program.h: hmm: define
	  "t_GLshaderObj" to whatever type the shaderobj should be; made it
	  compile on linux (and not crash)

2005-11-26 13:45  zmoelnig

	* src/Manips/glsl_vertex.cpp: include stdlib (for malloc, free)
	  replace printf() by post()

2005-11-26 06:08  cclepper

	* src/Pixes/pix_filmDarwin.cpp: Added the first check for HD format
	  clips to deal with their trickster frame sizes.  Also, a fix for
	  sound continuing after rendering stops.

2005-11-26 01:50  tigital

	* src/openGL/: GEMglUniform1fARB.cpp, GEMglUniform1fARB.h: initial
	  wrapper support for GLSL support (ARB based): - there should be a
	  whole host of these, but right now I'm only up to writing the
	  one, for input of one indexed float ;-)

2005-11-25 23:56  tigital

	* src/Manips/: glsl_fragment.cpp, glsl_fragment.h,
	  glsl_program.cpp, glsl_program.h, glsl_vertex.cpp, glsl_vertex.h:
	  initial GLSL support (ARB based): - load individual shaders via
	  glsl_vertex or glsl_fragment - combine multiple shader's right
	  output into a [shader $1 $2...< and send into [glsl_program] -
	  send [link< to [glsl_program] to actually link the objects:  this
	  was done because we don't want to re-link objects every
	  render-timeslice...  - each object accepts a [print< to give
	  info, , and [glsl_program] will also report linked program's
	  uniform variables, names, indices...	- uniform variable indices
	  can be used with [GEMglUniform...] to change variables (but maybe
	  there should be more auto-discovery in [glsl_program]?) -
	  object's will also report a shader's compile-time error log (if
	  any) to console (not pd's tk console):  need to figure out how to
	  parse infolog into post()-friendly format...

2005-11-23 14:08  zmoelnig

	* src/Base/: configDarwin.h.in, configLinux.h.in: added check for
	  GLsizeiptrARB

2005-11-23 14:07  zmoelnig

	* src/: configure, configure.ac: die at the end of configure if no
	  openGL has been found check for typedef of GLsizeiptrARB

2005-11-21 15:31  zmoelnig

	* src/Pixes/: pix_image.cpp, pix_image.h: threaded image loading

2005-11-15 15:24  zmoelnig

	* help/: curve3d.pd, pix_buffer.pd: updated help-files

2005-11-15 15:22  zmoelnig

	* examples/04.pix/25.buffer.pd: show how to load an image into the
	  buffer

2005-11-15 15:21  zmoelnig

	* src/openGL/: GEMglBlendEquation.cpp, GEMglBlendEquation.h,
	  GEMglClipPlane.cpp, GEMglClipPlane.h: added some more wrappers
	  (thanks to cyrille)

2005-11-10 15:50  zmoelnig

	* src/Pixes/: video.cpp, videoV4L.cpp: initialize m_devicename to
	  NULL in order to not produce random crashes.	fixed printf()
	  security-hole

2005-11-09 04:08  tigital

	* src/Pixes/pix_filmDarwin.cpp: cleaned up headers, initialization;
	  also added code to pad rowbytes for dimensions not multitples of
	  16 or 32 (helps GL_STORAGE_SHARED_APPLE)

2005-11-09 00:01  cclepper

	* src/Pixes/pix_filmDarwin.cpp: added a little hack to bang when
	  film reaches the end in auto mode

2005-10-31 17:04  tigital

	* ChangeLog: update

2005-10-28 10:59  zmoelnig

	* src/Pixes/: pix_threshold.cpp, pix_threshold.h: use proper
	  inheritance for the altivec function

2005-10-28 00:13  tigital

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added
	  imageStruct.fromGray( short*) version, so now we can import
	  luminance images from pdp2gem...

2005-10-27 23:30  cclepper

	* src/Pixes/: pix_threshold.cpp, pix_threshold.h: added Altivec YUV
	  function

2005-10-26 15:54  zmoelnig

	* examples/04.pix/23.gravity.pd: fixed path and case of images to
	  load

2005-10-25 22:37  cclepper

	* src/Pixes/pix_coordinate.cpp: commented out lines in postrender
	  which removes memory leak in [separator]

2005-10-25 12:01  zmoelnig

	* src/Pixes/pix_multitexture.cpp: throw an exception when no
	  texture-units are defined at startup time (prevents
	  object-creation) enforce 2 arguments in the texUnit-message

2005-10-25 11:54  zmoelnig

	* src/Pixes/pix_multitexture.cpp: bugfix: added A_NULL as
	  terminating argument to the texUnit-callback

2005-10-22 22:50  tigital

	* src/openGL/GEMglIsEnabled.cpp: GL_VERSION_1_1 check only (there's
	  no GL_VERSION_1_0_ on osx!)

2005-10-21 14:49  zmoelnig

	* src/Pixes/: pix_filmNEW.cpp, pix_movieNEW.cpp: improved threaded
	  movie-player: use select() instead of usleep() (should be more
	  portable) when the grabThread returns no frame (NULL), a "bang"
	  is emitted at render-time. the user gets a chance to immediately
	  react on that and reset the frame# to something valid.  when
	  threaded, this will force the changed frame to be read in the
	  main-thread (luckily the grabthread is locked by the mutex)

2005-10-21 10:55  zmoelnig

	* src/configure: changes in configure.ac

2005-10-21 10:55  zmoelnig

	* src/: configure.ac, Base/configLinux.h.in, Pixes/filmFFMPEG.cpp:
	  check whether ffmpeg's (AVStream)->codec is of type
	  "AVCodecContext" or "*AVCodecContext"

2005-10-21 10:03  zmoelnig

	* src/Gnu/: Makefile.clean, Makefile.in, Makefile.subdir,
	  README.build, README.txt, WHATSNEW, acinclude.m4, aclocal.m4,
	  config.guess, config.sub, configure.in, install-sh, makeauxlibs,
	  makesource, missing, mkinstalldirs, undocumented_objects: removed
	  contents of src/Gnu (since people keep building Gem from there)

2005-10-20 18:03  zmoelnig

	* src/Base/configLinux.h.in: check for posix-threads removed
	  HAVE_SIMD things (as we should rather use the __MMX__,... that
	  are autodefined by the compiler)

2005-10-20 18:02  zmoelnig

	* src/: configure, configure.ac: check for posixthreads (as in pd)

2005-10-20 15:41  zmoelnig

	* src/Pixes/: pix_filmNEW.cpp, pix_filmNEW.h, pix_movieNEW.cpp:
	  (optional) threaded reading of movies

2005-10-20 15:38  zmoelnig

	* src/Pixes/: pix_multitexture.cpp, pix_share_write.cpp,
	  pix_share_write.h: shut up compiler warnings; explicit casts from
	  t_float to GLint

2005-10-20 12:03  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h: added method for
	  "device" with symbolic device-names

2005-10-20 11:59  zmoelnig

	* src/Pixes/pix_movieNEW.cpp: 2 lines of  comment...

2005-10-20 11:53  zmoelnig

	* GEM.README: fixed docu-bug that led people to try to compile Gem
	  from src/Gnu instead of src/

2005-10-19 14:48  tigital

	* src/Pixes/pix_multitexture.h: initial commit: - accepts a
	  creation arg to set # of texture units to deal with, or it
	  defaults to the maximum # on the card - [texUnit 1 $2< assigns to
	  texture Unit 1 the texID input via $2 - [mode 0/1< switches
	  between TEXTURE_RECTANGLE and TEXTURE_2D

2005-10-19 06:17  tigital

	* src/Pixes/pix_multitexture.cpp: initial commit: - accepts a
	  creation arg to set # of texture units to deal with, or it
	  defaults to the maximum # on the card - [texUnit 1 $2< assigns to
	  texture Unit 1 the texID input via $2 - [mode 0/1< switches
	  between TEXTURE_RECTANGLE and TEXTURE_2D

2005-10-19 01:59  tigital

	* src/Base/GemGLUtil.cpp: more GLdefine's for multitexture and
	  combiners...

2005-10-14 09:54  zmoelnig

	* src/Controls/gemwin.h: disabled warnings on __WIN32__

2005-10-08 18:24  zmoelnig

	* src/Particles/part_vector.h: wow! this file has been unused for
	  quite a long time now; since i cannot find any reference to it
	  anywhere (except in the 1.1.1.1 or so revision of papi.h) i
	  delete it.

2005-10-07 19:03  zmoelnig

	* src/Pixes/: pix_film.cpp, pix_film.h: removed the disabling of
	  the entire code when FILM_NEW is defined (oh this is really ugly)

2005-10-07 19:02  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: enabled the weird hack i made for a
	  current CVS snapshot of ffmpeg, since the debian/sid package now
	  uses the new API

2005-10-07 18:53  zmoelnig

	* src/: Makefile, Makefile.subdir: remove "-f" (less errors if
	  files are already removed)

2005-10-07 18:52  zmoelnig

	* src/gem.dsp: updated w32 compile environment

2005-10-07 18:51  zmoelnig

	* src/Pixes/filmAVI.cpp: fixed typo

2005-10-07 18:50  zmoelnig

	* src/Pixes/: pix_filmNT.cpp, pix_filmNT.h: only cimpileif we don't
	  want FILM_NEW (i got an error when compiling in the vfw.h file
	  and i didn't want to fix it in a deprecated file); LATER remove
	  these files

2005-10-07 18:49  zmoelnig

	* src/Pixes/: pix_share_read.cpp, pix_share_read.h,
	  pix_share_write.cpp, pix_share_write.h: no shared memory (via
	  shm) on w32; disabled on that platform

2005-10-07 18:47  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h, GemWinCreate.h,
	  TextBase.h: defined pragmas to make compiler a bit less verbose

2005-10-07 18:47  zmoelnig

	* src/Base/GemMath.h: hacked together a version of drand48(); how
	  comes drand48() does not exist on w32 even though these files are
	  in here for years ? (LATER)

2005-10-07 18:44  zmoelnig

	* src/Base/: CPPExtern.h, GemGLUtil.cpp: defined pragmas (on w32)
	  to shut up compiler warnings (e.g. because of unknown pragmas)

2005-10-07 18:43  zmoelnig

	* src/Manips/fragment_program.cpp: on w32 GL_ARB_fragment_program
	  mightbe defined even if there is no ARB-program support...(we
	  really should switch to glew)

2005-10-07 18:42  zmoelnig

	* src/Particles/: partlib_actions.cpp, partlib_system.cpp: include
	  <iostream> instead of <iostream.h> even on w32 (to use the "new"
	  stdlib)

2005-10-06 11:25  zmoelnig

	* src/Base/GemPixUtil.cpp: merged with SIMD: don't copy the
	  "datasize" with copy2imageStruct - as it should only be used
	  internally for pdata; (there is a captialized warning about
	  breaking things in the SIMD-branch log about this; however, i
	  don't believe that it is that dangerous)

2005-10-05 18:35  zmoelnig

	* src/Pixes/: pix_2grey.h, pix_gain.cpp: fixed typo

2005-10-05 18:22  zmoelnig

	* src/Pixes/: pix_gain.cpp, pix_gain.h, pix_invert.cpp,
	  pix_invert.h, pix_mask.cpp, pix_mask.h, pix_mix.cpp, pix_mix.h,
	  pix_motionblur.cpp, pix_motionblur.h, pix_movement.cpp,
	  pix_movement.h, pix_multiply.cpp, pix_multiply.h, pix_offset.cpp,
	  pix_offset.h, pix_rds.cpp, pix_subtract.cpp, pix_subtract.h,
	  pix_tIIR.cpp, pix_tIIR.h, pix_takealpha.h, pix_2grey.cpp,
	  pix_2grey.h, pix_add.cpp, pix_add.h, pix_background.cpp,
	  pix_background.h, pix_biquad.cpp, pix_biquad.h, pix_bitmask.cpp,
	  pix_bitmask.h, pix_chroma_key.cpp, pix_chroma_key.h,
	  pix_compare.cpp, pix_compare.h, pix_composite.cpp,
	  pix_composite.h, pix_diff.cpp, pix_diff.h: merged with
	  SIMD-branch

2005-10-05 18:14  zmoelnig

	* src/Base/: GemFuncUtil.h, GemPixDualObj.cpp, GemPixDualObj.h,
	  GemPixObj.cpp, GemPixObj.h, GemSIMD.h: merged with SIMD

2005-10-05 18:02  zmoelnig

	* src/Pixes/pix_halftone.cpp: merged in changes from SIMD-branch

2005-10-05 17:42  zmoelnig

	* src/Base/configDarwin.h.in: updated

2005-10-05 17:35  zmoelnig

	* src/configure: changes from configure.ac

2005-10-05 17:22  zmoelnig

	* src/Makefile.subdir: remove depend-files when "clean"

2005-10-05 17:14  zmoelnig

	* src/configure.ac: propery escaped test-string

2005-10-05 16:45  zmoelnig

	* src/Make.config.in: use the CXX provided by configure

2005-10-05 16:38  zmoelnig

	* src/configure.ac: use AC_CHECK_FUNC rather than AC_CHECK_LIB to
	  check for glBindProgram{NV,ARB} since on osX we don't have a
	  library libGL but rather use the OpenGL-framework

	  NOTE: the test for glBindProgramNV fails to detect the
	  nvidia-extensions on osX why ? because you have to explicitely
	  request them by defining GL_NV_vertex_program before including
	  the glext.h file on osX on linux (mesaGL,...) it is different:
	  the extensions are only included, if GL_NV_vertex_program is NOT
	  already defined

2005-10-05 16:14  zmoelnig

	* src/Base/GemFuncUtil.h: a compile on osX revealed that somewhere
	  MIN and MAX are defined as preprocessor directives; this stopped
	  compiling the inline functions with the same name; FIXED

2005-10-03 22:19  cclepper

	* src/Pixes/: pix_share_read.cpp, pix_share_read.h: initial commit.
	  object for reading shared pixel memory between processes.

2005-10-03 22:18  cclepper

	* src/Pixes/: pix_share_write.h, pix_share_write.cpp: initial
	  commit.  object for creating shared pixel memory between
	  processes.

2005-10-03 14:17  zmoelnig

	* src/Pixes/: video.cpp, video.h, videoDV4L.cpp, videoDV4L.h,
	  videoV4L.cpp, videoV4L.h, videoV4L2.cpp, videoV4L2.h: added
	  support for devicenames given as strings (like "/dev/video")

2005-10-03 12:38  zmoelnig

	* src/Pixes/: pix_image.cpp, pix_image.h: removed the caching
	  mechanism; if you want to load a set of images and access from
	  RAM, use [pix_buffer] instead

2005-10-02 18:41  zmoelnig

	* src/: Make.config.in, Makefile: made checking for changes in
	  Base/config`uname -s`.h.in a bit better

2005-10-02 15:52  zmoelnig

	* src/Base/: GemMan.h, GemPixImageLoad.cpp, GemPixUtil.h,
	  GemState.cpp: moved inclusion of openGL-headers to Base/GemGL.h

2005-10-02 15:49  zmoelnig

	* src/: Controls/gemwin.cpp, Geos/TexFont.h, Geos/model_loader.h,
	  Particles/partlib_opengl.cpp: moved inclusion of openGL-headers
	  to Base/GemGL.h

2005-10-02 15:48  zmoelnig

	* src/Base/GemGL.h: removed boolean-hack for buggy nvidia-headers
	  (should get fixed upstream)

2005-10-01 21:31  zmoelnig

	* src/Base/configLinux.h.in: checking for nvidia-extensions (can be
	  disabled with "--disable-NV")

2005-10-01 21:30  zmoelnig

	* src/: Make.config.in, Makefile, configure, configure.ac: checking
	  for nvidia-extensions (can be disabled with "--disable-NV") added
	  the system-specific config-file to the dependencies to do a
	  ./configure

2005-10-01 21:15  zmoelnig

	* src/Manips/: fragment_program.cpp, vertex_program.cpp: test for
	  definition of GL_{ARB,NV}_{vertex,fragment}_program before using
	  extensions.

2005-10-01 21:14  zmoelnig

	* src/Manips/fragment_program.h: moved the openGL-magic into
	  Base/GemGL.h

2005-10-01 21:13  zmoelnig

	* src/Base/: GemBase.h, GemGL.h: moved the inclusion of
	  openGL-headers and the openGL-magic into a separate file GemGL.h
	  (this should be included instead of the system-specific
	  openGL-header files)

2005-09-30 21:25  zmoelnig

	* src/Manips/: fragment_program.cpp, fragment_program.h,
	  vertex_program.cpp, vertex_program.h: now we can give the
	  filename as argument and it gets loaded on startRendering()
	  reordered everything a bit (and made fragment_program a child of
	  vertex_program: there's loads of similar code)

2005-09-28 06:29  cclepper

	* src/Pixes/pix_snap2tex.cpp: made sure glTexSubImage2D is called
	  instead of the power of two texturing

2005-09-27 19:56  zmoelnig

	* examples/02.advanced/17.fragment_program.pd: a fragment-shader
	  demo that adds some b/w-noise...

2005-09-27 19:55  zmoelnig

	* examples/data/random.fp: a fragment shader that produces noise...

2005-09-27 19:04  zmoelnig

	* examples/02.advanced/16.vertex_program.pd: added vertex_program
	  demo

2005-09-27 19:04  zmoelnig

	* examples/data/toon.vp: added toon-shader for the vertex_program
	  demo

2005-09-27 19:02  zmoelnig

	* examples/data/64shade.tif: added texture for the vertex_program
	  demo

2005-09-27 18:34  zmoelnig

	* examples/04.video/: 03.movement_detection.pd, 04.videoRTX.pd:
	  removed the "64 64" arguments to [pix_video] as this makes the
	  patches under windows unusable (pix_videoDS thinks the first
	  argument is the deviceID, not the dimension)

2005-09-27 17:44  zmoelnig

	* src/Pixes/: pix_filmLinux.cpp, pix_filmLinux.h: leftovers from
	  pre pix_filmNEW aera.  deleted because i don't (want to) maintain
	  this code any more

2005-09-27 17:42  zmoelnig

	* src/Pixes/: pix_film.cpp, pix_film.h, pix_filmYUV.cpp,
	  pix_filmYUV.h, pix_movie.cpp, pix_movie.h, pix_movieYUV.cpp,
	  pix_movieYUV.h: disable if FILM_NEW is defined in Base/config.h
	  (then pix_filmNEW and friends are used)

2005-09-27 07:17  tigital

	* src/openGL/GEMglIsEnabled.cpp: added check for GL_VERSION_1_1,
	  which is the lowest GL_VERSION osx defines

2005-09-27 07:12  tigital

	* src/Base/GemGLUtil.cpp: added define for
	  GL_TEXTURE_RECTANGLE_EXT, duh

2005-09-26 19:47  zmoelnig

	* src/Pixes/: pix_filmFFMPEG.cpp, pix_filmFFMPEG.h:
	  [pix_filmFFMPEG] is covered by [pix_filmNEW]+filmFFMPEG

2005-09-26 19:43  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: made it _compile_ against the current
	  CVS-version of ffmpeg (not really tested whether it works though)
	  you have to actually change an ifdef at the beginning of
	  filmFFMPEG.cpp in order to make it compatible with the CVS-ffmpeg
	  (haven't found out yet, how to do this in a more generic way
	  (apart from hacking configure again) btw, configure would need a
	  lot of tweaking to recognize a current ffmpeg (and link against
	  all the needed libraries) ffmpeg sucks

2005-09-22 19:41  zmoelnig

	* src/Base/TextBase.cpp: added fix to be able to display floats as
	  numbers again (instead of "float")

2005-09-22 10:32  zmoelnig

	* src/Base/: TextBase.cpp, TextBase.h: added moocows changes (+
	  linebreaking) fixed the bug that prevented TextBase.cpp to build
	  if you were not using FTGL (gltt or no-font)

2005-09-21 20:41  tigital

	* src/Base/GemPixImageSave.cpp: cleanup apple headers

2005-09-21 20:37  tigital

	* src/Geos/scopeXYZ.h: reordering to shut up gcc4 warnings

2005-09-21 19:45  tigital

	* src/Geos/text2d.h: #ifdef'ed GLTTPixmapFont *m_afont like in
	  text2d.cpp

2005-09-21 16:56  zmoelnig

	* src/Base/TextBase.cpp: committed tim's fix to prevent escaping of
	  pd-special characters (like ",")

2005-09-15 12:25  zmoelnig

	* src/Geos/: curve3d.cpp, curve3d.h: removed the pre-defined
	  maximum of control/grid-points: now we can have curve3d's of any
	  preecision

2005-09-11 18:06  zmoelnig

	* src/Pixes/: film.cpp, film.h, filmAVIPLAY.cpp, filmFFMPEG.cpp,
	  filmMPEG3.cpp, filmQT4L.cpp, videoDV4L.cpp, pix_blur.cpp,
	  pix_buffer_read.cpp, pix_filmFFMPEG.cpp, pix_filmNEW.cpp,
	  pix_freeframe.cpp, pix_halftone.cpp, pix_mean_color.cpp,
	  pix_movement2.cpp, pix_multiblob.cpp: shut up compiler warnings:
	  the changes are mostly removal of unused variables, re-ordering
	  of initialization of member-variables, (un)signedness and proper
	  bracketing when doing comparisions

2005-09-11 18:02  zmoelnig

	* src/: Base/GemGLUtil.cpp, Base/GemMan.cpp, Base/GemPixUtil.cpp,
	  Base/GemShape.cpp, Base/TextBase.cpp, openGL/GEMglNewList.cpp,
	  Geos/scopeXYZ.cpp, Geos/text2d.cpp, Geos/torus.cpp,
	  Geos/tube.cpp, Geos/tube.h: shut up compiler warnings: the
	  changes are mostly removal of unused variables, re-ordering of
	  initialization of member-variables and (un)signedness

2005-09-11 12:29  zmoelnig

	* src/Base/: GemWinCreate.h, GemWinCreateXWin.cpp,
	  configLinux.h.in: enable fullscreen on X only if libXxf86vm is
	  present

2005-09-11 12:25  zmoelnig

	* src/Controls/gemwin.cpp: removed a bit of verbosity

2005-09-07 17:42  tigital

	* src/Pixes/: pix_videoDarwin.cpp, pix_videoDarwin.h: finally fixed
	  sequence grabber dialog, so now OSX users can select input
	  devices!

2005-09-04 21:35  zmoelnig

	* src/: Base/TextBase.cpp, Base/TextBase.h, Geos/text2d.cpp,
	  Geos/text3d.cpp, Geos/text2d.h, Geos/text3d.h,
	  Geos/textextruded.cpp, Geos/textextruded.h, Geos/textoutline.cpp,
	  Geos/textoutline.h: added multiline-support (for FTGL) based on
	  georg holzmann's code however, multilines have to be broken into
	  lines outside of the [text]-objects; linebreaks are denoted with
	  "\n" (10)

2005-09-04 20:27  zmoelnig

	* src/Pixes/: videoV4L2.cpp, videoV4L2.h: initial video4linux-2
	  support; right now, it seems to be rather slow! a lot of
	  functionality is not implemented yet (like setting the channel)

	  not yet for use!

2005-09-04 20:21  zmoelnig

	* src/Makefile: GEM_OBJECTS are now a general {GEM_TARGETS}/*.o
	  rather than each object listed separately (some systems don't
	  support such a long list of arguments)

2005-09-02 23:58  cclepper

	* src/Pixes/pix_record.cpp: added loop to match codecType and codec
	  value.  makes pjpeg default work on any machine.

2005-08-31 23:25  cclepper

	* src/Pixes/pix_movieDarwin.cpp: added check for m_haveMovie in
	  setRate to prevent crashing

2005-08-30 18:27  zmoelnig

	* src/Pixes/pix_videoNEW.cpp: a bit more verbosity on startup, so
	  people will no what to send to "driver"

2005-08-29 04:26  tigital

	* src/Pixes/: pix_texture.cpp, pix_texture.h: added outlet to
	  output texture ID, which is useful for multitexturing and
	  ARB_programs...

2005-08-27 22:35  zmoelnig

	* src/Pixes/pix_image.cpp: maybe a hack to fix the tiny memory leak
	  that i suspect to be in the cache LATER: really fix the cache (or
	  remove it entirely)

2005-08-27 15:12  zmoelnig

	* src/Pixes/pix_buffer.cpp: free image-data when loading (after the
	  image has been copied into the buffer)

2005-08-26 18:40  zmoelnig

	* src/: aclocal.m4, configure: "binaries" for the latest changes to
	  acinclude.m4 and configure.ac

2005-08-26 18:39  zmoelnig

	* src/configure.ac: also make a check for package "lqt" (which is
	  libquicktime), since there might be an "lqt"-config installed.

2005-08-26 18:37  zmoelnig

	* src/acinclude.m4: (hopefully) even better library checking: if
	  pkg-config cannot find <libname>, we try <libname>-config to get
	  the cflags and libs.

2005-08-26 15:54  zmoelnig

	* src/configure.ac: test for libquicktime instead of quicktime
	  (there exits a pkg-config for libquicktime on debian) do not
	  automatically add "-lavcodec" when successfully testing for
	  avformat: either the pkg-config test succeeds or the user should
	  really provide PKG_FFMPEG_LIBS to get it right

2005-08-26 15:51  zmoelnig

	* src/acinclude.m4: a bit better: if PKG_<libname>_LIBS is defined
	  from outside but pkg-config fails, we do not test with
	  AC_CHECK_PKG but trust the user

2005-08-26 15:50  zmoelnig

	* src/Pixes/: filmQT4L.h, pix_filmLinux.h: include <quicktime.h>
	  rather than <quicktime/quicktime.h> the path may change and
	  should be reported by autoconf

2005-08-26 14:31  zmoelnig

	* src/Pixes/: pix_freeframe.cpp, pix_freeframe.h: no freeframe
	  support if sizeof(void*)!=sizeof(unsigned int)

2005-08-26 14:25  zmoelnig

	* src/: configure.ac, Base/configLinux.h.in: added checks for the
	  size of (void*) and (unsigned int) (on x86_64 they are not the
	  same (8 vs 4) and so casts won't work (needed for pix_freeframe)

2005-08-26 14:22  zmoelnig

	* src/README.linux: some information on how to workaround to get
	  PIC-versions of certain libraries (ffmpeg, ftgl)

2005-08-26 13:23  zmoelnig

	* src/Pixes/pix_buffer_read.h: forgot to remove update_pix_buffer()
	  remove m_buffer (since this is only used locally)

2005-08-26 00:37  cclepper

	* src/Pixes/: pix_videoDarwin.cpp, pix_videoDarwin.h: added regular
	  and IIDC controls for video adjustment.  tinkering with vdig
	  settings for capture rects.

2005-08-26 00:35  cclepper

	* src/Pixes/: pix_record.cpp, pix_record.h: more cleaning.  fixed
	  possible memory leak

2005-08-26 00:34  cclepper

	* src/Manips/separator.cpp: fixed memory leak

2005-08-25 18:55  zmoelnig

	* src/Pixes/pix_buffer_read.cpp: further performance improvements
	  (without crashes)

2005-08-25 17:59  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: another attempt to get the fps from
	  ffmpeg (the different versions of this library with the same
	  version-number are driving me...)

2005-08-25 11:18  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: there seem to be different versions of
	  ffmpeg-4.0.9 around: one (from CVS!) which takes an extra
	  flags-argument for av_seek_frame() and one that does not.  so i
	  did an extra ifdef, whether the AV_SEEK_FLAGS are defined

2005-08-24 15:20  zmoelnig

	* src/Pixes/: pix_buffer_read.cpp, pix_buffer_read.h: implemented
	  (similar to) georg's implementation (but made it less crash
	  prone) should be faster, but if the content of the pix_buffer
	  changes, this is not automatically reflected on pix_buffer_read's
	  outlet (you must retrigger the index)

2005-08-24 14:34  zmoelnig

	* src/Pixes/: pix_buffer.cpp, pix_buffer.h: added "open"-message to
	  read images (no movies yet)

2005-08-24 13:47  zmoelnig

	* src/Pixes/videoDV4L.cpp: verbosity now also states something
	  about where it comes from ("DV4L: closed" instead of "closed")

2005-08-24 13:45  zmoelnig

	* src/Pixes/pix_videoNEW.cpp: removed ifdef's; they should be
	  handled by inheritance

2005-08-24 13:34  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: query the FPS and report it to the
	  info-outlet (now we have: "list <numframes> <xsize> <ysize>
	  <fps>"; should we split it into separate messages with prepends
	  like "fps <fps>" ??)

2005-08-24 13:29  zmoelnig

	* src/Pixes/: film.cpp, film.h, filmAVI.cpp, filmAVIPLAY.cpp,
	  filmFFMPEG.cpp, filmMPEG1.cpp, filmMPEG3.cpp, filmQT4L.cpp: added
	  a getFPS()-message to query the frames-per-second (as reported by
	  the decoding unit)

2005-08-23 17:01  zmoelnig

	* src/Pixes/filmQT4L.cpp: compiler shutups

2005-08-23 14:28  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: started to crash again and then stopped
	  (??); anyhow did some more initialization

2005-08-22 19:06  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: added some comments on why which
	  decoding-library is placed where moved FFMPEG backwards (as it
	  fails more often than not and is not really stable)

2005-08-22 18:43  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: even more bug-fixes

2005-08-22 16:05  zmoelnig

	* src/Pixes/: filmFFMPEG.cpp, filmFFMPEG.h: bug-fix: now it is
	  possible to decode some movies (i don't think the code worked at
	  all before) more bug-fix: doesn't crash so easily anymore even
	  more bug-fix: allow seeking of frames when possible (but this is
	  rather seldom)

2005-08-22 16:03  zmoelnig

	* src/Pixes/film.cpp: use initialization outside of constructor

2005-08-19 21:17  zmoelnig

	* src/Vertex/: fragment_program.cpp, fragment_program.h,
	  vertex_program.cpp, vertex_program.h: these have moved to
	  src/Manips in HEAD

2005-08-19 19:26  zmoelnig

	* src/Manips/fragment_program.cpp: fixed small type

2005-08-19 17:52  zmoelnig

	* src/Base/GemBase.h: added [{fragment,vertex}_program] from the
	  vertex_array-branch. (if DONT_USE_ARB is set, neither fragment-
	  nor vertex-programs should be build) a bit of re-ordering of the
	  include-files taken from the vertex_array-branch: just in case we
	  ever need to include GL/gl.h in GemState.h, this would break all
	  the weird glext-stuff, because GL/gl.h would be included _before_
	  we do our magic; now it should work

2005-08-19 17:49  zmoelnig

	* src/Manips/: fragment_program.cpp, fragment_program.h,
	  vertex_program.cpp, vertex_program.h: added
	  [{fragmen,vertex}_program] from the vertex_array-branch.

2005-08-19 16:18  zmoelnig

	* src/: Make.config.in, Make.include, Makefile, Makefile.subdir,
	  README.linux, TODO, acinclude.m4, aclocal.m4, config.guess,
	  config.sub, configure, configure.ac, gem.dsp, install-sh,
	  Base/GemMath.h, Base/GemSIMD.h, Base/GemVector.cpp,
	  Base/GemVector.h: added files from MAIN (20050819)

2005-08-19 16:12  zmoelnig

	* src/Base/: GemBase.h, GemCache.cpp, GemMan.cpp, GemState.cpp,
	  GemState.h: merged with MAIN (20050819)

2005-08-19 14:52  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h, GemShape.cpp,
	  configNT.h: updated to MAIN (20050819)

2005-08-19 14:46  zmoelnig

	* src/Base/: CPPExtern.cpp, CPPExtern.h, GemExportDef.h,
	  GemFuncUtil.h, GemGLUtil.cpp, GemGLUtil.h, GemGluObj.cpp,
	  GemGluObj.h, GemMan.h, GemPathBase.cpp, GemPixImageLoad.cpp,
	  GemPixImageSave.cpp, GemWinCreate.h, GemWinCreateMac.cpp,
	  GemWinCreateNT.cpp, GemWinCreateXWin.cpp, Matrix.cpp,
	  TextBase.cpp, config.h, sgiimage.cpp: updated to MAIN (20050819)

2005-08-19 14:32  zmoelnig

	* src/: Geos/circle.cpp, Geos/colorSquare.cpp, Geos/cube.cpp,
	  Geos/cuboid.cpp, Geos/cuboid.h, Geos/curve.cpp, Geos/curve3d.cpp,
	  Geos/cylinder.cpp, Geos/disk.cpp, Geos/model_loader.cpp,
	  Geos/model_loader.h, Geos/newWave.cpp, Geos/newWave.h,
	  Geos/polygon.cpp, Geos/primTri.cpp, Geos/rectangle.cpp,
	  Geos/ripple.cpp, Geos/ripple.h, Geos/rubber.cpp, Geos/rubber.h,
	  Geos/slideSquares.cpp, Geos/sphere.cpp, Geos/square.cpp,
	  Geos/teapot.cpp, Geos/text2d.cpp, Geos/textoutline.cpp,
	  Geos/triangle.cpp, Geos/tube.cpp, Geos/tube.h, Manips/camera.cpp,
	  Manips/camera.h, Manips/ortho.cpp, MarkEx/MarkExSetup.cpp,
	  MarkEx/abs.cpp, MarkEx/average.cpp, MarkEx/counter.cpp,
	  MarkEx/hsvrgb.cpp, MarkEx/m_control.cpp, MarkEx/multiselect.cpp,
	  MarkEx/randomF.cpp, MarkEx/reson.cpp, MarkEx/strcat.cpp,
	  MarkEx/tripleLine.cpp, MarkEx/vector.cpp, Nongeos/light.cpp,
	  Nongeos/light.h, Nongeos/world_light.cpp, Nongeos/world_light.h,
	  Particles/papi.h, Particles/part_vector.h,
	  Particles/partlib_actions.cpp, Particles/partlib_opengl.cpp,
	  Particles/partlib_system.cpp, Particles/partlib_vector.h,
	  Pixes/dv1394.h, Pixes/filmAVI.cpp, Pixes/filmAVI.h,
	  Pixes/filmAVIPLAY.cpp, Pixes/filmAVIPLAY.h, Pixes/filmFFMPEG.cpp,
	  Pixes/filmFFMPEG.h, Pixes/filmMPEG1.cpp, Pixes/filmMPEG3.cpp,
	  Pixes/filmQT.cpp, Pixes/filmQT.h, Pixes/filmQT4L.cpp,
	  Pixes/pix_buffer.cpp, Pixes/pix_buffer.h,
	  Pixes/pix_buffer_read.h, Pixes/pix_colorreduce.cpp,
	  Pixes/pix_colorreduce.h, Pixes/pix_convert.h,
	  Pixes/pix_coordinate.cpp, Pixes/pix_coordinate.h,
	  Pixes/pix_crop.cpp, Pixes/pix_film.cpp, Pixes/pix_film.h,
	  Pixes/pix_filmDarwin.cpp, Pixes/pix_filmFFMPEG.h,
	  Pixes/pix_filmNEW.cpp, Pixes/pix_filmNEW.h, Pixes/pix_filmNT.cpp,
	  Pixes/pix_filmQT.cpp, Pixes/pix_filmQT.h, Pixes/pix_halftone.cpp,
	  Pixes/pix_halftone.h, Pixes/pix_imageInPlace.cpp,
	  Pixes/pix_kaleidoscope.cpp, Pixes/pix_kaleidoscope.h,
	  Pixes/pix_movie.cpp, Pixes/pix_movie.h,
	  Pixes/pix_movieDarwin.cpp, Pixes/pix_movieDarwin.h,
	  Pixes/pix_movieYUV.cpp, Pixes/pix_movieYUV.h,
	  Pixes/pix_resize.cpp, Pixes/pix_resize.h, Pixes/pix_rgba.h,
	  Pixes/pix_rtx.cpp, Pixes/pix_sig2pix.cpp, Pixes/pix_sig2pix.h,
	  Pixes/pix_texture.cpp, Pixes/pix_video.cpp, Pixes/pix_video.h,
	  Pixes/pix_videoDS.cpp, Pixes/pix_videoDarwin.cpp,
	  Pixes/pix_videoDarwin.h, Pixes/pix_videoNEW.cpp,
	  Pixes/pix_videoNEW.h, Pixes/pix_videoNT.cpp, Pixes/pix_yuv.h,
	  Pixes/videoDV4L.cpp, Pixes/videoDV4L.h, Pixes/videoV4L.cpp,
	  Pixes/videoV4L.h: updated to MAIN (20050819)

2005-08-19 14:28  zmoelnig

	* src/: openGL/GEMglAreTexturesResident.cpp,
	  openGL/GEMglAreTexturesResident.h, openGL/GEMglCallList.h,
	  openGL/GEMglGetString.cpp,
	  openGL/GEMglProgramEnvParameter4fvARB.cpp, openGL/GLdefine.cpp,
	  openGL/GLdefine.h, openGL/GEMglActiveTextureARB.cpp,
	  openGL/GEMglActiveTextureARB.h, openGL/GEMglBindProgramARB.cpp,
	  openGL/GEMglBindProgramARB.h, openGL/GEMglEndList.cpp,
	  openGL/GEMglEndList.h, openGL/GEMglGenProgramsARB.cpp,
	  openGL/GEMglGenProgramsARB.h, openGL/GEMglGetFloatv.cpp,
	  openGL/GEMglGetFloatv.h, openGL/GEMglLoadMatrixd.cpp,
	  openGL/GEMglLoadMatrixd.h, openGL/GEMglLoadMatrixf.cpp,
	  openGL/GEMglLoadMatrixf.h, openGL/GEMglLoadTransposeMatrixd.cpp,
	  openGL/GEMglLoadTransposeMatrixd.h,
	  openGL/GEMglLoadTransposeMatrixf.cpp,
	  openGL/GEMglLoadTransposeMatrixf.h, openGL/GEMglMultMatrixd.cpp,
	  openGL/GEMglMultMatrixd.h, openGL/GEMglMultMatrixf.cpp,
	  openGL/GEMglMultMatrixf.h, openGL/GEMglMultTransposeMatrixd.cpp,
	  openGL/GEMglMultTransposeMatrixd.h,
	  openGL/GEMglMultTransposeMatrixf.cpp,
	  openGL/GEMglMultTransposeMatrixf.h,
	  openGL/GEMglMultiTexCoord2fARB.cpp,
	  openGL/GEMglMultiTexCoord2fARB.h, openGL/GEMglNewList.cpp,
	  openGL/GEMglNewList.h, openGL/GEMglProgramEnvParameter4dARB.cpp,
	  openGL/GEMglProgramEnvParameter4dARB.h,
	  openGL/GEMglProgramLocalParameter4fvARB.cpp,
	  openGL/GEMglProgramLocalParameter4fvARB.h,
	  openGL/GEMglProgramStringARB.cpp, openGL/GEMglProgramStringARB.h,
	  openGL/GEMgluPerspective.cpp, openGL/GEMgluPerspective.h,
	  Controls/gemhead.cpp, Controls/gemwin.cpp, Controls/gemwin.h,
	  Controls/orbserial.cpp: updated to MAIN (20050819)

2005-08-17 16:51  cclepper

	* src/Pixes/pix_filmDarwin.cpp: changed some of the file loading
	  code.  should be faster to load a movie now.

2005-08-17 16:49  cclepper

	* src/Pixes/pix_record.cpp: removed some debug lines

2005-08-17 10:12  zmoelnig

	* Makefile: call the Makefile in src/ rather than src/Gnu

2005-08-16 06:39  tigital

	* src/: Controls/gemwin.cpp, Controls/gemwin.h, Base/GemMan.cpp,
	  Base/GemMan.h: [OSX] added menubar message to [gemwin]:  1 = show
	  0 = hide everything (full "kiosk" mode) -1 = hide menubar, but
	  autoShow with mouse at screen top - this is only effective when
	  gemwindow has "focus"

2005-08-01 21:13  cclepper

	* src/Pixes/: pix_videoDarwin.cpp, pix_videoDarwin.h: device
	  selection works.  started VDIG functions

2005-08-01 21:12  cclepper

	* src/Pixes/: pix_record.cpp, pix_record.h: new frame count outlet

2005-07-22 00:34  cclepper

	* src/Pixes/: pix_record.h, pix_record.cpp: added the basics for
	  message based compression settings.  Fixed quite a few things

2005-07-21 19:59  zmoelnig

	* src/Makefile: file Makefile was added on branch vertex_array on
	  2005-08-19 14:18:07 +0000

2005-07-21 19:59  zmoelnig

	* src/Makefile: fixed the "clean" target

2005-07-20 00:55  cclepper

	* src/Pixes/: pix_record.h, pix_record.cpp: added ifdef for
	  _APPLE__

2005-07-20 00:35  cclepper

	* src/Pixes/: pix_record.cpp, pix_record.h: initial commit

2005-07-16 19:36  zmoelnig

	* src/: configure, configure.ac: do checking for ARB even if
	  specified explicitely (this also turns on the check if you don't
	  specify whether you want ARB	or not)

2005-07-16 19:36  zmoelnig

	* src/configure: file configure was added on branch vertex_array on
	  2005-08-19 14:18:07 +0000

2005-07-16 19:36  zmoelnig

	* src/configure.ac: file configure.ac was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-07-15 15:29  zmoelnig

	* src/: acinclude.m4, aclocal.m4, configure, configure.ac: (changed
	  2 files, committed 4...) a mechanism for finding files from
	  optional libraries (those that can be turned off with
	  "--without-BLA") "--with-BLA-includes=/bi/ba/bo" will add
	  "-I/bi/ba/bo" to the CXXFLAGS "--with-BLA-libs=/foo/bar" will add
	  "-L/foo/bar" to the LIBS if the support for this library is
	  turned OFF (--without-BLA), then these flags will do nothing.
	  the arguments need be paths (a check is performed whether the
	  given directory exists) however, they can also be relative paths!

2005-07-15 15:29  zmoelnig

	* src/acinclude.m4: file acinclude.m4 was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-07-15 15:29  zmoelnig

	* src/aclocal.m4: file aclocal.m4 was added on branch vertex_array
	  on 2005-08-19 14:18:07 +0000

2005-07-15 12:11  zmoelnig

	* src/: acinclude.m4, aclocal.m4, configure, configure.ac: checking
	  for X-infrastructure on OS-X only if explicitely desired by the
	  user (with "--with-x"); by default it is turned off added alias
	  "--with-imagemagick" for "--with-ImageMagick" fixed BUG, that
	  prevented configure from checking for optional libraries: if the
	  checking for 1 library was turned off, all consectuive libraries
	  were automatically turned off too (i guess it was the same with
	  truning ON, but haven't tested)

2005-07-14 22:45  zmoelnig

	* src/: configure, configure.ac: more quoting in configure.ac
	  checked in configure, so people don't have to go through the
	  hazzle of autoconf

2005-07-14 22:38  zmoelnig

	* src/configure.ac: made the strip-test less verbose

2005-07-07 15:03  zmoelnig

	* src/Pixes/pix_filmNT.cpp: use std::max() instead of max() as
	  suggested by T.Schulze to make it compile on windows with gcc;
	  hope this doesn't break M$VC-compilation btw: pix_filmNT should
	  NOT be used; use pix_filmNEW instead

2005-07-07 13:37  zmoelnig

	* src/configure.ac: added "--with-pd" flag for the bundle-loader;
	  if neither this flag is given nor PD_BINARY is set, $(which pd)
	  is used (so the path pd should be in $PATH)

2005-07-07 13:30  zmoelnig

	* src/: acinclude.m4, aclocal.m4: fixed GEM_CHECK_LDFLAGS: better
	  detection whether sucess or not fixed GEM_CHECK_FRAMEWORK:
	  "-framwork" is a linker flag instead of a compiler flag. adapted
	  changes to GEM_CHECK_LDFLAGS

	  also included acinclude.m4, since this is really just a copy of
	  aclocal.m4 (with my automake) and adding this files removes a
	  dependency on automake

2005-07-07 13:25  zmoelnig

	* src/Makefile.subdir: delete depen-files

2005-07-07 13:25  zmoelnig

	* src/Makefile.subdir: file Makefile.subdir was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-07-07 13:24  zmoelnig

	* src/Makefile: use "-C"-flag to make instead of "cd" when
	  (dist)cleaning subdirectories

2005-07-07 13:22  zmoelnig

	* src/Base/GemMath.h: file GemMath.h was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-07-07 13:22  zmoelnig

	* src/: Particles/partlib_actions.cpp, Controls/gemwin.cpp,
	  Particles/partlib_vector.h, Pixes/pix_halftone.h,
	  Base/GemFuncUtil.h, Base/GemMath.h: moved stuff from
	  GemLibs/darwinStuff/ into GemMath.h reflect this in the files
	  that included the old files

2005-07-07 09:34  zmoelnig

	* src/Pixes/filmQT.cpp: moved variable declarations to the
	  beginning of the open()-function, so they are not crossed by
	  goto-jumps

2005-07-07 09:28  zmoelnig

	* src/Pixes/pix_freeframe.cpp: removed call to
	  class_set_extern_dir() in __APPLE__

2005-07-04 20:05  zmoelnig

	* src/README.linux: copied from Gnu/README.build and added more
	  information

2005-07-04 20:05  zmoelnig

	* src/README.linux: file README.linux was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-07-04 14:11  zmoelnig

	* src/Base/TextBase.cpp: set glNormal3f() before rendering, so
	  [text3d] becomes robust against changing the normal from outside
	  (e.g. like [textextruded]) is this is a bug in ftgl ?

2005-07-04 14:10  zmoelnig

	* src/Pixes/FreeFrame.h: changed __apple__ to __APPLE__

2005-07-04 13:54  zmoelnig

	* src/Pixes/: filmAVI.cpp, filmAVIPLAY.cpp, filmFFMPEG.cpp,
	  filmMPEG1.cpp, filmMPEG3.cpp, filmQT.cpp, filmQT4L.cpp,
	  pix_filmNEW.cpp: more beautiful (?) output on failure...

2005-07-04 13:17  zmoelnig

	* src/Pixes/pix_videoNEW.cpp: use HAVE_VIDEO4LINUX rather than
	  __linux__

2005-07-04 13:16  zmoelnig

	* src/Pixes/: videoV4L.cpp, videoV4L.h: use HAVE_VIDEO4LINUX rather
	  than __linux__ commented out some verbosity

2005-07-04 13:05  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: turn of debug mode

2005-07-04 11:22  zmoelnig

	* src/Pixes/: pix_filmNEW.cpp, pix_filmNEW.h: you can now specify a
	  preferred library for decoding a file.  if one is specified, it
	  is tried as the first lib. if it fails, all libs are tried in the
	  default order (read: the specified lib is tried twice: once as
	  the preferred lib, and once as part of all libs)

2005-07-04 11:20  zmoelnig

	* src/Pixes/: filmAVI.cpp, filmAVIPLAY.cpp, filmMPEG1.cpp,
	  filmMPEG3.cpp, filmQT.cpp, filmQT4L.cpp: print "<codec> failed"
	  when not being able to open instead of "<codec> unsupported"

2005-07-04 11:18  zmoelnig

	* src/Pixes/filmFFMPEG.cpp: fixed codec initialization

2005-07-04 10:43  zmoelnig

	* src/acinclude.m4: renamed GEM_WITH_TARGET to GEM_TARGET (and use
	  AC_ARG_ENABLE instead of AC_ARG_WITH)

2005-07-04 10:42  zmoelnig

	* src/Makefile: Gem.${EXT} depends on subdirs

2005-07-04 10:40  zmoelnig

	* src/configure.ac: added flag for videofilm-new removed "Base"
	  from the selectable modules

2005-07-04 10:36  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: added a function for
	  swapping Red and Blue that works in-place

2005-07-04 10:35  zmoelnig

	* src/Base/configLinux.h.in: added comments added NEW_VIDEOFILM

2005-07-03 21:03  zmoelnig

	* src/: Make.config.in, Makefile.subdir, configure.ac: added check
	  for "dos2unix"

2005-07-03 21:03  zmoelnig

	* src/Make.config.in: file Make.config.in was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-07-03 20:53  zmoelnig

	* src/: Make.config.in, Makefile.subdir, configure.ac: use "-MM"
	  for "make depend" with gnu-preprocessors

2005-07-03 20:42  zmoelnig

	* src/Make.include: file Make.include was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-07-03 20:42  zmoelnig

	* src/: Make.config.in, Make.include, Makefile, Makefile.subdir,
	  configure.ac: updated build-system after having a look at the
	  Gnu-make documentation what's better:    SOURCES are generated on
	  the fly	 .cpp-files containing whitespaces are ignored
	  (rather than crashing the build.process)  dependencies are
	  calculated on a per-file basis (rather than via Make.depend)
	  better subdirectory handling (not for "clean"ing though)
	  better check for "strip" (partly taken from wine)

2005-06-29 17:44  zmoelnig

	* src/Pixes/pix_rtx.cpp: use size_t for datasize

2005-06-29 16:45  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: use "size_t" for
	  dataSize instead of "int" or "long" or "unsigned char" ...

2005-06-27 18:11  zmoelnig

	* src/configure.ac: fixed typo

2005-06-26 20:03  zmoelnig

	* src/configure.ac: prettier results better handling of "strip"

2005-06-26 19:38  zmoelnig

	* src/: Make.config.in, Makefile, configure.ac: use configure to
	  set the extension -"- to set reference-path -"- to set STRIP (on
	  real check though)

2005-06-26 17:33  zmoelnig

	* src/: acinclude.m4, configure.ac: added checks for LDFLAGS

2005-06-26 17:11  zmoelnig

	* src/Base/configLinux.h.in: HAVE_LIBAV{format,codec} is now
	  convered by HAVE_FFMPEG additionally we now have a
	  HAVE_VIDEO4LINUX

2005-06-26 17:07  zmoelnig

	* src/: acinclude.m4, configure.ac: framework-checks and
	  cxxflags-checks

2005-06-26 14:46  zmoelnig

	* src/Makefile: "configure"-target

2005-06-26 14:39  zmoelnig

	* src/install-sh: file install-sh was added on branch vertex_array
	  on 2005-08-19 14:18:07 +0000

2005-06-26 14:39  zmoelnig

	* src/: acinclude.m4, configure.ac, install-sh: works better (still
	  not yet where we want to be)

2005-06-25 18:49  zmoelnig

	* src/config.guess: file config.guess was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-06-25 18:49  zmoelnig

	* src/config.sub: file config.sub was added on branch vertex_array
	  on 2005-08-19 14:18:07 +0000

2005-06-25 18:49  zmoelnig

	* src/: Make.config.in, Makefile, Makefile.subdir, config.guess,
	  config.sub, configure.ac: first try of a new build-system based
	  on günters code, autoconf>2.57 and that gets rid of the
	  Gnu-directory

2005-06-20 16:47  zmoelnig

	* help/scopeXYZ~.pd: updated documentation

2005-06-20 16:47  zmoelnig

	* help/: pix_resize.pd, pix_video.pd: updated documentation (thanks
	  to georg holzmann)

2005-06-20 16:41  zmoelnig

	* src/Base/GemPixUtil.cpp: fixed documentation

2005-06-20 16:41  zmoelnig

	* src/openGL/GEMglMultiTexCoord2fARB.h: added newline to end of
	  file

2005-06-20 16:41  zmoelnig

	* src/openGL/GEMglMultiTexCoord2fARB.h: file
	  GEMglMultiTexCoord2fARB.h was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-06-19 20:45  zmoelnig

	* src/: Base/CPPExtern.h, Base/GemBase.h, Base/GemExportDef.h,
	  Base/GemGluObj.h, Base/GemMan.cpp, Base/GemMan.h,
	  Base/GemPathBase.cpp, Base/GemPixImageLoad.cpp,
	  Base/GemPixImageSave.cpp, Base/GemPixUtil.cpp, Base/GemPixUtil.h,
	  Base/GemState.cpp, Base/GemWinCreate.h, Base/GemWinCreateMac.cpp,
	  Base/GemWinCreateNT.cpp, Base/TextBase.cpp, Base/config.h,
	  Base/sgiimage.cpp, Controls/gemwin.cpp, Controls/gemwin.h,
	  Controls/orbserial.cpp, Geos/model_loader.h, Manips/camera.h,
	  Manips/shearXY.cpp, Manips/shearXY.h, Manips/shearXZ.cpp,
	  Manips/shearXZ.h, Manips/shearYX.cpp, Manips/shearYX.h,
	  Manips/shearYZ.cpp, Manips/shearYZ.h, Manips/shearZX.cpp,
	  Manips/shearZX.h, Manips/shearZY.cpp, Manips/shearZY.h,
	  MarkEx/abs.cpp, MarkEx/average.cpp, MarkEx/counter.cpp,
	  MarkEx/hsvrgb.cpp, MarkEx/m_control.cpp, MarkEx/multiselect.cpp,
	  MarkEx/randomF.cpp, MarkEx/reson.cpp, MarkEx/strcat.cpp,
	  MarkEx/tripleLine.cpp, MarkEx/vector.cpp: replaced WIN32 (or NT)
	  (or _WINDOWS) (or...) by __WIN32__

2005-06-19 20:41  zmoelnig

	* src/Particles/: papi.h, part_vector.h, partlib_actions.cpp,
	  partlib_opengl.cpp, partlib_system.cpp, partlib_vector.h:
	  replaced WIN32 with __WIN32__

2005-06-19 20:38  zmoelnig

	* src/gem.dsp: unix2dos (m$vc does _not_ like unix-linebreaks in
	  the dsp-file) added newer files use __WIN32__ instead of other
	  windows-defines

2005-06-19 20:36  zmoelnig

	* src/Base/configNT.h: added DONT_INCLUDE_GLEXT (i think this is
	  the default on most windows-compile-machines, and currently it
	  fails to work on my setting, when i have time to fix it, i will
	  re-enable glext on w32)

2005-06-19 20:34  zmoelnig

	* src/Pixes/: filmAVI.cpp, filmAVI.h, filmAVIPLAY.h, filmQT.cpp,
	  filmQT.h, pix_buffer.h, pix_film.cpp, pix_filmNT.cpp,
	  pix_filmQT.h, pix_freeframe.cpp, pix_freeframe.h,
	  pix_kaleidoscope.h, pix_movie.cpp, pix_movie.h,
	  pix_movieDarwin.h, pix_movieYUV.cpp, pix_movieYUV.h,
	  pix_video.cpp, pix_videoDS.cpp, pix_videoNT.cpp: renamed defines
	  "NT", "WIN32" and "_WINDOWS" by "__WIN32__"

2005-06-19 20:32  zmoelnig

	* src/openGL/GEMgluPerspective.cpp: file GEMgluPerspective.cpp was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2005-06-19 20:32  zmoelnig

	* src/openGL/GEMgluPerspective.h: file GEMgluPerspective.h was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2005-06-19 20:32  zmoelnig

	* src/openGL/: GEMgluPerspective.cpp, GEMgluPerspective.h: suddenly
	  m$vc didn't like variables "near" and "far", so i renamed them to
	  "m_near" and "m_far"

2005-06-19 19:11  zmoelnig

	* src/Pixes/FreeFrame.h: ifdef'ed (re)definition of
	  WIN32_LEAN_AND_MEAN

2005-06-19 19:10  zmoelnig

	* src/Pixes/pix_multiblob.cpp: fixed recursion-bug with distance()

2005-06-19 18:58  zmoelnig

	* src/Base/GemGluObj.h: added re-definition of GLU_SILHOUETTE
	  _after_ including the openGL-headers

2005-06-14 08:57  zmoelnig

	* src/Base/sgiimage.cpp: fixed a bug discovered (and fixed) by
	  matju, where image-files that opened but turned out to be a
	  non-sgi-image, where not closed again.

2005-06-09 18:09  ggeiger

	* src/gem.dsp: Replaced "Programme" with PROGRAMFILES environment
	  variable for finding m_pd.h

2005-06-09 17:35  ggeiger

	* GEM_INSTALL.bat: use ProgramFiles variable to detect path to pd

2005-06-03 11:29  zmoelnig

	* src/Pixes/: pix_videoLinux.cpp, pix_videoLinux.h: on linux, we
	  are using pix_videoNEW instead of pix_videoLinux for ages, it's
	  time to remove it.  hopefully we can do this for other platforms
	  sometime as well

2005-06-03 11:20  zmoelnig

	* src/Base/: GemDag.cpp, GemDag.h: GemDAG has been obsoleted for
	  years, it's time to remove it.  (probably something similar will
	  reappear once we have threaded rendering to multiple windows)

2005-06-03 11:10  zmoelnig

	* src/Gnu/configure: removed: people should (well, now they "must")
	  run autoconf in order to generate their own configure-script

2005-06-03 11:09  zmoelnig

	* src/Gnu/README.build: added a note that tells people to run
	  "autoconf" before "./configure"

2005-06-03 10:57  zmoelnig

	* src/Controls/: gemwin.cpp, gemwin.h: colors can now be RGB or
	  (new:) RGBA

2005-06-03 08:55  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: commented out XCloseDisplay()
	  which keeps Gem from freezing but is only a direty workaround
	  (memory-leak + X-server hates too many open displays) added a big
	  warning to not forget it....

2005-06-03 08:54  zmoelnig

	* src/Base/GemBase.h: HELPSYMBOL_BASE must be defined _before_
	  including CPPExtern.h to have any effect

2005-06-02 13:25  zmoelnig

	* src/Pixes/: pix_mean_color.cpp, pix_mean_color.h: added
	  YUV-support normalized output to 0..1 (instead of 0..255) always
	  output RGBA-values (even for grayscale and YUV; alpha defaults to
	  1.0)

2005-06-01 18:42  tigital

	* src/Pixes/: pix_convert.h, pix_resize.cpp, pix_rgba.h: [OSX]
	  OpenGL headers are now centrally located in Base/GemMan.h

2005-06-01 18:40  tigital

	* src/Pixes/pix_yuv.h: corrected description

2005-06-01 18:35  tigital

	* src/Pixes/: pix_movie.cpp, pix_movieDarwin.cpp, pix_movieYUV.cpp:
	  [OSX] OpenGL headers are in Base/GemMan.h

2005-06-01 18:34  tigital

	* src/Pixes/pix_videoDarwin.cpp: [OSX] correct call to
	  dialogCallback, not dialogMess (shuts up gcc4.0 warning); small
	  header change

2005-06-01 18:28  tigital

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: [NEW] added scale
	  variable for scale of halftone [OSX] compile-time check (via
	  AvailabilityMacros.h) for support of sinf() & friends in math.h
	  (now defined in >10.4.x)

2005-06-01 17:57  tigital

	* src/Pixes/: pix_filmQT.cpp, pix_filmQT.h: [OSX] converted the
	  last of the MACOSX to __APPLE__ ifdef's?

2005-06-01 17:48  tigital

	* src/Pixes/FreeFrame.h: coalesced #ifdef between linux & apple
	  (since they are the same typedefs)

2005-06-01 17:46  tigital

	* src/Pixes/FreeFrame.h: [OSX] corrected #ifdef and added LPVOID
	  define

2005-06-01 17:43  tigital

	* src/Particles/: partlib_actions.cpp, partlib_vector.h: [OSX]
	  compile-time check (via AvailabilityMacros.h) for support of
	  sinf() & friends in math.h (now defined in >10.4.x)

2005-06-01 17:40  tigital

	* src/Manips/ortho.cpp: header includes now centralized in
	  Base/GemMan.h

2005-06-01 17:38  tigital

	* src/Geos/: text2d.cpp, textoutline.cpp: [OSX] converted the last
	  of the MACOSX to __APPLE__ ifdef's?

2005-06-01 17:36  tigital

	* src/Geos/sphere.cpp: more readable formatting

2005-06-01 17:32  tigital

	* src/Controls/gemwin.cpp: [OSX] compile-time check (via
	  AvailabilityMacros.h) for support of sinf() & friends in math.h
	  (now defined in >10.4.x)

2005-06-01 17:26  tigital

	* src/: Geos/square.cpp, Base/GemShape.cpp, Base/GemShape.h:
	  corrected spelling of SetVertex()

2005-06-01 17:20  tigital

	* src/Base/GemMan.h: now includes all OpenGL/ headers for OSX

2005-06-01 17:16  tigital

	* src/Base/GemPixUtil.cpp: switched from vec_unpack2sh() (which
	  apparently never existed, yet worked prior to 10.4.x!) to
	  vec_mergeh(); new #ifdef __TIMING__ for timing frame process of
	  altivec vs. scalar color conversions

2005-06-01 17:08  tigital

	* src/Base/GemWinCreateXWin.cpp: added "#ifdef unix" so osx doesn't
	  try compiling it (at least until the future?)

2005-06-01 17:06  tigital

	* src/Base/GemWinCreateMac.cpp: gcc4.0 fixes and miscellaneous
	  cleanups:  AGL's swapinterval now set in BuildGLContext()

2005-06-01 16:59  tigital

	* src/Base/configDarwin.h.in: needed for proper Darwin
	  configure-ing

2005-06-01 16:56  tigital

	* src/Gnu/configure.in: added Darwin configure stuff

2005-06-01 16:54  tigital

	* src/Gnu/Makefile.in: replaced ".pd_linux" with $(TARGET) so that
	  we can use this on more than one platform

2005-05-30 21:54  zmoelnig

	* src/Gnu/configure.in: use "ffmpeg-config --plugin-libs" instead
	  of "ffmpeg-config --libs" this allows us to link on x86_64
	  without problems

2005-05-25 20:44  zmoelnig

	* src/Pixes/: pix_film.cpp, pix_film.h, pix_video.cpp: looked at
	  the ugly #define-hacks and got some things right note: these
	  classes should vanish altogether on all platforms and be replaced
	  by the NEW-thingie.

2005-05-23 17:03  zmoelnig

	* src/Gnu/: configure, configure.in: made libjpeg and libtiff
	  OPTIONAL libraries (which are used by default if available) so
	  platforms that dont have these libs (like OSX) don't fail to
	  configure any more

2005-05-23 17:01  zmoelnig

	* src/Base/configNT.h: added HAVE_LIBJPEG and HAVE_LIBTIFF in order
	  to compile with image reading/writing support

2005-05-23 16:58  zmoelnig

	* src/Base/: GemPixImageLoad.cpp, GemPixImageSave.cpp,
	  configLinux.h.in: made JPEG and TIFF reading/writing a
	  compile-option this removes the _hard_ dependency on libjpeg and
	  libtiff, which should make the configure easier on platforms that
	  don't need libjpeg/libtiff

2005-05-23 14:11  zmoelnig

	* src/Gnu/: configure.in, configure: enforcing of the presence of
	  libtiff, libjpeg and libpng is only need on linux (btw, it
	  shouldn't be enforced here too!)

2005-05-23 13:59  zmoelnig

	* src/: Base/config.h, Base/configLinux.h.in, Gnu/configure.in,
	  Pixes/filmFFMPEG.cpp, Pixes/filmFFMPEG.h, Pixes/pix_filmFFMPEG.h:
	  better detection for FFMPEG (now we also have autodetection; i
	  hope ffmpeg has stabilized the API enough, so this won't break
	  for some months)

2005-05-23 13:56  zmoelnig

	* src/Gnu/Makefile.subdir: added preprocessor-flags CPPFLAGS to the
	  compiler-flags

2005-05-23 11:29  zmoelnig

	* src/Gnu/configure.in: enforce X only on Linux (Darwin can do
	  without)

2005-05-23 11:02  zmoelnig

	* src/Gnu/Makefile.subdir: on "distclean" remove ALL .o (and .obj)
	  files, even those that are not in Make.source

2005-05-21 04:34  tigital

	* src/Gnu/makesource: corrected spelling

2005-05-19 13:41  zmoelnig

	* src/Gnu/: acinclude.m4, aclocal.m4, configure: did better
	  quoting, this should fix the issues with autoconf>2.53

2005-05-17 16:00  zmoelnig

	* src/Gnu/configure.in: changed uname-flags "--machine" and
	  "--kernel-name" to "-m" and "-s" (which should work on osX too

2005-05-17 02:24  tigital

	* src/Gnu/: config.guess, config.sub: updates for config system
	  that identify darwin 10.4

2005-05-13 21:48  zmoelnig

	* src/Pixes/pix_crop.cpp: [pix_crop] now straights images that are
	  upside down (this is: if you have the same pix-material as both
	  "normal" and "upsidedown", the same parameters to [pix_crop] will
	  now produce the same results this change has the same performance
	  as the old one, it just makes life easier

2005-05-10 18:51  zmoelnig

	* src/Nongeos/: light.cpp, light.h, spot_light.cpp, spot_light.h,
	  world_light.cpp, world_light.h: added [spot_light] by
	  Pierre-Oliver Charlebois; did some changes to make it use the
	  world_light parent-class instead of reinventing the wheel. hope
	  this doesn't break anything with the original version

2005-05-04 20:31  zmoelnig

	* src/Pixes/: pix_buffer.h, pix_buffer_read.cpp,
	  pix_buffer_write.cpp: fixed the "external" pix_buffer_class

2005-05-04 15:22  zmoelnig

	* src/Base/CPPExtern.h: added a flag to declare the
	  pdclass-definition non-static (so we can findbyclass() from other
	  objects)

2005-05-04 15:21  zmoelnig

	* src/Pixes/: pix_buffer.cpp, pix_buffer.h, pix_buffer_read.cpp,
	  pix_buffer_read.h, pix_buffer_write.cpp: finally made
	  [pix_buffer_read] and [pix_buffer_write] to be in their own
	  source-files added automatic playback and cyclic reading of
	  [pix_buffer_read] (based on an idea of Florian Grond & Lasse
	  Scherffig)

2005-05-03 19:32  zmoelnig

	* src/Base/configLinux.h.in: entry for DONT_USE_ARB

2005-05-03 19:31  zmoelnig

	* src/Gnu/configure.in: added runtime-checking for glBindProgramARB
	  the results are displayed in Base/configLinux.h rather than via
	  command-line args to the compiler

2005-05-03 17:47  zmoelnig

	* src/Gnu/configure.in: added some verbose output at the end of
	  configuration, so the user will know what is going on

2005-05-03 13:35  zmoelnig

	* src/Pixes/: pix_freeframe.cpp, pix_freeframe.h: on windows (and
	  maybe osX too?) the host-side interface looks a bit different
	  than on linux a couple of #define's should fix that.

	  fixed an error on windows+osX that came from stupid copy'n'paste
	  from the pd-sources for dynamic loading

	  the FreeFrame-specs said something about a "maximum" of 8
	  parameters, which is exceeded by some plugins as i just noticed;
	  removed the clamping of numparams to 8 (don't know why it was
	  there in the first place)

	  i hope this includes the changes needed to make it compile on osX
	  haven't tested these changes on windows yet, but after my
	  experiences i made yesterday when i booted into windows, it
	  _should_ work

2005-04-27 11:26  zmoelnig

	* src/Pixes/: pix_coordinate.cpp, pix_coordinate.h: changed
	  behaviour for rectangle textures to be conformant to the
	  behaviour with non-rectangle textures:: "1,1" always denotes the
	  upper-right corner of the pixel-buffer, so the user need not care
	  what kind of texture they are using

2005-04-27 11:24  zmoelnig

	* src/Pixes/pix_texture.cpp: set "state->texture" to "2", when
	  using rectangle textures don't overwrite "m_repeat" with
	  "GL_CLAMP" when doing rectangle-textures, as they will ignore
	  that flag anyhow

2005-04-27 11:21  zmoelnig

	* src/Base/GemState.h: more advanced usage of the "texture":
	  2==rectangle (so we can react on the specifics of
	  rectangle-textures in downstream objects)

2005-04-26 05:34  tigital

	* src/Base/GemPixUtil.cpp: corrected yv12 to rgb on osx, yv12 to
	  rgba/bgra, and error reporting for copy2ImageStruct

2005-04-26 03:58  tigital

	* src/Pixes/pix_movement2.h: changed boolean to bool, which is
	  osx-compilable and more in line with the rest of gem's codebase

2005-04-25 19:01  zmoelnig

	* help/pix_movement2.pd: help-patch for [pix_movement2]

2005-04-25 19:00  zmoelnig

	* src/Pixes/: pix_movement2.cpp, pix_movement2.h: another object
	  that tries to get the movement within an image-stream

2005-04-24 23:59  cclepper

	* src/Pixes/pix_coordinate.cpp: added check for state->texture and
	  that actual coordinates exist in the render method

2005-04-21 16:58  zmoelnig

	* src/Pixes/pix_freeframe.cpp: initial support for loading plugins
	  un windows and osX (still not tested)

2005-04-21 14:05  zmoelnig

	* src/Gnu/configure.in: fixed...

2005-04-21 13:46  zmoelnig

	* src/Gnu/configure.in: added an enable-flag for
	  --freg-struct-return (for FreeFrame-plugins) since i am not sure
	  what this will break it is disabled by default; if you want to
	  use the FreeFrame-plugins, the option is either to compile Gem
	  with	this flag or to recompile the plugins without...

2005-04-21 11:42  zmoelnig

	* src/Pixes/pix_freeframe.cpp: fixed bug that crashed pd/Gem when
	  an exception was thrown (wrong type...) fixed bug with a
	  parameter-offset of 1

2005-04-20 19:31  zmoelnig

	* src/Pixes/: FreeFrame.h, pix_freeframe.cpp, pix_freeframe.h,
	  pix_imageInPlace.cpp: initial support for FreeFrame-plugins
	  currently i have only tested this on linux

2005-04-18 19:06  zmoelnig

	* src/Base/GemBase.h: usage of the "--disable-ARB" to disable
	  ARB-vertex-shaders

2005-04-18 19:02  zmoelnig

	* src/Gnu/: configure, configure.in: adding a "--disable-ARB" flag
	  for disabling the build of ARB-vertex-programs

2005-04-18 17:59  zmoelnig

	* src/Gnu/: configure, configure.in: added feed-back when checking
	  for avifile (before, there was nothing indicating that libavifile
	  will be used if (and only if) it was found)

2005-04-18 17:52  zmoelnig

	* src/Base/: GemPixImageLoad.cpp, GemPixImageSave.cpp,
	  configLinux.h.in: added support for ImageMagick++ (used here for
	  loading and saving images)

2005-04-18 17:51  zmoelnig

	* src/Gnu/: acinclude.m4, aclocal.m4, configure, configure.in:
	  added support for ImageMagick (currently used for loading/writing
	  images)

2005-04-18 16:08  zmoelnig

	* src/Geos/: circle.cpp, curve.cpp, curve3d.cpp, cylinder.cpp,
	  disk.cpp, newWave.cpp, ripple.cpp, rubber.cpp, sphere.cpp,
	  teapot.cpp, torus.cpp, tube.cpp: fixed a bug that crashed Gem
	  when using this object with [pix_imageInPlace]: the
	  texcoord-array was accessed without checking the size of it
	  first!!

2005-04-18 15:17  zmoelnig

	* src/Gnu/: configure, configure.in: regrouped things even more
	  (put type-checks before library-checks)

2005-04-18 14:52  zmoelnig

	* src/Gnu/: Makefile.in, Makefile.subdir, acinclude.m4, aclocal.m4,
	  configure, configure.in: cleaned up autoconf a bit  + prelaminary
	  support for icc  + grouped header/library search together  +
	  FIRST search whether headers are present, THEN look for matching
	  libraries  + hopefully fixed bug, where compile stopped when no
	  font-rendering-libs where installed

2005-04-13 19:33  zmoelnig

	* src/Pixes/: filmQT.cpp, videoDV4L.cpp: a function that claims to
	  return an integer should return an integer

2005-04-11 18:14  tigital

	* src/openGL/GEMglBindProgramARB.cpp: [stupid]correct name in
	  header

2005-04-11 18:14  zmoelnig

	* src/openGL/GEMglBindProgramARB.cpp: file GEMglBindProgramARB.cpp
	  was added on branch vertex_array on 2005-08-19 12:29:56 +0000

2005-04-07 14:52  zmoelnig

	* examples/09.openGL/02.displayList.pd: an example for using
	  display-lists

2005-04-07 13:06  zmoelnig

	* help/scopeXYZ~.pd: help for [scopeXYZ~]

2005-04-06 21:02  zmoelnig

	* src/Geos/scopeXYZ.cpp: made [scopeXYZ~] work (although there is
	  still one single point left that sometimes occurs at 0/0/0)

2005-04-05 12:52  zmoelnig

	* src/openGL/GEMglGetFloatv.cpp: file GEMglGetFloatv.cpp was added
	  on branch vertex_array on 2005-08-19 12:29:56 +0000

2005-04-05 12:52  zmoelnig

	* src/openGL/GEMglGetFloatv.h: file GEMglGetFloatv.h was added on
	  branch vertex_array on 2005-08-19 12:29:56 +0000

2005-04-05 12:52  zmoelnig

	* src/openGL/GEMglNewList.cpp: file GEMglNewList.cpp was added on
	  branch vertex_array on 2005-08-19 12:29:56 +0000

2005-04-05 12:52  zmoelnig

	* src/openGL/GEMglNewList.h: file GEMglNewList.h was added on
	  branch vertex_array on 2005-08-19 12:29:56 +0000

2005-04-05 12:52  zmoelnig

	* src/openGL/: GEMglEndList.cpp, GEMglEndList.h,
	  GEMglGetFloatv.cpp, GEMglGetFloatv.h, GEMglNewList.cpp,
	  GEMglNewList.h: added wrapper for glEndList() and glNewList():
	  this is cool as it allows to makeuser defined display-lists
	  (performance boost)

2005-04-05 12:52  zmoelnig

	* src/openGL/GEMglEndList.cpp: file GEMglEndList.cpp was added on
	  branch vertex_array on 2005-08-19 12:29:56 +0000

2005-04-05 12:52  zmoelnig

	* src/openGL/GEMglEndList.h: file GEMglEndList.h was added on
	  branch vertex_array on 2005-08-19 12:29:56 +0000

2005-04-04 18:50  zmoelnig

	* help/pix_multiblob.pd: a help-patch

2005-04-04 18:27  zmoelnig

	* abstractions/: pix_blobtracker-help.pd, pix_blobtracker.pd:
	  adapted to the longer feature-vectors of [pix_multiblob]; a first
	  help-patch

2005-04-04 18:24  zmoelnig

	* src/Pixes/: pix_multiblob.cpp, pix_multiblob.h: output more
	  information (like minX/Y, weighted position,...) weighted
	  position produces more stable tracking

2005-04-01 09:45  zmoelnig

	* src/Base/GemPixUtil.cpp: #ifdef'ed the altivec code properly, so
	  it will compile on other systems as well

2005-04-01 03:26  tigital

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: initial altivec speedups
	  to: bgra to yuv; yv12 to yuv

2005-03-31 18:25  zmoelnig

	* help/: colorSquare.pd, torus.pd, teapot.pd: updated documentation
	  a bit

2005-03-31 18:07  zmoelnig

	* src/Base/GemGluObj.cpp: missed a "break" in a case-loop.

2005-03-31 17:58  zmoelnig

	* src/Base/GemGluObj.cpp: use "GL_DEFAULT_GEM" instead of "-1" as
	  the default drawType (negative values are a bad idea for GLenum)

	  (and fix the parsing of the drawstyle a big)

2005-03-31 17:55  zmoelnig

	* src/Base/GemShape.cpp: use "GL_DEFAULT_GEM" instead of "-1" as
	  the default drawType (negative values are a bad idea for GLenum)

2005-03-31 17:47  zmoelnig

	* abstractions/pix_blobtracker.pd: a blobtracker based on
	  [pix_multiblob] and some objects from "iemmatrix"

2005-03-31 17:00  zmoelnig

	* src/Geos/: circle.cpp, colorSquare.cpp, cube.cpp, cuboid.cpp,
	  curve.cpp, curve3d.cpp, cylinder.cpp, disk.cpp, newWave.cpp,
	  polygon.cpp, primTri.cpp, rectangle.cpp, scopeXYZ.cpp,
	  slideSquares.cpp, sphere.cpp, square.cpp, teapot.cpp, torus.cpp,
	  triangle.cpp, tube.cpp: use "GL_DEFAULT_GEM" instead of "-1" as
	  the default drawType (negative values are a bad idea for GLenum)

2005-03-31 16:58  zmoelnig

	* src/Base/GemBase.h: added a new drawType "GL_DEFAULT_GEM" (since
	  using "-1" was a bad idea for GLenum)

2005-03-31 16:40  zmoelnig

	* src/Gnu/: configure, configure.in: changed LIBS="-Wl,-shared
	  -Wl,-export-dynamic $LIBS" to LIBS="-shared -Wl,-export-dynamic
	  $LIBS" this should fix the problem with FC3

2005-03-31 08:42  zmoelnig

	* src/Base/GemPixUtil.cpp: there are even better conversions (at
	  least you can control all YUV<->RGB conversion on a central
	  point)

2005-03-30 22:02  zmoelnig

	* src/Pixes/: pix_multiblob.cpp, pix_multiblob.h: a detector for
	  multiple blobs (no tracking! as this should be done externally);
	  the output-data is in zexy/iemmatrix's "matrix" format; i am not
	  sure whether this is really good (as it makes libraries
	  interdependent and of course i favour my own libs) but it is much
	  more elegant than anything else i could think of

2005-03-30 21:48  zmoelnig

	* src/Geos/: scopeXYZ.cpp, scopeXYZ.h, torus.cpp, torus.h: new
	  Geos: [scopeXYZ~] and [torus]

2005-03-30 20:58  zmoelnig

	* src/: Base/GemPixUtil.h, Base/GemShape.cpp, Geos/circle.cpp,
	  Geos/colorSquare.cpp, Geos/cube.cpp, Geos/cuboid.cpp,
	  Geos/curve.cpp, Geos/curve3d.cpp, Geos/cylinder.cpp,
	  Geos/disk.cpp, Geos/newWave.cpp, Geos/polygon.cpp,
	  Geos/primTri.cpp, Geos/rectangle.cpp, Geos/ripple.cpp,
	  Geos/rubber.cpp, Geos/slideSquares.cpp, Geos/sphere.cpp,
	  Geos/square.cpp, Geos/teapot.cpp, Geos/triangle.cpp,
	  Geos/tube.cpp: added "default"-drawtype

2005-03-22 21:41  zmoelnig

	* src/Base/GemPixUtil.cpp: changed RGB<->YUV conversion to be more
	  standards-compliant; clamped the results

2005-03-22 03:48  tigital

	* src/openGL/: GEMglActiveTextureARB.cpp, GEMglActiveTextureARB.h,
	  GEMglMultiTexCoord2fARB.cpp, GEMglMultiTexCoord2fARB.h,
	  GEMgluPerspective.cpp, GEMgluPerspective.h: more OpenGL wrappers
	  I've had sitting on my drive

2005-03-22 03:48  zmoelnig

	* src/openGL/GEMglActiveTextureARB.cpp: file
	  GEMglActiveTextureARB.cpp was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-03-22 03:48  zmoelnig

	* src/openGL/GEMglActiveTextureARB.h: file GEMglActiveTextureARB.h
	  was added on branch vertex_array on 2005-08-19 12:29:56 +0000

2005-03-22 03:48  zmoelnig

	* src/openGL/GEMglMultiTexCoord2fARB.cpp: file
	  GEMglMultiTexCoord2fARB.cpp was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-03-09 01:24  tigital

	* src/Base/GemMan.cpp: IOhannes: the gl headers and such are in
	  GemMan.h:  why would you want to put them in GemMan.cpp?  I'm a
	  big fan of including headers in, um, the header :-)  Btw, the
	  "GL/ vs. OpenGL/" thing is due to apple's use of framework's...

2005-03-07 16:33  zmoelnig

	* src/Base/GemPixUtil.h: use DONT_INCLUDE_GLEXT rather than the
	  INCLUDE_GLEXT (which is nowhere defined)

2005-03-07 16:31  zmoelnig

	* src/Base/GemMan.cpp: properly include GL/glext.h (btw, wtfh are
	  apple's openGL-headers in openGL/ instead of GL/ ... nevermind)

2005-03-07 10:19  zmoelnig

	* src/Base/CPPExtern.h: include <new> to enable the use of real C++
	  constructors

2005-03-06 12:21  zmoelnig

	* src/MarkEx/: MarkExSetup.cpp, m_control.cpp: removed [change] (is
	  in pd for some times)

2005-02-28 02:15  tigital

	* src/Base/GemPixUtil.h: - added support for YV12(short*) for
	  pdp2gem - added support for RGB/BGR to setCsizeByFormat - began
	  altivec support (non-functional atm)

2005-02-28 01:05  tigital

	* src/Base/GemPixUtil.cpp: - added support for YV12(short*) for
	  pdp2gem - added support for RGB/BGR to setCsizeByFormat - began
	  altivec support (non-functional atm)

2005-02-07 19:18  zmoelnig

	* src/openGL/: GEMglAreTexturesResident.cpp,
	  GEMglAreTexturesResident.h, GEMglCallList.h: cleaned up, and
	  removed crashes

2005-02-07 16:56  zmoelnig

	* src/openGL/GEMglGetString.cpp: fixed bug that crashed pd when
	  NULL was returned by glGetString()

2005-02-07 16:31  zmoelnig

	* src/Controls/: gemlist_info.cpp, gemlist_info.h: cleaned up a bit

2005-02-07 16:07  zmoelnig

	* src/Pixes/: dv1394.h, videoDV4L.h: using own "dv1394.h", since
	  libdv4-dev has skipped this file

2005-02-07 16:05  zmoelnig

	* src/Geos/: tube.cpp, tube.h: windoze does not like array-sizes
	  that are determined at runtime

2005-02-07 14:59  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: catching errors that might get
	  thrown by glx

2005-02-07 14:42  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: catching errors that might get
	  thrown by glx

2005-02-07 14:21  zmoelnig

	* src/Manips/: camera.cpp, camera.h: use Base/GemVector instead of
	  own CVector3

2005-02-07 14:20  zmoelnig

	* src/Base/GemVector.h: file GemVector.h was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-02-07 14:20  zmoelnig

	* src/Base/: GemVector.cpp, GemVector.h: a class for 3D-vectors
	  (formerly found in Manips/camera)

2005-02-07 14:20  zmoelnig

	* src/Base/GemVector.cpp: file GemVector.cpp was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2005-02-07 13:46  zmoelnig

	* src/Nongeos/setup.h: oh, it's here again...

2005-02-07 13:45  zmoelnig

	* src/Pixes/: pix_dv.cpp, pix_dv.h, pix_dvLinux.cpp, pix_dvLinux.h:
	  [pix_dv] is covered by [pix_video]

2005-02-07 13:43  zmoelnig

	* src/Gnu/README.build: updated a bit

2005-02-07 13:04  zmoelnig

	* src/Base/GemBase.h: hopefully really fixed the including of
	  GL/glext.h: use DONT_INCLUDE_GLEXT instead of INCLUDE_GLEXT
	  additionally use GL_GLEXT_LEGACY, as this auto-includes glext.h
	  on some sytems (mesa)

2005-02-07 13:02  zmoelnig

	* src/Base/configNT.h: use FILM__NEW instead of __FILM__NEW use
	  DONT_INCLUDE_GLEXT instead of INCLUDE_GLEXT

2005-02-07 13:00  zmoelnig

	* src/openGL/GEMglLoadTransposeMatrixf.cpp: file
	  GEMglLoadTransposeMatrixf.cpp was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-02-07 13:00  zmoelnig

	* src/openGL/GEMglMultTransposeMatrixd.cpp: file
	  GEMglMultTransposeMatrixd.cpp was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-02-07 13:00  zmoelnig

	* src/openGL/GEMglMultTransposeMatrixf.cpp: file
	  GEMglMultTransposeMatrixf.cpp was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-02-07 13:00  zmoelnig

	* src/openGL/GEMglProgramEnvParameter4dARB.cpp: file
	  GEMglProgramEnvParameter4dARB.cpp was added on branch
	  vertex_array on 2005-08-19 12:29:56 +0000

2005-02-07 13:00  zmoelnig

	* src/openGL/GEMglProgramLocalParameter4fvARB.cpp: file
	  GEMglProgramLocalParameter4fvARB.cpp was added on branch
	  vertex_array on 2005-08-19 12:29:56 +0000

2005-02-07 13:00  zmoelnig

	* src/openGL/GEMglProgramStringARB.cpp: file
	  GEMglProgramStringARB.cpp was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-02-07 13:00  zmoelnig

	* src/openGL/GEMglLoadTransposeMatrixd.cpp: file
	  GEMglLoadTransposeMatrixd.cpp was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2005-02-07 13:00  zmoelnig

	* src/openGL/: GEMglLoadTransposeMatrixd.cpp,
	  GEMglLoadTransposeMatrixf.cpp, GEMglMultTransposeMatrixd.cpp,
	  GEMglMultTransposeMatrixf.cpp, GEMglProgramEnvParameter4dARB.cpp,
	  GEMglProgramEnvParameter4fvARB.cpp,
	  GEMglProgramLocalParameter4fvARB.cpp, GEMglProgramStringARB.cpp:
	  fixed defines: gl*TransposeMatrix() are available onle on
	  openGL>=1.3 (not >=1.1 as it was) gl*ARB() were used only, if
	  GL_ARB_vertex_program was un(!)defined...

2005-01-31 21:26  tigital

	* src/Base/GemWinCreateMac.cpp: now functional on osx

2005-01-31 18:50  tigital

	* GEM_darwin.pbproj/project.pbxproj: updated to my setup

2005-01-14 09:54  zmoelnig

	* src/Gnu/configure.in: added the missing " to the NEW_VIDEOFILM
	  definition

2005-01-14 09:53  zmoelnig

	* src/Gnu/makesource: ./configure does not call "makesource" but
	  includes it; thus the "$@" is not as expected an (empty) list of
	  directories for which we should generate Make.source but rather
	  "dummy sh"; now we check, whether the running script ($0) is
	  "*configure", and if so, we assume that the "passed" list is 0.

2005-01-12 20:20  zmoelnig

	* src/Gnu/configure: oops again; forgot a "

2005-01-12 19:12  zmoelnig

	* src/Gnu/configure: oops; should run again (note: this is just
	  rev1.27 with __NEW__ replaced by NEW_VIDEOFILM)

2005-01-11 12:44  zmoelnig

	* src/: Gnu/configure, Gnu/configure.in, Pixes/pix_film.h,
	  Pixes/pix_filmNEW.h, Pixes/pix_video.h, Pixes/pix_videoNEW.h,
	  Base/config.h: who the f**k used "__NEW__" to enable/disable
	  different film/movie-objects ??? preprocessor-defines starting
	  with "__" are system only!! i have renamed __NEW__ to
	  NEW_VIDEOFILM __FILM __NEW to FILM_NEW and __VIDEO__NEW to
	  VIDEO_NEW

2005-01-11 11:22  zmoelnig

	* src/Base/: CPPExtern.cpp, CPPExtern.h: added Exceptions: whenever
	  we don't want an object to be created because of
	  boundary-conditions (e.g. wrong arguments) we can now throw a
	  GemException("errorstring") which is caught by the setup-routine
	  and prevents the object from being created;

	  fixed the m_objectname thing: now even the constructor of a
	  GemObject will now the name that was used to create it (as far as
	  we can tell)

2004-12-26 18:43  tigital

	* src/Geos/model_loader.h: oops!  shouldn't include
	  "Base/GemFuncUtil.h" after #ifdef __cplusplus extern "C" {...}

2004-12-24 10:54  timblech

	* src/Pixes/pix_mean_color.cpp: fixed bug

2004-12-22 19:03  tigital

	* src/Nongeos/world_light.h: - header consolidation:  #includes
	  should go in headers (or in this case, already are)!

2004-12-22 18:49  tigital

	* src/Pixes/: pix_colorreduce.cpp, pix_colorreduce.h: ppc only:
	  sqrt speed up via assembly instruction (at least 2x) - header
	  consolidation:  #includes should go in headers! - correctly
	  converts YUV to RGBA and back, if needed

2004-12-22 18:48  tigital

	* src/Manips/: camera.cpp, camera.h: ppc only:	sqrt speed up via
	  assembly instruction (at least 2x) - header consolidation:
	  #includes should go in headers! - now fills/uses Gem's
	  gluLookAt()

2004-12-22 18:44  tigital

	* src/: Particles/part_vector.h, Particles/partlib_actions.cpp,
	  Particles/partlib_vector.h, Base/GemFuncUtil.h, Base/Matrix.cpp,
	  Geos/model_loader.cpp, Geos/model_loader.h, Geos/newWave.cpp,
	  Geos/newWave.h, Geos/ripple.cpp, Geos/ripple.h, Geos/rubber.cpp,
	  Geos/rubber.h, Pixes/pix_kaleidoscope.cpp,
	  Pixes/pix_kaleidoscope.h, Pixes/pix_sig2pix.cpp,
	  Pixes/pix_sig2pix.h, Controls/gemlist_info.cpp,
	  Controls/gemlist_info.h: ppc only:  sqrt speed up via assembly
	  instruction (at least 2x) - header consolidation:  #includes
	  should go in headers!

2004-12-22 18:00  tigital

	* src/Base/GemBase.h: rearrange/coalesce headers, added glu.h

2004-12-22 17:58  tigital

	* src/Base/CPPExtern.h: add functions for 5 arguments

2004-12-15 15:02  zmoelnig

	* src/Pixes/pix_gain.cpp: fixed to compile under win/lin again

2004-12-15 07:21  tigital

	* src/Pixes/pix_videoDarwin.h: cleanup dialogMess

2004-12-15 07:17  tigital

	* src/Pixes/pix_videoDarwin.cpp: fixed crash bug when changing
	  dimen or colorspace while rendering:	some header cleanup, too

2004-12-14 01:49  tigital

	* src/Controls/gemwindow.cpp: minimal OSX-only changes for
	  multiple_window branch, now it compiles :-)

2004-12-14 01:40  tigital

	* src/Base/GemWinCreateMac.cpp: OSX-only changes for
	  multiple_window branch:  added topmostGemWindow() (but don't know
	  what it's really supposed to do:  this is just a copy of the
	  XWindows function), and added window bounds output to mouse
	  messages

2004-12-14 01:30  tigital

	* src/Base/GemOutput.cpp: OSX-only changes:  now it compiles

2004-12-14 01:02  tigital

	* GEM_darwin.pbproj/project.pbxproj: update to my setup

2004-12-14 00:41  tigital

	* src/Pixes/pix_gain.cpp: typo correction in altivec function name

2004-12-14 00:25  tigital

	* src/Pixes/pix_2grey.h: type correction in altivec function name

2004-12-13 18:51  zmoelnig

	* src/Output/gemextwin.cpp: added check whether there is a valid
	  display before destroying it...

2004-12-13 14:22  zmoelnig

	* examples/04.video/01.VideoPaint.pd: fixed the patch; how comes it
	  is broken at all ? a check ensured, that even the example-patch
	  from gem-0.70 has the same weirdnesses - so the problem seems to
	  be a change in the pd-fileformat rather than the patch itself;
	  this should work now (although i am not sure, whether it really
	  does what it is supposed to do...) wow, what a long changelog....

2004-12-07 16:05  timblech

	* src/Pixes/pix_mean_color.cpp: simplified outlet

2004-12-07 14:24  timblech

	* src/Pixes/: pix_mean_color.cpp, pix_mean_color.h: initial checkin
	  pix_mean_color

2004-12-07 12:52  zmoelnig

	* src/Controls/gemwindow.cpp: output events through the outlet
	  instead of dedicated objects ([gemmouse])

2004-12-07 12:50  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: changed the EventMask to get
	  focus-events

2004-12-07 12:48  zmoelnig

	* src/Controls/gemwindow.h: added infoMess() to output information

2004-12-07 12:47  zmoelnig

	* src/Base/: GemOutput.cpp, GemOutput.h: added an outlet for events
	  (and some comments)

2004-12-06 14:58  zmoelnig

	* src/Vertex/vertex_draw.cpp: oops, last checkin had VBO
	  disabled...

2004-12-06 14:43  zmoelnig

	* src/Vertex/: vertex_VBR.cpp, vertex_VBR.h: vector-based rotation
	  on a per-vertex basis; hard to handle though...

2004-12-06 14:41  zmoelnig

	* src/Vertex/: vertex_tabread.cpp, vertex_tabread.h,
	  vertex_tabwrite.cpp, vertex_tabwrite.h: objects to read/write
	  data from/to tables; data is interleaved (e.g. vertex-data is
	  stored in the table as [x1 y1 z1 w1 x2 y2 z2 w2 ...]; probably
	  there is a need for [vertex_tabread4] that uses 4 tables for
	  non-interleaved data (x, y, z and w)

2004-12-06 14:39  zmoelnig

	* src/Vertex/: vertex_draw.cpp, vertex_model.cpp: made all arrays
	  have 4 components; this enables us to use the color-array as
	  vertex-array and so on; thus is make any sense ?

2004-12-06 10:38  zmoelnig

	* src/Gnu/makesource: merged in the changes from HEAD that allows
	  to give the subdirectories for which we want Make.source to be
	  created

2004-12-06 10:34  zmoelnig

	* src/Pixes/: dv1394.h, videoDV4L.cpp: use the provided dv1394.h
	  instead of an external one

2004-12-06 10:29  zmoelnig

	* src/Pixes/videoDV4L.h: use the local dv1394.h file

2004-12-06 10:02  zmoelnig

	* src/openGL/setup.h: now it's gone in this galaxis; where will it
	  re-appear like undead ?

2004-12-03 13:15  zmoelnig

	* src/Geos/cuboid.cpp: added newline at end of file

2004-11-28 01:00  tigital

	* src/openGL/: GEMglBindProgramARB.cpp, GEMglBindProgramARB.h,
	  GEMglGenProgramsARB.cpp, GEMglGenProgramsARB.h,
	  GEMglProgramEnvParameter4dARB.cpp,
	  GEMglProgramEnvParameter4dARB.h,
	  GEMglProgramEnvParameter4fvARB.cpp,
	  GEMglProgramEnvParameter4fvARB.h,
	  GEMglProgramLocalParameter4fvARB.cpp,
	  GEMglProgramLocalParameter4fvARB.h, GEMglProgramStringARB.cpp,
	  GEMglProgramStringARB.h: some wrappers for gl "program" stuff:
	  should be ok for any GL with ARB_vertex_program and/or
	  ARB_fragment_program defined

2004-11-28 01:00  zmoelnig

	* src/openGL/GEMglBindProgramARB.h: file GEMglBindProgramARB.h was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 01:00  zmoelnig

	* src/openGL/GEMglGenProgramsARB.cpp: file GEMglGenProgramsARB.cpp
	  was added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 01:00  zmoelnig

	* src/openGL/GEMglGenProgramsARB.h: file GEMglGenProgramsARB.h was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 01:00  zmoelnig

	* src/openGL/GEMglProgramEnvParameter4dARB.h: file
	  GEMglProgramEnvParameter4dARB.h was added on branch vertex_array
	  on 2005-08-19 12:29:56 +0000

2004-11-28 01:00  zmoelnig

	* src/openGL/GEMglProgramLocalParameter4fvARB.h: file
	  GEMglProgramLocalParameter4fvARB.h was added on branch
	  vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 01:00  zmoelnig

	* src/openGL/GEMglProgramStringARB.h: file GEMglProgramStringARB.h
	  was added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  tigital

	* src/openGL/: GEMglLoadMatrixd.cpp, GEMglLoadMatrixd.h,
	  GEMglLoadMatrixf.cpp, GEMglLoadMatrixf.h,
	  GEMglLoadTransposeMatrixd.cpp, GEMglLoadTransposeMatrixd.h,
	  GEMglLoadTransposeMatrixf.cpp, GEMglLoadTransposeMatrixf.h,
	  GEMglMultMatrixd.cpp, GEMglMultMatrixd.h, GEMglMultMatrixf.cpp,
	  GEMglMultMatrixf.h, GEMglMultTransposeMatrixd.cpp,
	  GEMglMultTransposeMatrixd.h, GEMglMultTransposeMatrixf.cpp,
	  GEMglMultTransposeMatrixf.h: wrappers for gl matrix stuff:
	  should be ok for all opengl versions since 1.1?

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglLoadMatrixd.cpp: file GEMglLoadMatrixd.cpp was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglLoadMatrixd.h: file GEMglLoadMatrixd.h was added
	  on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglLoadMatrixf.cpp: file GEMglLoadMatrixf.cpp was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglLoadMatrixf.h: file GEMglLoadMatrixf.h was added
	  on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglLoadTransposeMatrixd.h: file
	  GEMglLoadTransposeMatrixd.h was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglLoadTransposeMatrixf.h: file
	  GEMglLoadTransposeMatrixf.h was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglMultMatrixd.cpp: file GEMglMultMatrixd.cpp was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglMultMatrixd.h: file GEMglMultMatrixd.h was added
	  on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglMultMatrixf.cpp: file GEMglMultMatrixf.cpp was
	  added on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglMultMatrixf.h: file GEMglMultMatrixf.h was added
	  on branch vertex_array on 2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglMultTransposeMatrixd.h: file
	  GEMglMultTransposeMatrixd.h was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2004-11-28 00:51  zmoelnig

	* src/openGL/GEMglMultTransposeMatrixf.h: file
	  GEMglMultTransposeMatrixf.h was added on branch vertex_array on
	  2005-08-19 12:29:56 +0000

2004-11-28 00:47  tigital

	* src/openGL/: GLdefine.cpp, GLdefine.h: pedantic changes to header
	  & descriptions :-)

2004-11-28 00:46  tigital

	* src/Base/: GemGLUtil.cpp, GemGLUtil.h: added defines for
	  multitexture, vertex/fragment programs, and matrix stuff...plus
	  pragma's to more easily find the numerical seperations

2004-11-25 11:08  zmoelnig

	* src/Base/GemWinCreateNT.cpp: when we receive a
	  window-resize-event, we need not get the new dimensions
	  explicitly, as they are already given in the arguments...

2004-11-24 16:53  zmoelnig

	* src/Controls/: gemlist_info.cpp, gemlist_info.h: Cyrille's
	  [gemlist_info] that gets the current transformation-matrix (why
	  have i not added this long before ???)

2004-11-24 16:46  zmoelnig

	* src/Pixes/: pix_resize.cpp, pix_resize.h: made the new size
	  settable; LATER think about using a *faster* algorithm...

2004-11-24 16:43  zmoelnig

	* src/Geos/square.cpp: fixed to match jamies spelling-correction in
	  Base/GemShape

2004-11-24 16:37  zmoelnig

	* src/Controls/: gem_pdpin.cpp, gem_pdpin.h, gem_pdpout.cpp,
	  gem_pdpout.h: added templates for the gem2pdp-bridge

2004-11-05 15:33  tigital

	* help/alpha.pd: added comments about auto message

2004-11-05 15:30  tigital

	* src/Geos/: cuboid.cpp, cuboid.h: added blend message

2004-10-27 12:53  zmoelnig

	* src/Base/GemBase.h: hacked a bit to get the glext-prototypes
	  loaded correctly with nvidia's headers...

2004-10-27 12:43  zmoelnig

	* src/Vertex/fragment_program.cpp: added a lot of defines to
	  prevent from compiling on machines that don't support it...

2004-10-26 02:58  tigital

	* src/Base/: GemShape.cpp, GemShape.h: spelling correction!

2004-10-26 02:52  tigital

	* src/Base/GemState.h: updated to correct GemState for vbo's

2004-10-26 02:42  tigital

	* GEM_darwin.pbproj/project.pbxproj: update to relative paths for
	  files; added new files (vertex_ & fragment_program & such) to
	  compile

2004-10-26 02:40  tigital

	* src/Controls/gemhead.cpp: __APPLE__ instead of MACOSX

2004-10-26 02:37  tigital

	* src/Vertex/vertex_draw.cpp: update to VBO version

2004-10-26 02:35  tigital

	* src/Vertex/: fragment_program.cpp, vertex_program.cpp: fixed bad
	  header, added some debug info beyond just the "MAX_PROGRAM_*"
	  returns

2004-10-22 15:44  tigital

	* examples/: data/64shade.bmp, data/toon.vp,
	  02.advanced/16.vertex_program.pd: [no log message]

2004-10-22 15:39  tigital

	* src/: Vertex/fragment_program.cpp, Vertex/fragment_program.h,
	  Vertex/vertex_program.cpp, Vertex/vertex_program.h,
	  openGL/GEMglProgramEnvParameter4fvARB.cpp,
	  openGL/GEMglProgramEnvParameter4fvARB.h: [no log message]

2004-10-20 16:10  tigital

	* src/Base/GemFuncUtil.h: // powerOfTwo() optimization from
	  "Hacker's Delight":  much faster!

2004-10-12 20:34  zmoelnig

	* src/Pixes/: videoDV4L.cpp, videoDV4L.h: use the provided dv1394.h
	  instead of an external one

2004-10-12 20:34  zmoelnig

	* src/Pixes/dv1394.h: added dv1394.h from "dvgrab"-sources

2004-10-12 13:49  zmoelnig

	* src/Pixes/: videoDV4L.cpp, videoDV4L.h: use the dv1394.h from the
	  kernel and not the deprecated-one from libdv-dev

2004-10-11 11:11  zmoelnig

	* src/Base/GemMan.cpp: [gemkeyname] under linux now behaves more
	  like pd's [keyname] (e.g. uniform keynames); thanks to gerard van
	  dongen

2004-10-08 16:47  zmoelnig

	* src/: openGL/setup.h, Particles/setup.h, Pixes/setup.h: we don't
	  want this anymore: all objects are autoregistering

2004-10-08 16:44  zmoelnig

	* src/: Manips/setup.h, Nongeos/setup.h: don't want this anymore:
	  objects are auto-registering themselves!

2004-10-08 16:29  zmoelnig

	* src/Geos/setup.h: don't want this anymore: objects are
	  auto-registering themselves!

2004-10-08 16:26  zmoelnig

	* src/Controls/setup.h: don't want this anymore: objects are
	  auto-registering themselves!

2004-10-08 16:08  zmoelnig

	* src/Geos/curve.cpp: as cyrille requested: doing one more point...
	  (hope this doesn't break anything, but i guess cyrille is the
	  only one who really cares about such features)

2004-10-08 15:35  zmoelnig

	* src/Geos/: newWave.cpp, newWave.h: fixed argument handling: 1
	  argument: gridX=gridY 2 arguments: gridX, gridY 3 arguments:
	  gridX, gridY, height

2004-09-15 17:41  zmoelnig

	* help/: gemlist_info.pd, newWave.pd, shearXY.pd, shearXZ.pd,
	  shearYX.pd, shearYZ.pd, shearZX.pd, shearZY.pd, tube.pd: new and
	  updated help-patches (thanks cyrille)

2004-09-15 17:18  zmoelnig

	* src/Manips/: shearXY.cpp, shearXY.h, shearXZ.cpp, shearXZ.h,
	  shearYX.cpp, shearYX.h, shearYZ.cpp, shearYZ.h, shearZX.cpp,
	  shearZX.h, shearZY.cpp, shearZY.h: initial addition (thanks
	  cyrille)

2004-09-15 17:06  zmoelnig

	* src/openGL/: GEMglGetFloatv.cpp, GEMglGetFloatv.h: initial
	  addition (thanks cyrille)

2004-09-15 16:50  zmoelnig

	* src/Geos/: newWave.cpp, newWave.h: merged the newWave_texture in;
	  incorporated cyrilles changes: added dither-noise against
	  denormalization phenomenons: wouldn't it be better clamp
	  denormals to 0 like with PD_BADLFOAT ??

2004-09-15 15:15  zmoelnig

	* src/Geos/: tube.cpp, tube.h: cyrilles changes: made the number of
	  faces settable via a message#9

2004-09-06 14:13  zmoelnig

	* src/Vertex/: vertex_sub.cpp, vertex_sub.h: subtract to
	  vertex-arrays

2004-09-06 14:12  zmoelnig

	* src/Vertex/: vertex_resize.cpp, vertex_resize.h: resize a
	  vertex-array: the resampling is rather poor (no interpolation)

2004-09-06 14:12  zmoelnig

	* src/Vertex/: vertex_matrix.cpp, vertex_matrix.h: multiply a
	  vertex-array by a constant matrix

2004-08-30 16:47  zmoelnig

	* src/Vertex/: vertex_draw.cpp, vertex_draw.h: rebuild the VBO if
	  the arrays are dirty (is this necessary on osX ?) removed a lot
	  of variables lingering around and doing nothing; inherit from
	  GemVertex instead of GemBase

2004-08-30 16:44  zmoelnig

	* src/Vertex/: vertex_add.cpp, vertex_add.h: use of setModified();
	  inherit from GemVertex instead of GemBase

2004-08-30 16:44  zmoelnig

	* src/Vertex/vertex_grid.cpp: use of setModified(); allow 0x0-grids

2004-08-30 16:42  zmoelnig

	* src/Vertex/: vertex_grid.h, vertex_info.h: inherit from GemVertex
	  instead of GemBase;

2004-08-30 16:40  zmoelnig

	* src/Vertex/: vertex_model.cpp, vertex_model.h: inherit from
	  GemVertex instead of GemBase; use of setModified()

2004-08-30 16:40  zmoelnig

	* src/Vertex/: vertex_combine.h, vertex_quad.h: inherit from
	  GemVertex instead of GemBase

2004-08-30 16:39  zmoelnig

	* src/Vertex/: vertex_offset.cpp, vertex_set.cpp: use of
	  setModified()

2004-08-30 16:39  zmoelnig

	* src/Vertex/: vertex_scale.cpp, vertex_scale.h: inherit from
	  GemVertex instead of GemBase; use of setModified(); renamed the
	  "mode"-message to "type" (now it is the same as for
	  DualVertex-manipulators)

2004-08-30 16:36  zmoelnig

	* src/Geos/: color_set.cpp, color_set.h, vertex_combine.cpp,
	  vertex_combine.h, vertex_draw.cpp, vertex_draw.h,
	  vertex_grid.cpp, vertex_grid.h, vertex_info.cpp, vertex_info.h,
	  vertex_model.cpp, vertex_model.h, vertex_offset.cpp,
	  vertex_offset.h, vertex_quad.cpp, vertex_quad.h: moved to
	  src/Vertex

2004-08-30 16:34  zmoelnig

	* src/Controls/gemhead.cpp: handle the "dirtyVertex" of GemState
	  and GemCache

2004-08-30 16:33  zmoelnig

	* src/Base/: GemVertex.cpp, GemVertex.h: GemVertex is now the
	  parent-class of all the vertex-stuff; the main thing that is done
	  here is re-defining setModified() to tell the cache, that the
	  vertex-arrays have changed

2004-08-30 15:22  zmoelnig

	* src/Base/: GemCache.cpp, GemCache.h, GemState.cpp, GemState.h:
	  added VertexDirty to indicate whether one of the vertex-arrays
	  has changed LATER: think about a flag for each vertex-array to
	  avoid uploading of unchanged arrays

2004-08-27 17:31  tigital

	* src/Vertex/vertex_draw.cpp: forgot a coupla GL_DYNAMIC_DRAW_ARB's

2004-08-27 16:34  tigital

	* src/Vertex/vertex_draw.cpp: cached VBO buffers better

2004-08-27 08:51  zmoelnig

	* src/Manips/: vertex_scale.cpp, vertex_scale.h: this is now in
	  src/Vertex/

2004-08-27 08:49  zmoelnig

	* src/Vertex/: vertex_draw.cpp, vertex_draw.h: moved jamies changes
	  from src/Geos to src/Vertex; made it compile on linux (and i
	  guess on windows too) disabled VBO for non-macs as it slows down
	  the system by numbers...

2004-08-27 08:47  zmoelnig

	* src/Vertex/glVBO_ext.h: moved from src/Geos to src/Vertex;
	  include <GL/gl.h> instead of <OpenGL/gl.h> on non-apples

2004-08-27 05:54  tigital

	* src/Geos/glVBO_ext.h: VBO support

2004-08-27 05:50  tigital

	* src/Geos/: vertex_draw.h, vertex_draw.cpp: VBO support

2004-08-26 14:21  zmoelnig

	* src/Vertex/: vertex_add.cpp, vertex_add.h, vertex_combine.cpp,
	  vertex_combine.h, vertex_draw.cpp, vertex_draw.h,
	  vertex_grid.cpp, vertex_grid.h, vertex_info.cpp, vertex_info.h,
	  vertex_model.cpp, vertex_model.h, vertex_mul.cpp, vertex_mul.h,
	  vertex_offset.cpp, vertex_offset.h, vertex_quad.cpp,
	  vertex_quad.h, vertex_scale.cpp, vertex_scale.h, vertex_set.cpp,
	  vertex_set.h: moved all the vertex_-objects from src/Geos to
	  src/Vertex; added vertex_mul, vertex_add vertex_offset,... now
	  work on all arrays

2004-08-17 18:44  zmoelnig

	* src/Manips/: vertex_scale.cpp, vertex_scale.h: initial
	  [vertex_scale]: supports scaling of texcoords, normals, vertices,
	  color

2004-08-17 17:27  zmoelnig

	* src/Base/: configNT.h, GemBase.h, GemMan.cpp, GemPixUtil.cpp,
	  GemPixUtil.h, GemVersion.h: merged with HEAD

2004-08-17 17:13  zmoelnig

	* src/Pixes/: filmQT.cpp, pix_dot.cpp, pix_halftone.cpp,
	  pix_halftone.h, pix_texture.cpp, pix_texture.h, pix_texture2.cpp,
	  pix_texture2.h, videoV4L.cpp: merged with HEAD

2004-08-17 16:45  zmoelnig

	* src/yuv/yuv_mask.cpp: src/yuv is deprecated

2004-08-17 16:11  zmoelnig

	* src/Output/: gemextwin.cpp, gemextwin.h: this shouldn't have been
	  in the SIMD branch

2004-08-17 15:27  zmoelnig

	* abstractions/gemwin.pd: a wrapper around [gemcontrol] and
	  [gemwindow] to provide compatibility with older patches

2004-08-17 15:04  zmoelnig

	* src/Gnu/: configure, configure.in: updated version

2004-08-17 14:59  zmoelnig

	* src/Controls/: gemwin.cpp, gemwin.h: [gemwin] is replaced by
	  [gemcontrol]+[gemwindow]

2004-08-17 14:55  zmoelnig

	* src/Gnu/makesource: fixed a bug when no directory-list is given
	  at command-line (merged from HEAD)

2004-08-17 14:53  zmoelnig

	* src/Gnu/makesource: fixed a bug when no directory-list is given
	  at command-line

2004-08-17 14:45  zmoelnig

	* src/Base/GemFuncUtil.h: include GemSIMD (yes i know, that this is
	  branch multiple_window, but i have somehow cranked up the Pixes/
	  when branching : Pixes/ were branched to "multiple_window" when
	  already in "SIMD"; so this allows at least to compile again

2004-08-17 14:27  zmoelnig

	* src/Base/GemOutput.h: made all the non-static message-handlers
	  "virtual" so they can be overridden (e.g. if we don't want them)

2004-08-17 14:10  zmoelnig

	* src/Base/GemMan.cpp: try to share display_lists (however, this
	  needs a LOT of re-thinking)

2004-08-17 14:04  zmoelnig

	* src/Output/Makefile: hopefully this is now in BRANCH instead of
	  TAGged

2004-08-17 14:01  zmoelnig

	* src/Output/GemExtContext.h: this has vanished entirely (i just
	  don't know how to check files into a branch)

2004-08-17 13:40  zmoelnig

	* src/Output/GemExtContext.h: removed because the idea behind this
	  file was really nonsense (cannot share pointers across
	  applications)

2004-08-14 21:59  zmoelnig

	* src/Output/: gemextwin.cpp, gemextwin.h: made it compile under
	  windows (though not really functional yet...)

2004-08-14 15:36  zmoelnig

	* src/Base/GemState.h: merged in the vertex_array -branch (why:
	  because i have f**ed up the multiple_window-branch by mixing with
	  vertices and there is not much harm in changing this file)

2004-08-14 15:14  zmoelnig

	* src/Output/: gemextwin.cpp, gemextwin.h: prelaminary windoze
	  support (not tested at all, just from guessing)

2004-08-10 14:42  zmoelnig

	* src/Output/GemExtContext.h: do not use GEM_EXPORT (as it needs
	  other GemExportDef.h to be included

2004-08-10 11:43  zmoelnig

	* src/Output/: GemExtContext.h, gemextwin.cpp, gemextwin.h: an
	  object to render into external displays (this is: the context is
	  *not* handled by Gem but by an external application)

2004-08-10 11:40  zmoelnig

	* src/Output/: Makefile, gemwindow_qtExt.cpp, gemwindow_qtExt.h:
	  oje: "tagged" instead of "branched" (anyhow gemwindow_qtExt is
	  already deprecated)

2004-08-09 19:36  zmoelnig

	* src/Output/Makefile: initial makefile for [gemwindow_qtExt]

2004-08-09 19:36  zmoelnig

	* src/Output/: gemwindow_qtExt.cpp, gemwindow_qtExt.h: initial
	  output-module: [gemwindow_qtExt] (what an ugly name!) to render
	  to external qt-contexts

2004-08-09 13:23  zmoelnig

	* src/Controls/gemwindow.cpp: re-enabled checking, whether we
	  already have a const context

2004-08-09 11:19  zmoelnig

	* src/Base/GemOutput.cpp: oops: bufferMess() was doubled

2004-08-09 10:34  zmoelnig

	* src/Base/GemOutput.cpp: implementation of bufferMess

2004-08-09 10:33  zmoelnig

	* src/Controls/gemwindow.cpp: enabled use of shared contexts on
	  platforms other than osX (which had it already)

2004-08-08 19:49  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: removed unneeded
	  variables (like m_windowRun and m_windowNumber)

2004-08-08 19:24  zmoelnig

	* src/Pixes/: pix_snap2tex.cpp, pix_snap2tex.h, pix_write.cpp,
	  pix_write.h: use GemState->screenWidth instead of GemMan::m_width
	  (and vice versa for m_height)

2004-08-08 14:38  zmoelnig

	* src/: Particles/part_color.cpp, Particles/part_damp.cpp,
	  Particles/part_draw.cpp, Particles/part_follow.cpp,
	  Particles/part_gravity.cpp, Particles/part_info.cpp,
	  Particles/part_killold.cpp, Particles/part_killslow.cpp,
	  Particles/part_orbitpoint.cpp, Particles/part_render.cpp,
	  Particles/part_size.cpp, Particles/part_source.cpp,
	  Particles/part_targetcolor.cpp, Particles/part_targetsize.cpp,
	  Particles/part_velcone.cpp, Particles/part_velocity.cpp,
	  Particles/part_velsphere.cpp, Particles/part_vertex.cpp,
	  Base/GemMan.cpp, Base/GemState.cpp, Base/GemState.h: changed
	  GemState->stereo to GemState->doUpdate

2004-08-08 14:01  zmoelnig

	* src/Geos/: ripple.cpp, rubber.cpp: removed traces of GemMan

2004-08-08 13:51  zmoelnig

	* src/Manips/ortho.cpp: set the viewpoint use
	  GemState->windowWidth/Height instead of GemMan::width/height

2004-08-08 13:45  zmoelnig

	* src/Manips/camera.cpp: set the viewpoint immediately (do *not*
	  use GemMan::m_view)

2004-08-08 13:39  zmoelnig

	* src/Base/GemState.h: add field for window-dimensions to the
	  GemState

2004-08-08 13:37  zmoelnig

	* src/Base/GemOutput.cpp: add the window-dimensions to the GemState

2004-08-07 19:29  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: made it run under NT

2004-08-07 18:18  zmoelnig

	* src/Base/GemWinCreateNT.cpp: made the mousemotion-callback work
	  under nt

2004-08-07 10:25  zmoelnig

	* src/: Base/GemEvent.cpp, Base/GemEvent.h, Controls/gemmouse.cpp,
	  Controls/gemmouse.h: the motionCallback for mouse) now reports
	  the window-dimensions too (for scaling/normalization)

2004-08-07 10:24  zmoelnig

	* src/: Controls/gemwindow.cpp, Controls/gemwindow.h,
	  Base/GemOutput.cpp, Base/GemOutput.h: changed (renamed) the
	  render-functions a bit

2004-08-07 09:16  zmoelnig

	* src/Controls/: gemcontrol.cpp, gemcontrol.h: forgot to add
	  [gemcontrol] (?)

2004-08-06 18:51  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: trying to save the
	  constContext (LATER think about "sharing" contexts)

2004-08-06 18:07  zmoelnig

	* src/Base/GemMan.cpp: stop rendering when the last [gemcontrol]
	  has vanished

2004-08-06 17:18  zmoelnig

	* src/Base/: GemOutput.cpp, GemOutput.h: "lighting" now works
	  individually for each GemOutput

2004-08-06 17:17  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: added "fsaa"

2004-08-06 16:08  zmoelnig

	* src/Base/: GemMan.cpp, GemMan.h: [gemcontrol] now registers to
	  GemMan to get the render-clock

2004-08-06 16:07  zmoelnig

	* src/Base/: GemOutput.cpp, GemOutput.h: "reset"-message

2004-08-06 16:03  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: callbacks working
	  under linux

2004-08-06 12:20  zmoelnig

	* src/Base/: GemMan.cpp, GemMan.h: stripped down and moved a lot of
	  code into GemOutput and [gemwindow]

2004-08-06 12:20  zmoelnig

	* src/Base/: GemOutput.cpp, GemOutput.h: loads of functionality
	  from [gemwin] and GemBase moved into this one:
	  color,fog,viewpoint,....

2004-08-06 12:18  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: first output...

2004-08-05 19:57  zmoelnig

	* src/Controls/gemhead.cpp: drawType reset to 0 instead of NULL

2004-08-05 14:33  zmoelnig

	* src/Base/: GemOutput.cpp, GemOutput.h: put the actual
	  render-callback into doRender()

2004-08-05 14:32  zmoelnig

	* src/Geos/: vertex_grid.cpp, vertex_grid.h: added object-arguments
	  for initial xsize/ysize

2004-08-05 14:19  zmoelnig

	* src/Geos/vertex_draw.cpp: add a check whether we have a
	  NormalsArray (prevents crashes with [vertex_quad] and
	  [vertex_grid])

2004-08-04 09:19  zmoelnig

	* src/Geos/: vertex_offset.cpp, vertex_offset.h: made the
	  "offset"-message understand 2(X,Y,0,0), 3(X,Y,Z,0) or 4(X,Y,Z,W)
	  arguments

2004-08-04 09:18  zmoelnig

	* src/Geos/: vertex_info.cpp, vertex_info.h: removed code that came
	  apparently from [vertex_offset] (and was not used anyhow)

2004-08-04 09:17  zmoelnig

	* src/Geos/: color_set.cpp, color_set.h: now color_set inherits
	  from GemBase instead of GemShape; "color" can now have 1
	  (greyscale), 3(RGB) or 4(rgba) values

2004-08-04 08:35  zmoelnig

	* src/Geos/: vertex_info.h, vertex_offset.h: fixed typos which
	  prevented vc6 to succeed

2004-08-04 08:32  zmoelnig

	* src/Gnu/makesource: now you can give a list of directories on the
	  command-line to override the default directories where we want
	  the Make.source,... to be built

2004-08-04 08:29  zmoelnig

	* src/Base/GemState.h: on windows we have to include <windows.h>
	  before <GL/gl.h>,...

2004-08-04 07:52  zmoelnig

	* src/Pixes/filmQT.cpp: fixed broken merge

2004-08-03 21:56  zmoelnig

	* src/Geos/: vertex_combine.cpp, vertex_combine.h, vertex_draw.cpp,
	  vertex_draw.h, vertex_grid.cpp, vertex_grid.h, vertex_info.cpp,
	  vertex_info.h, vertex_model.cpp, vertex_model.h,
	  vertex_offset.cpp, vertex_offset.h, vertex_quad.cpp,
	  vertex_quad.h: removed dependency on GemShape (replaced by
	  GemBase)

2004-08-03 21:35  zmoelnig

	* src/Geos/vertex_draw.cpp: made it compile under linux

2004-08-03 21:35  zmoelnig

	* src/Geos/: vertex_combine.h, vertex_draw.h, vertex_grid.h,
	  vertex_info.h, vertex_model.h, vertex_offset.h, vertex_quad.h:
	  included Base/GemVertex.h instead of GemShape.h; btw. i don't
	  think that GemShape is a good parent-class

2004-08-03 21:33  zmoelnig

	* src/Base/GemVertex.h: removed some stupidities

2004-08-03 21:25  zmoelnig

	* src/Base/GemState.h: fixed apple-specific code

2004-08-03 21:24  zmoelnig

	* src/Base/GemVertex.h: GemVertex.h to be included by all
	  vertex_-geos

2004-08-03 19:03  zmoelnig

	* src/Base/: GemOutput.cpp, GemOutput.h: don't render if
	  m_outputState is false; made inheritance work

2004-08-03 19:02  zmoelnig

	* src/Controls/gemwindow.cpp: moved m_windowState to GemOutput;
	  moved static variables into class

2004-08-03 19:01  zmoelnig

	* src/Controls/gemwindow.h: moved m_windowState to GemOutput

2004-08-03 18:52  zmoelnig

	* src/Controls/gemwindow.h: really inherit from GemOutput

2004-08-03 18:40  cclepper

	* src/: Base/GemState.h, Controls/gemhead.cpp: update to include
	  vertex_array data

2004-08-03 18:38  cclepper

	* src/Geos/: color_set.cpp, color_set.h, vertex_combine.cpp,
	  vertex_combine.h, vertex_draw.cpp, vertex_draw.h,
	  vertex_grid.cpp, vertex_grid.h, vertex_info.cpp, vertex_info.h,
	  vertex_model.cpp, vertex_model.h, vertex_offset.cpp,
	  vertex_offset.h, vertex_quad.cpp, vertex_quad.h: Initial commit
	  of basic vertex_array geos

2004-08-03 17:51  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: initial functionality:
	  create/destroy window (no rendering yet)

2004-08-03 16:07  zmoelnig

	* src/Controls/: gemwindow.cpp, gemwindow.h: an output-object to
	  replace [gemwin] on the long-run; no functionality yet!!

2004-08-03 15:52  zmoelnig

	* src/Base/: GemOutput.cpp, GemOutput.h: the parent-class for
	  different output-objects

2004-08-03 09:17  zmoelnig

	* src/Pixes/: DSgrabber.cpp, pix_videoDS.cpp: the Release-binary
	  under windoze used to crash when a pix_video was created;
	  defining "DEBUG" on the correct place gets rid of this. (indeed
	  an ugly workaround)

2004-08-03 09:15  zmoelnig

	* src/Pixes/pix_rds.cpp: type-cast 0xFF to shut up vc6

2004-08-03 09:11  zmoelnig

	* src/Pixes/: pix_2grey.cpp, pix_background.cpp, pix_compare.cpp,
	  pix_composite.cpp, pix_halftone.cpp, pix_multiply.cpp: type-cast
	  0xFF to shut up vc6

2004-08-03 08:22  zmoelnig

	* src/Pixes/pix_chroma_key.cpp: type-cast 0xFF to shut up vc6

2004-07-29 20:21  zmoelnig

	* src/Pixes/: pix_composite.cpp, pix_composite.h: initial MMX
	  (faster when alpha is set to anything; BUT slower if alpha is
	  0x00 or 0xFF)

2004-07-29 13:28  zmoelnig

	* src/Pixes/: pix_mask.cpp, pix_mask.h: a bit faster and YUV
	  support

2004-07-29 13:04  zmoelnig

	* src/Pixes/: pix_diff.cpp, pix_multiply.cpp, pix_multiply.h,
	  pix_subtract.cpp, pix_takealpha.h: more MMX

2004-07-29 11:06  zmoelnig

	* src/Pixes/pix_add.cpp: made YUV behave better

2004-07-29 10:28  zmoelnig

	* src/gem.dsp: added __MMX__

2004-07-29 10:16  zmoelnig

	* src/Pixes/pix_tIIR.cpp: round() is not available on vc6; using
	  (short)-casts instead

2004-07-28 14:24  zmoelnig

	* src/Base/GemSIMD.h: added some hints for compilers

2004-07-28 11:19  zmoelnig

	* src/Pixes/: pix_chroma_key.cpp, pix_chroma_key.h: MMX for YUV

2004-07-28 11:18  zmoelnig

	* src/Base/GemPixDualObj.h: if ne SSE2 is defined, it defaults to
	  MMX

2004-07-27 22:16  zmoelnig

	* src/Pixes/pix_movement.cpp: a bit of a comment

2004-07-27 22:06  zmoelnig

	* src/Pixes/: pix_chroma_key.cpp, pix_chroma_key.h: initial
	  MMX-support (RGBA only; seems to be slower than generic code !!!)

2004-07-27 21:00  zmoelnig

	* src/Pixes/: pix_compare.cpp, pix_compare.h, pix_mix.cpp,
	  pix_mix.h, pix_subtract.cpp, pix_subtract.h: initial MMX-support

2004-07-27 15:58  zmoelnig

	* src/Pixes/: pix_add.cpp, pix_add.h: initial MMX-support (not very
	  fast though)

2004-07-27 11:51  zmoelnig

	* src/Base/: GemPixDualObj.cpp, GemPixDualObj.h: initial
	  MMX-support for DualPix

2004-07-27 11:50  zmoelnig

	* src/Pixes/: pix_diff.cpp, pix_diff.h: initial MMX-support

2004-07-27 10:02  zmoelnig

	* src/Pixes/: pix_background.cpp, pix_background.h: more
	  MMX-support (RGBA, YUV)

2004-07-27 08:52  zmoelnig

	* src/Pixes/: pix_background.cpp, pix_background.h: initial
	  MMX-support (Grayscale only for now)

2004-07-26 19:17  zmoelnig

	* src/Pixes/: pix_background.cpp, pix_background.h: using an
	  imageStruct instead of allocating by hand

2004-07-26 18:37  zmoelnig

	* src/Pixes/: pix_movement.cpp, pix_movement.h: initial MMX-support
	  (grayscale only)

2004-07-26 18:36  zmoelnig

	* src/Pixes/pix_2grey.cpp: made it YUV-MMX faster (???)

2004-07-24 20:08  zmoelnig

	* src/Pixes/: pix_tIIR.cpp, pix_tIIR.h: initial MMX-support; note
	  however, that it is slower than i expected; furthermore negative
	  coefficients are not handled correctly

2004-07-24 18:42  zmoelnig

	* src/Base/GemPixUtil.cpp: don't copy the "datasize" with
	  copy2imageStruct - as it should only be used internally for
	  pdata; (THIS MIGHT BREAK THINGS!!)

2004-07-23 18:36  zmoelnig

	* src/Pixes/: pix_biquad.cpp, pix_biquad.h: fixed MMX code for
	  RGBA/YUV/Gray

2004-07-23 17:26  zmoelnig

	* src/Pixes/: pix_motionblur.cpp, pix_motionblur.h: added MMX code
	  for RGBA/YUV/Gray

2004-07-23 11:51  zmoelnig

	* src/Pixes/pix_2grey.cpp: fixed RGBA-MMX code

2004-07-23 10:25  zmoelnig

	* src/Gnu/aclocal.m4, src/Pixes/pix_2grey.cpp,
	  src/Pixes/pix_2grey.h, src/Pixes/pix_biquad.cpp,
	  src/Pixes/pix_biquad.h, Makefile, configure: added top-level
	  makefile and configure-script (since src/Gnu is hard to find)

2004-07-09 15:22  zmoelnig

	* src/Pixes/: pix_offset.cpp, pix_offset.h: MMX for YUV and Gray

2004-07-08 18:15  zmoelnig

	* src/Pixes/: pix_gain.cpp, pix_gain.h, pix_offset.cpp,
	  pix_offset.h: first MMX-support (RGBA only right now)

2004-07-06 15:09  zmoelnig

	* src/Base/GemPixUtil.cpp: fixed typo in comment

2004-07-02 18:17  zmoelnig

	* src/TODO: new things to do

2004-07-02 18:15  zmoelnig

	* src/Base/GemSIMD.h: fixed #ifdef's

2004-07-02 18:02  zmoelnig

	* src/Pixes/: pix_bitmask.cpp, pix_bitmask.h: initial MMX support

2004-07-01 21:00  zmoelnig

	* src/Base/GemSIMD.h: file GemSIMD.h was added on branch
	  vertex_array on 2005-08-19 14:18:07 +0000

2004-07-01 21:00  zmoelnig

	* src/Base/GemSIMD.h: initial MMX-code; includes for the various
	  platforms/SIMD-optimization should be handled in here

2004-07-01 20:58  zmoelnig

	* src/Base/: GemFuncUtil.h, GemPixObj.cpp, GemPixObj.h: initial
	  MMX-code; SIMD-optimized functions are called directly from
	  GemPixObj; if they are not overridden by the child, the default
	  function for this colourspace is called

2004-07-01 20:57  zmoelnig

	* src/Pixes/: pix_invert.cpp, pix_invert.h: initial MMX-code

2004-07-01 15:59  zmoelnig

	* src/Geos/newWave.cpp: replace GL_LINE_LOOP with GL_LINE_STRIP
	  (thanks to cyrille) made the "draw"-message-handling a bit more
	  flexible

2004-06-30 16:34  zmoelnig

	* src/Geos/newWave.cpp: when reset()ing, use the current action
	  instead of HILLFOUR

2004-06-30 16:32  zmoelnig

	* src/Pixes/pix_texture.cpp: rebuild the texture when switching
	  between rectangle and normalized textures

2004-06-30 14:18  zmoelnig

	* src/Geos/: newWave.cpp, newWave.h: hopefully fixed the texturing
	  for rectangle textures; added a "texture"-message to choose
	  between normal and spheric texturing

2004-06-30 14:13  zmoelnig

	* src/Pixes/pix_texture.cpp: used debug() instead of post() for the
	  "client-storage"-message

2004-06-30 14:11  zmoelnig

	* src/Pixes/videoV4L.cpp: using RGB24 instead of RGB32, because the
	  alpha-channel is set to 0 by RGB32(!!)

2004-06-25 19:38  zmoelnig

	* src/Geos/: newWave.cpp, newWave.h: fixed a bug that did not
	  texture rectangle images correctly texture mode can now be set
	  via a "texture"-mess (spherical or not) texturing of line/point
	  enabled (buggy output ?)

2004-06-25 19:31  zmoelnig

	* src/Pixes/pix_texture.cpp: "not using client-texture" is now a
	  debug-message (instead of post())

2004-05-28 13:50  zmoelnig

	* GEM.README: updated for 0.90

2004-05-26 12:59  zmoelnig

	* src/gem.dsp: now the "release" compiles

2004-05-26 12:35  zmoelnig

	* doc/gem.release_notes.txt: changed version from 0.888 to 0.90

2004-05-26 12:34  zmoelnig

	* GEM_INSTALL.bat: fixed "installation" for on windows

2004-05-26 12:34  zmoelnig

	* src/Base/GemVersion.h: changed from 0.888pre2 to 0.90

2004-05-19 17:57  zmoelnig

	* src/Pixes/pix_halftone.cpp: changed the shifts to SHIFT_* to make
	  it cross-platform

2004-05-19 17:25  tigital

	* ChangeLog: [no log message]

2004-05-19 17:17  tigital

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: here's what I came
	  up with:  luma seems more sensitive, and makes a better image,
	  tho different than the rgba version

2004-05-16 21:22  zmoelnig

	* src/Base/: GemBase.h, GemMan.cpp, GemPixUtil.h, configNT.h: fixed
	  some issues with compiling Gem on windows with nvidia's
	  openGL-headers (have to include glext.h)

2004-05-15 19:59  zmoelnig

	* doc/gem.known_bugs.txt, help/pix_lumaoffset.pd: noted that
	  pix_lumaoffset might crash with high offset-factors

2004-05-14 19:20  zmoelnig

	* src/Pixes/: pix_texture.cpp, pix_texture.h: added a "yuv"-message
	  to turn off direct YUV-texturing even if it is available (because
	  our G4 with a geforce4MX says that it can do GL_ycbcr but
	  actually the images look weird

2004-05-14 19:05  zmoelnig

	* src/Pixes/pix_lumaoffset.cpp: added range-checking for the offset
	  when doing smoothed & filled processing; this should fix the
	  crashes at very high offsets on all colorspaces

2004-05-14 17:42  zmoelnig

	* src/Pixes/pix_dot.cpp: fixed YUV on big-endians

2004-05-13 19:25  zmoelnig

	* src/Base/GemPixUtil.cpp: don't copy "pdata" with
	  copyImage2Struct; pdata should always(!) be a pointer to some
	  data that is owned by the image itself! this fixes the abiding
	  crashes when deleting pix_-objects

2004-05-10 10:08  zmoelnig

	* src/Pixes/filmQT.cpp: added additional error-checks and a
	  sanity-check on close(); should run now on QT-6.5 (as (un)stable
	  as with QT-6.4)

2004-05-10 07:03  cclepper

	* src/Pixes/: pix_levels.cpp, pix_levels.h: First step at
	  separating the color-space functions in order to have them work
	  properly.  RGBA is still ok, and now YUV works on 'uniform'
	  adjustments.

2004-05-10 05:54  cclepper

	* src/Pixes/pix_colorreduce.cpp: #ifdef to remove YUV code on OSX.
	  maybe someone will write a version that doesn't crash?

2004-05-09 09:03  cclepper

	* src/Pixes/pix_halftone.cpp: changed the shifts for YUV output.
	  now 100% less green.

2004-05-08 06:19  cclepper

	* src/Pixes/pix_kaleidoscope.cpp: fixed the 'it's oh so green' YUV
	  problem on OSX

2004-05-07 19:51  zmoelnig

	* src/Base/GemPixPete.h: made defines for shifts on mac/non-mac
	  (although they don't do much now)

2004-05-07 19:48  zmoelnig

	* src/Base/GemPixPete.h: added U8 as another type

2004-05-07 19:41  zmoelnig

	* src/Base/GemPixUtil.cpp: using ch*-constants rather than
	  hardcoded positions of channel-data (e.g: chRed instead of 0)

2004-05-07 19:37  zmoelnig

	* src/Pixes/: pix_backlight.cpp, pix_buf.cpp, pix_dot.cpp,
	  pix_texture.cpp, pix_halftone.cpp, pix_lumaoffset.cpp: shut up
	  macOS-gcc compiler warnings

2004-05-07 17:42  zmoelnig

	* src/Base/GemWinCreateMac.cpp: type fixing to shut down the
	  compiler

2004-05-07 15:52  zmoelnig

	* src/Pixes/: pix_lumaoffset.cpp, pix_lumaoffset.h,
	  pix_metaimage.cpp, pix_metaimage.h: made Grey work

2004-05-07 14:02  zmoelnig

	* src/Pixes/: pix_dot.cpp, pix_dot.h: made YUV and Grey work

2004-05-07 10:41  zmoelnig

	* src/Pixes/: pix_refraction.cpp, pix_kaleidoscope.cpp: use
	  setCsizeByFormat use reallocate() instead of clear() and
	  allocate() and complicated checks

2004-05-07 10:40  zmoelnig

	* src/Pixes/pix_halftone.cpp: fixed stupid typo

2004-05-07 10:40  zmoelnig

	* src/Pixes/pix_lumaoffset.cpp: replaced hardcoded shift-amount by
	  SHIFT_Y.  use setCsizeByFormat use reallocate() instead of
	  clear() and allocate()

2004-05-07 10:30  zmoelnig

	* src/Pixes/: pix_dot.cpp, pix_dot.h: use setCsizeByFormat use
	  reallocate() instead of clear() and allocate() removed unused
	  variable

2004-05-07 10:29  zmoelnig

	* src/Pixes/pix_delay.cpp: use setCsizeByFormat use reallocate()
	  instead of clear() and allocate()

2004-05-07 10:28  zmoelnig

	* src/Pixes/: pix_backlight.cpp, pix_backlight.h: removed the
	  commented out the processGray-function (and not only it's body);
	  use setCsizeByFormat

2004-05-07 10:14  zmoelnig

	* src/Pixes/: pix_grey.cpp, pix_rgba.cpp, pix_yuv.cpp: don't
	  initialize to small images (64x64) any more as this is only for
	  memory fragmentation

2004-05-07 10:12  zmoelnig

	* src/Pixes/pix_halftone.cpp: using setCsizeByFormat rather than
	  setting csize/format/type directly

2004-05-07 10:11  zmoelnig

	* src/Pixes/pix_metaimage.cpp: made YUV work on PCs (and used
	  better namings (like "U" instead of "Red")

2004-05-06 12:01  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: setting the
	  csize/format/type of the image more intelligently

2004-05-06 11:36  zmoelnig

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: another step
	  towards a working version.  now yuv/rgba/grey almost(!) behave
	  the same

2004-05-06 11:35  zmoelnig

	* src/Base/GemPixPete.h: the RGBA2LUMA conversion was wrong

2004-05-05 16:56  zmoelnig

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: made YUV work
	  correctly

2004-05-05 16:56  zmoelnig

	* src/Pixes/pix_texture.cpp: use run-time checks for YUV-texturing

2004-05-05 16:55  zmoelnig

	* src/Base/: GemMan.cpp, GemMan.h: added run-time checks for
	  GL_APPLE_ycbcr_422 (YUV-texturing)

2004-05-05 16:54  zmoelnig

	* src/Base/GemPixUtil.cpp: use normal memory-allocation (no
	  alignment tricks as these produces weird output) LATER make sure
	  that memory is aligned correctly

2004-05-04 22:20  zmoelnig

	* src/Pixes/: pix_colorreduce.cpp, pix_colorreduce.h: quick hack to
	  make Grey/YUV work

2004-05-04 17:30  zmoelnig

	* src/Pixes/pix_buf.cpp: initialized orgPixBlock to NULL (should
	  fix crashes when no upstream image is present)

2004-05-04 14:46  zmoelnig

	* src/Pixes/: pix_levels.cpp, pix_levels.h: seems to work now with
	  RGBA/YUV/Grayscale

2004-05-04 10:15  zmoelnig

	* doc/gem.known_bugs.txt: added bugs concerning win32-movie-loading

2004-05-03 18:27  zmoelnig

	* src/Pixes/pix_halftone.cpp: used SHIFT_Y1,... (from GemPixPete.h)
	  as my images were green ;-)

2004-05-03 18:26  zmoelnig

	* src/Base/GemPixPete.h: defined SHIFT_Y1,... for YUV-shifting

2004-05-03 08:15  cclepper

	* src/Pixes/pix_backlight.cpp: fixed up the YUV code - rolled a new
	  black function and tests for proper pixel values

2004-05-03 08:14  tigital

	* src/Pixes/: pix_halftone.cpp, pix_halftone.h: YUV works better:
	  but it's about half the width resolution as it should be...at
	  least it's not green ;-)

2004-05-03 04:08  tigital

	* src/Pixes/pix_videoDarwin.cpp: removed void to shut up gcc

2004-05-03 03:42  tigital

	* src/Pixes/: pix_metaimage.cpp, pix_metaimage.h: YUV processing
	  functions correctly now

2004-04-29 07:55  cclepper

	* src/Pixes/pix_lumaoffset.cpp: YUV smoothing now works

2004-04-27 07:07  tigital

	* src/Pixes/: pix_lumaoffset.cpp, pix_lumaoffset.h: YUV works
	  better, except for "smooth" line filling

2004-04-24 17:02  zmoelnig

	* src/Pixes/filmQT4L.cpp: removed some more verbosity...

2004-04-23 16:41  zmoelnig

	* src/Base/GemMan.cpp: moved some fsaa-code from apple-only to
	  openGL-dependent code (read: changed ifdefs)

2004-04-21 06:32  tigital

	* src/Pixes/pix_lumaoffset.cpp: YUV is almost fixed:  at least
	  we're dealing with true luma...but there still seems to be a
	  pixel skipping problem

2004-04-21 05:52  cclepper

	* src/Base/GemPixPete.h: changed GetLuminance() coefficients to
	  correct vaules

2004-04-20 19:55  zmoelnig

	* help/gemwin.pd: fixed the default viewpoint-values to the correct
	  ones "0 0 4" instead of "0 0 -4"

2004-04-10 02:13  tigital

	* src/Base/GemFuncUtil.h: [OSX] added header for definition of
	  UInt32 after the mass movement of functions

2004-04-09 11:38  zmoelnig

	* src/Pixes/pix_texture.cpp: added the [pix_texture2]-alias again.
	  why has it vanished ?

2004-04-08 14:20  zmoelnig

	* src/Pixes/: pix_filmDarwin.cpp, pix_filmDarwinYUV.cpp,
	  pix_filmQT.cpp, pix_movieDarwin.cpp, pix_videoDarwin.cpp: moved
	  utility functions (namely: powerOfTwo()) into Base/GemFuncUtil

2004-04-08 13:57  zmoelnig

	* src/Geos/newWave.cpp: moved utility functions (namely:
	  powerOfTwo()) into Base/GemFuncUtil

2004-04-08 13:54  zmoelnig

	* src/Base/: GemFuncUtil.h, GemPixObj.h, GemPixPete.h,
	  GemPixUtil.h: structured the location of functions a bit:
	  GemPixObj does not hold any utility functions GemFuncUtil holds
	  general untilities (like powerOfTwo()) GemPixUtil holds utility
	  functions for image manipulation (only!) GemPixPete (NEW) holds
	  functions from pete's_plugins (specialzied PixUtil-functions)

2004-04-08 13:51  zmoelnig

	* src/Pixes/pix_rgba.cpp: added some comments

2004-04-08 13:51  zmoelnig

	* src/Pixes/: pix_hsv2rgb.cpp, pix_image.cpp, pix_movie.cpp,
	  pix_movieYUV.cpp, pix_rgb2hsv.cpp, pix_sig2pix.cpp,
	  pix_snap2tex.cpp, pix_texture.cpp: moved utility functions
	  (namely: powerOfTwo()) into Base/GemFuncUtil

2004-04-08 13:46  zmoelnig

	* src/Pixes/: pix_a_2grey.cpp, pix_aging.cpp, pix_backlight.cpp,
	  pix_colorreduce.cpp, pix_compare.cpp, pix_convert.cpp,
	  pix_curve.cpp, pix_dot.cpp, pix_duotone.cpp, pix_halftone.cpp,
	  pix_histo.cpp, pix_kaleidoscope.cpp, pix_levels.cpp,
	  pix_lumaoffset.cpp, pix_metaimage.cpp, pix_mix.cpp,
	  pix_posterize.cpp, pix_puzzle.cpp, pix_rds.cpp,
	  pix_refraction.cpp, pix_roll.cpp, pix_scanline.cpp, pix_tIIR.cpp:
	  added setPixModified() where apropriate so that the
	  pull-mechanism works

2004-04-08 13:43  zmoelnig

	* help/: pix_2grey.pd, pix_a_2grey.pd, pix_alpha.pd,
	  pix_backlight.pd, pix_bitmask.pd, pix_chroma_key.pd,
	  pix_color.pd, pix_coloralpha.pd, pix_colormatrix.pd,
	  pix_colorreduce.pd, pix_compare.pd, pix_convolve.pd, pix_crop.pd,
	  pix_curve.pd, pix_dot.pd, pix_duotone.pd, pix_flip.pd,
	  pix_gain.pd, pix_grey.pd, pix_halftone.pd, pix_histo.pd,
	  pix_hsv2rgb.pd, pix_imageInPlace.pd, pix_invert.pd,
	  pix_kaleidoscope.pd, pix_levels.pd, pix_lumaoffset.pd,
	  pix_metaimage.pd, pix_mix.pd, pix_movement.pd, pix_normalize.pd,
	  pix_offset.pd, pix_posterize.pd, pix_puzzle.pd, pix_rds.pd,
	  pix_rectangle.pd, pix_refraction.pd, pix_rgb2hsv.pd, pix_rgba.pd,
	  pix_roll.pd, pix_scanline.pd, pix_sig2pix~.pd, pix_takealpha.pd,
	  pix_threshold.pd, pix_yuv.pd: removed the [pix_buf] entirely from
	  the example-patches.	i must have been somewhere else when i
	  added them

2004-04-07 19:35  zmoelnig

	* src/Base/GemWinCreateMac.cpp: removed unused variables

2004-04-07 19:33  zmoelnig

	* help/pix_rds.pd: fixed documentation

2004-04-07 19:20  zmoelnig

	* src/Pixes/: filmMPEG3.cpp, pix_halftone.cpp, pix_metaimage.cpp,
	  pix_rds.cpp: fixed the alpha-channel

2004-04-07 19:20  zmoelnig

	* src/Pixes/pix_rgba.cpp: added some more verbosity on errors (so
	  we know, where the error occurred)

2004-04-07 18:09  tigital

	* help/camera.pd: quick n'dirty camera help patch...will flesh out
	  tonight?

2004-04-07 18:08  zmoelnig

	* src/Pixes/pix_rgba.cpp: fixed the bug that kept cs-converters
	  from working on apple

2004-04-07 18:07  zmoelnig

	* src/Pixes/pix_rds.cpp: removed unused variable G

2004-04-07 18:04  tigital

	* src/Pixes/: pix_backlight.h, pix_halftone.cpp, pix_levels.cpp,
	  pix_lumaoffset.cpp, pix_lumaoffset.h, pix_metaimage.cpp,
	  pix_backlight.cpp, pix_halftone.h, pix_levels.h, pix_metaimage.h:
	  added YUV support (kinda):  it works, but isn't precisely correct
	  yet (especially in pix_objects that are color based; displacement
	  objects are less-obviously incorrect)

2004-04-07 18:02  tigital

	* src/Pixes/: pix_refraction.cpp, pix_refraction.h: added YUV
	  support (kinda):  it works, but isn't precisely correct yet

2004-04-07 16:47  zmoelnig

	* src/Base/: GemMan.cpp, GemWinCreateXWin.cpp: added switchable
	  support for FSAA under linux with nvidia-cards

2004-04-07 16:03  zmoelnig

	* src/Geos/imageVert.cpp: removed the genList from the
	  new()-function and put it into render() (this was default on
	  macOS already)

2004-04-07 16:01  zmoelnig

	* src/Geos/newWave.cpp: removed verbose output

2004-04-07 16:00  zmoelnig

	* src/Pixes/: pix_2grey.cpp, pix_a_2grey.cpp, pix_grey.cpp: added
	  US-english alias-name ("gray")

2004-04-07 15:58  zmoelnig

	* src/: Manips/color.cpp, Manips/colorRGB.cpp, Pixes/pix_color.cpp,
	  Pixes/pix_coloralpha.cpp, Pixes/pix_colormatrix.cpp,
	  Pixes/pix_colorreduce.cpp: added british alias-name

2004-04-07 13:19  zmoelnig

	* examples/07.texture/07.feedback.pd: an example for
	  texture-feedbacking

2004-04-07 13:09  zmoelnig

	* src/Geos/: teapot.cpp, teapot.h: added 2nd argument for number of
	  slices fixed the draw-type

2004-04-07 13:08  zmoelnig

	* src/Geos/: sphere.cpp, sphere.h: added second argument (number of
	  slices) the re-creation of the sphere is now triggered by a
	  change in state->texture too

2004-04-07 12:28  zmoelnig

	* src/Pixes/: pix_alpha.cpp, pix_alpha.h: the processGray tried to
	  convert the image from RGB to RGBA in-place.	i have no idea, how
	  this code made it into the [pix_alpha]

2004-04-07 11:12  zmoelnig

	* src/Controls/gemwin.cpp: removed the non-mac specific part in the
	  fullscreen-message (no one really cares if the fullscreen-flag is
	  bool or int)

2004-04-07 11:03  zmoelnig

	* src/Base/: CPPExtern.cpp, CPPExtern.h, GemBase.cpp,
	  GemPixDualObj.cpp, GemPixObj.cpp: all the CPPExtern-objects now
	  no their own class-name, which is stored in m_objectname
	  error-messages report this name

2004-04-06 04:43  tigital

	* src/Base/GemPixImageSave.cpp: [OSX] cleaned up warnings and
	  consolidated a previously used function

2004-04-05 05:06  cclepper

	* src/Pixes/pix_videoDarwin.h: removed commenting out of
	  m_colorspace

2004-04-04 19:45  cclepper

	* src/Pixes/pix_texture.cpp: client_storage is now off by default
	  to avoid texture corruption problems when using pix_film in 'auto
	  1' mode on OSX.  setting individual frames still works fine with
	  client_storage however.

2004-04-04 19:43  cclepper

	* src/Controls/gemwin.cpp: added OSX specific handling of the
	  'fullscreen' message to accommodate multiple displays

2004-04-03 20:34  zmoelnig

	* help/: pix_2grey.pd, pix_a_2grey.pd, pix_add.pd, pix_alpha.pd,
	  pix_background.pd, pix_backlight.pd, pix_bitmask.pd, pix_buf.pd,
	  pix_chroma_key.pd, pix_color.pd, pix_coloralpha.pd,
	  pix_colormatrix.pd, pix_colorreduce.pd, pix_compare.pd,
	  pix_composite.pd, pix_convolve.pd, pix_coordinate.pd,
	  pix_crop.pd, pix_curve.pd, pix_diff.pd, pix_dot.pd, pix_draw.pd,
	  pix_dump.pd, pix_duotone.pd, pix_flip.pd, pix_gain.pd,
	  pix_grey.pd, pix_halftone.pd, pix_histo.pd, pix_hsv2rgb.pd,
	  pix_info.pd, pix_invert.pd, pix_kaleidoscope.pd, pix_levels.pd,
	  pix_lumaoffset.pd, pix_mask.pd, pix_metaimage.pd, pix_mix.pd,
	  pix_multiply.pd, pix_normalize.pd, pix_offset.pd,
	  pix_pix2sig~.pd, pix_posterize.pd, pix_puzzle.pd,
	  pix_rectangle.pd, pix_refraction.pd, pix_rgb2hsv.pd, pix_rgba.pd,
	  pix_roll.pd, pix_scanline.pd, pix_subtract.pd, pix_takealpha.pd,
	  pix_threshold.pd, pix_videoDS.pd, pix_yuv.pd: fixed the
	  help-patches (mainly removed the "auto 1" message from [pix_buf]
	  as it was absolutely non-sense

2004-04-03 02:06  cclepper

	* src/Pixes/: pix_videoDarwin.h, pix_videoDarwin.cpp: removed most
	  of the debug messages.

2004-04-03 01:27  cclepper

	* src/: Base/GemPixImageSave.cpp, Base/GemPixImageSave.h,
	  Pixes/pix_write.cpp: now has functioning code on OSX

2004-04-02 11:11  zmoelnig

	* src/Pixes/: DSgrabber.cpp, filmAVI.cpp, filmQT.cpp, filmQT4L.cpp,
	  pix_filmNEW.cpp, pix_videoDS.cpp: removed some verbosity

2004-04-02 11:05  zmoelnig

	* src/Base/: GemPixUtil.cpp, GemPixUtil.h: moved implementation
	  code from header-file to cpp-file

2004-04-02 11:04  zmoelnig

	* src/Base/TextBase.cpp: fixed some includes (?)

2004-04-02 08:43  zmoelnig

	* src/Pixes/: DSgrabber.cpp, pix_videoDS.cpp: included the
	  Base/config.h so we get the HAVE_DIRECTSHOW define when
	  appropriate set the help-symbol of the directshow-version of
	  pix_video to [pix_videoDS] (since the api is so different)

2004-04-02 00:00  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX] now the mouse can be
	  hidden/shown via the cursor 0/1 message

2004-04-01 20:52  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX] finally figure out how to get
	  mouse coords to be the same whether or not there is a title bar,
	  and no matter where the window is on the desktop...also solves
	  the "go to {0,0} when mouse leaves window" problem!

2004-03-31 07:33  tigital

	* src/Pixes/pix_motionblur.cpp: shut up a warning: can't have /*
	  inside a comment

2004-03-31 07:25  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX] shut up some warnings

2004-03-29 20:57  zmoelnig

	* src/TODO: i guess we should release rather sooner than later

2004-03-29 20:48  zmoelnig

	* src/yuv/: setup.h, yuv_add.cpp, yuv_add.h, yuv_adjust.cpp,
	  yuv_adjust.h, yuv_average.cpp, yuv_average.h, yuv_bandw.cpp,
	  yuv_bandw.h, yuv_bitshift.cpp, yuv_bitshift.h, yuv_bitwise.cpp,
	  yuv_bitwise.h, yuv_blank.cpp, yuv_blank.h, yuv_blur.cpp,
	  yuv_blur.h, yuv_chroma_key.cpp, yuv_chroma_key.h, yuv_clamp.cpp,
	  yuv_clamp.h, yuv_compare.cpp, yuv_compare.h, yuv_difference.cpp,
	  yuv_difference.h, yuv_dual.cpp, yuv_dual.h, yuv_emboss.cpp,
	  yuv_emboss.h, yuv_film.cpp, yuv_film.h, yuv_filmDarwin.cpp,
	  yuv_filmDarwin.h, yuv_gain.cpp, yuv_gain.h, yuv_invert.cpp,
	  yuv_invert.h, yuv_luma_key.cpp, yuv_luma_key.h, yuv_mask.cpp,
	  yuv_mask.h, yuv_mix.cpp, yuv_mix.h, yuv_movie.cpp, yuv_movie.h,
	  yuv_mult.cpp, yuv_mult.h, yuv_pixel_average.cpp,
	  yuv_pixel_average.h, yuv_pixel_data.cpp, yuv_pixel_data.h,
	  yuv_pixel_isolate.cpp, yuv_pixel_isolate.h,
	  yuv_pixel_replace.cpp, yuv_pixel_replace.h, yuv_posterize.cpp,
	  yuv_posterize.h, yuv_set.cpp, yuv_set.h, yuv_split.cpp,
	  yuv_split.h, yuv_subtract.cpp, yuv_subtract.h, yuv_swap.cpp,
	  yuv_swap.h, yuv_video.cpp, yuv_video.h, yuv_videoDarwin.cpp,
	  yuv_videoDarwin.h: finally removed the YUV-stuff (should have
	  been done for ages)

2004-03-29 20:45  zmoelnig

	* doc/gem.release_notes.txt: fixed line-breaks

2004-03-29 20:32  zmoelnig

	* examples/99.games/puzzle.pd: re-added as binary (pd-files
	  shouldn't be text)

2004-03-29 20:32  zmoelnig

	* examples/99.games/puzzle.pd: removed "text"-pd files (should be
	  binary)

2004-03-29 20:29  zmoelnig

	* examples/: 07.texture/01.texture.pd, 07.texture/02.TexCoord.pd,
	  07.texture/04.moveImages.pd, 07.texture/05.newWave.pd,
	  07.texture/06.ripple.pd, 08.io/01.Mouse.pd, 08.io/02.Tablet.pd,
	  08.io/03.Orb.pd, 08.io/04.UseOrb.pd, 09.openGL/01.primQuad.pd:
	  re-added as binary (pd-files shouldn't be text)

2004-03-29 20:29  zmoelnig

	* examples/: 07.texture/01.texture.pd, 07.texture/02.TexCoord.pd,
	  07.texture/04.moveImages.pd, 07.texture/05.newWave.pd,
	  07.texture/06.ripple.pd, 08.io/01.Mouse.pd, 08.io/02.Tablet.pd,
	  08.io/03.Orb.pd, 08.io/04.UseOrb.pd, 09.openGL/01.primQuad.pd:
	  removed "text"-pd files (should be binary)

2004-03-29 20:25  zmoelnig

	* examples/: 05.text/01.Text.pd, 05.text/01.TextNoLoadBang.pd,
	  05.text/03.ChangeText.pd, 05.text/03.ChangeTextNoLoadBang.pd,
	  05.text/arial.ttf, 06.particle/01.simple.pd,
	  06.particle/02.fountain.pd, 06.particle/03.orbit.pd,
	  06.particle/04.combo.pd, 06.particle/05.twoSrc.pd,
	  06.particle/06.target.pd, 06.particle/07.render.pd,
	  06.particle/08.info.pd: re-added as binary (pd-files shouldn't be
	  text)

2004-03-29 20:25  zmoelnig

	* examples/: 05.text/01.Text.pd, 05.text/01.TextNoLoadBang.pd,
	  05.text/03.ChangeText.pd, 05.text/03.ChangeTextNoLoadBang.pd,
	  05.text/arial.ttf, 06.particle/01.simple.pd,
	  06.particle/02.fountain.pd, 06.particle/03.orbit.pd,
	  06.particle/04.combo.pd, 06.particle/05.twoSrc.pd,
	  06.particle/06.target.pd, 06.particle/07.render.pd,
	  06.particle/08.info.pd: removed "text"-pd files (should be
	  binary)

2004-03-29 20:22  zmoelnig

	* examples/: 03.lighting/01.world_light.pd,
	  03.lighting/02.light.pd, 03.lighting/03.controlLights.pd,
	  03.lighting/04.moveSpheres.pd, 03.lighting/05.materials.pd,
	  04.pix/01.image.pd, 04.pix/02.multiimage.pd,
	  04.pix/04.ImageInPlace.pd, 04.pix/05.film.pd, 04.pix/05.movie.pd,
	  04.pix/06.PixRect.pd, 04.pix/07.PixSet.pd, 04.pix/08.PixDump.pd,
	  04.pix/09.Histogram.pd, 04.pix/10.PixDataSimple.pd,
	  04.pix/11.PixDataComplex.pd, 04.pix/12.add.pd,
	  04.pix/12.blending.pd, 04.pix/12.composite.pd,
	  04.pix/12.pix_multiply.pd, 04.pix/13.maskDancer.pd,
	  04.pix/14.takeAlpha.pd, 04.pix/15.pix_alpha.pd,
	  04.pix/16.alphaGrey.pd, 04.pix/16.pix_2grey.pd,
	  04.pix/17.pix_gain.pd, 04.pix/18.Curves.pd,
	  04.pix/19.colorMatrix.pd, 04.pix/20.convolve.pd,
	  04.pix/22.biquad.pd, 04.pix/23.gravity.pd,
	  04.pix/24.time-filtering.pd, 04.pix/25.buffer.pd,
	  04.video/00.SimpleVideo.pd, 04.video/01.VideoPaint.pd,
	  04.video/02.VideoSphere.pd, 04.video/03.movement_detection.pd,
	  04.video/04.videoRTX.pd: re-added as binary (pd-files shouldn't
	  be text)

2004-03-29 20:21  zmoelnig

	* examples/: 03.lighting/01.world_light.pd,
	  03.lighting/02.light.pd, 03.lighting/03.controlLights.pd,
	  03.lighting/04.moveSpheres.pd, 03.lighting/05.materials.pd,
	  04.pix/01.image.pd, 04.pix/02.multiimage.pd,
	  04.pix/04.ImageInPlace.pd, 04.pix/05.film.pd, 04.pix/05.movie.pd,
	  04.pix/06.PixRect.pd, 04.pix/07.PixSet.pd, 04.pix/08.PixDump.pd,
	  04.pix/09.Histogram.pd, 04.pix/10.PixDataSimple.pd,
	  04.pix/11.PixDataComplex.pd, 04.pix/12.add.pd,
	  04.pix/12.blending.pd, 04.pix/12.composite.pd,
	  04.pix/12.pix_multiply.pd, 04.pix/13.maskDancer.pd,
	  04.pix/14.takeAlpha.pd, 04.pix/15.pix_alpha.pd,
	  04.pix/16.alphaGrey.pd, 04.pix/16.pix_2grey.pd,
	  04.pix/17.pix_gain.pd, 04.pix/18.Curves.pd,
	  04.pix/19.colorMatrix.pd, 04.pix/20.convolve.pd,
	  04.pix/22.biquad.pd, 04.pix/23.gravity.pd,
	  04.pix/24.time-filtering.pd, 04.pix/25.buffer.pd,
	  04.video/00.SimpleVideo.pd, 04.video/01.VideoPaint.pd,
	  04.video/02.VideoSphere.pd, 04.video/03.movement_detection.pd,
	  04.video/04.videoRTX.pd: removed "text"-pd files (should be
	  binary)

2004-03-29 20:19  zmoelnig

	* examples/: 01.basic/01.redSquare.pd,
	  01.basic/02.blueRectangle.pd, 01.basic/03.disk.pd,
	  01.basic/04.PrimTri.pd, 01.basic/05.cube.pd,
	  01.basic/06.sphere.pd, 01.basic/07.cylinder.pd,
	  01.basic/08.model.pd, 01.basic/09.yelloTeapot.pd,
	  02.advanced/01.Separator.pd, 02.advanced/02.Ortho.pd,
	  02.advanced/03.View.pd, 02.advanced/03.View_OSD.pd,
	  02.advanced/04.Fog.pd, 02.advanced/05.Stereo.pd,
	  02.advanced/06.StereoParticle.pd, 02.advanced/07.Snapshot1.pd,
	  02.advanced/08.Snapshot2.pd, 02.advanced/09.SnapshotSave.pd,
	  02.advanced/10.LinearPath.pd, 02.advanced/11.SplinePath.pd,
	  02.advanced/12.Hsv.pd, 02.advanced/13.ModelRescale.pd,
	  02.advanced/14.RenderOrder.pd, 02.advanced/15.GemWin.pd: re-added
	  as binary (pd-files shouldn't be text)

2004-03-29 20:17  zmoelnig

	* examples/: 01.basic/01.redSquare.pd,
	  01.basic/02.blueRectangle.pd, 01.basic/03.disk.pd,
	  01.basic/04.PrimTri.pd, 01.basic/05.cube.pd,
	  01.basic/06.sphere.pd, 01.basic/07.cylinder.pd,
	  01.basic/08.model.pd, 01.basic/09.yelloTeapot.pd,
	  02.advanced/01.Separator.pd, 02.advanced/02.Ortho.pd,
	  02.advanced/03.View.pd, 02.advanced/03.View_OSD.pd,
	  02.advanced/04.Fog.pd, 02.advanced/05.Stereo.pd,
	  02.advanced/06.StereoParticle.pd, 02.advanced/07.Snapshot1.pd,
	  02.advanced/08.Snapshot2.pd, 02.advanced/09.SnapshotSave.pd,
	  02.advanced/10.LinearPath.pd, 02.advanced/11.SplinePath.pd,
	  02.advanced/12.Hsv.pd, 02.advanced/13.ModelRescale.pd,
	  02.advanced/14.RenderOrder.pd, 02.advanced/15.GemWin.pd: removed
	  "text"-pd files (should be binary)

2004-03-29 20:15  zmoelnig

	* help/: accumrotate.pd, alpha.pd, alternate.pd, ambient.pd,
	  ambientRGB.pd, average.pd, circle.pd, color.pd, colorRGB.pd,
	  colorSquare.pd, cone.pd, counter.pd, cube.pd, cylinder.pd,
	  depth.pd, diffuse.pd, diffuseRGB.pd, disk.pd, emission.pd,
	  emissionRGB.pd, gemhead.pd, gemkeyboard.pd, gemkeyname.pd,
	  gemmouse.pd, gemorb.pd, gemtablet.pd, gemwin.pd, hsv2rgb.pd,
	  imageVert.pd, light.pd, linear_path.pd, model.pd, multimodel.pd,
	  oneshot.pd, ortho.pd, part_color.pd, part_damp.pd, part_draw.pd,
	  part_follow.pd, part_gravity.pd, part_head.pd, part_killold.pd,
	  part_killslow.pd, part_orbitpoint.pd, part_size.pd,
	  part_source.pd, part_targetcolor.pd, part_targetsize.pd,
	  part_velcone.pd, part_velocity.pd, part_velsphere.pd,
	  part_vertex.pd, pix_background.pd, pix_blob.pd,
	  pix_clearblock.pd, pix_compare.pd, pix_data.pd, pix_film.pd,
	  pix_halftone.pd, pix_indycam.pd, pix_kaleidoscope.pd, pix_mix.pd,
	  pix_motionblur.pd, pix_movement.pd, pix_resize.pd, pix_roll.pd,
	  pix_scanline.pd, pix_sig2pix~.pd, pix_snap.pd, pix_texture.pd,
	  pix_video.pd, pix_videoDS.pd, pix_write.pd, pix_zoom.pd,
	  polygon.pd, primTri.pd, randomF.pd, rectangle.pd,
	  render_trigger.pd, rgb2hsv.pd, rotate.pd, rotateXYZ.pd, scale.pd,
	  scaleXYZ.pd, separator.pd, specular.pd, specularRGB.pd,
	  sphere.pd, spline_path.pd, square.pd, text2d.pd, text3d.pd,
	  textextruded.pd, textoutline.pd, translate.pd, translateXYZ.pd,
	  triangle.pd, tripleLine.pd, tripleRand.pd, v+.pd, v-.pd,
	  vector+.pd, vector-.pd, world_light.pd: readded as binary

2004-03-29 20:14  zmoelnig

	* help/: pix_add.pd, pix_biquad.pd, pix_buf.pd, pix_chroma_key.pd,
	  pix_composite.pd, pix_diff.pd, pix_imageInPlace.pd, pix_mask.pd,
	  pix_multiimage.pd, pix_multiply.pd, pix_subtract.pd,
	  pix_takealpha.pd, shininess.pd: added as binary

2004-03-29 20:12  zmoelnig

	* help/: pix_add.pd, pix_biquad.pd, pix_buf.pd, pix_chroma_key.pd,
	  pix_composite.pd, pix_diff.pd, pix_imageInPlace.pd, pix_mask.pd,
	  pix_multiimage.pd, pix_multiply.pd, pix_subtract.pd,
	  pix_takealpha.pd, shininess.pd, accumrotate.pd, alpha.pd,
	  alternate.pd, ambient.pd, ambientRGB.pd, average.pd, circle.pd,
	  color.pd, colorRGB.pd, colorSquare.pd, cone.pd, counter.pd,
	  cube.pd, cylinder.pd, depth.pd, diffuse.pd, diffuseRGB.pd,
	  disk.pd, emission.pd, emissionRGB.pd, gemhead.pd, gemkeyboard.pd,
	  gemkeyname.pd, gemmouse.pd, gemorb.pd, gemtablet.pd, gemwin.pd,
	  hsv2rgb.pd, imageVert.pd, light.pd, linear_path.pd, model.pd,
	  multimodel.pd, oneshot.pd, ortho.pd, part_color.pd, part_damp.pd,
	  part_draw.pd, part_follow.pd, part_gravity.pd, part_head.pd,
	  part_killold.pd, part_killslow.pd, part_orbitpoint.pd,
	  part_size.pd, part_source.pd, part_targetcolor.pd,
	  part_targetsize.pd, part_velcone.pd, part_velocity.pd,
	  part_velsphere.pd, part_vertex.pd, pix_background.pd,
	  pix_blob.pd, pix_clearblock.pd, pix_compare.pd, pix_data.pd,
	  pix_film.pd, pix_halftone.pd, pix_indycam.pd,
	  pix_kaleidoscope.pd, pix_mix.pd, pix_motionblur.pd,
	  pix_movement.pd, pix_resize.pd, pix_roll.pd, pix_scanline.pd,
	  pix_sig2pix~.pd, pix_snap.pd, pix_texture.pd, pix_video.pd,
	  pix_videoDS.pd, pix_write.pd, pix_zoom.pd, polygon.pd,
	  primTri.pd, randomF.pd, rectangle.pd, render_trigger.pd,
	  rgb2hsv.pd, rotate.pd, rotateXYZ.pd, scale.pd, scaleXYZ.pd,
	  separator.pd, specular.pd, specularRGB.pd, sphere.pd,
	  spline_path.pd, square.pd, text2d.pd, text3d.pd, textextruded.pd,
	  textoutline.pd, translate.pd, translateXYZ.pd, triangle.pd,
	  tripleLine.pd, tripleRand.pd, v+.pd, v-.pd, vector+.pd,
	  vector-.pd, world_light.pd: removed "text"-pd files (should be
	  binary)

2004-03-29 20:11  zmoelnig

	* help/pix_image.pd: new help-patch

2004-03-29 18:10  zmoelnig

	* help/gemhead.pd: updated documentation

2004-03-29 18:09  zmoelnig

	* src/gem.dsp: compiled under windoze and thus updated my
	  project-file

2004-03-29 18:08  zmoelnig

	* src/Base/GemVersion.h: version is now ReleaseCandidate-1

2004-03-29 18:05  zmoelnig

	* src/Pixes/: pix_backlight.cpp, pix_blur.cpp, pix_dot.cpp: removed
	  unneeded variables to silence macOS-gcc

2004-03-29 18:03  zmoelnig

	* src/Geos/: curve.cpp, disk.cpp, newWave.cpp, slideSquares.cpp:
	  removed unneeded variables to shut down macOS-gcc

2004-03-29 18:02  zmoelnig

	* src/Base/GemWinCreateMac.cpp: accidentially the button-state was
	  reported to be "1" when released (like on press); fixed

2004-03-29 18:01  zmoelnig

	* src/Base/GemPixImageSave.cpp: type change to get rid of
	  compiler-warning under macOS

2004-03-29 18:00  zmoelnig

	* GEM_darwin.pbproj/: project.pbxproj, zmoelnig.pbxuser: compiled
	  it and therefore updated my project files

2004-03-29 08:43  zmoelnig

	* src/Base/TextBase.cpp: added includes for NT

2004-03-29 08:12  cclepper

	* src/Geos/: sphere.cpp, sphere.h: changed the render function to
	  only calculate the geometry when the geometry changes.  results
	  in at least a 3X speedup.

2004-03-26 07:40  cclepper

	* src/Pixes/pix_offset.cpp: initialized the Y,U,V variables to 0.
	  no more random color fields on loading a patch with pix_offset.

2004-03-25 20:57  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX]-only:  standardized mouse
	  location to "window relative":  however, remember that (0,0) is
	  always the top left corner, whether or not there is a title
	  bar/border

2004-03-25 18:22  zmoelnig

	* src/: Base/GemBase.cpp, Base/GemCache.cpp, Base/GemCache.h,
	  Base/GemPixDualObj.cpp, Base/GemPixObj.cpp,
	  Pixes/pix_clearblock.cpp, Pixes/pix_image.cpp,
	  Pixes/pix_multiimage.cpp, Pixes/pix_snap.cpp: added a
	  magic-number to the GemCache to ensure that the cache is valid

2004-03-25 13:12  zmoelnig

	* src/Controls/gemhead.cpp: initialize GemCache on creation, so we
	  can dynamically create [gemhead]s and they will start rendering
	  without having to restart the engine

2004-03-25 11:03  zmoelnig

	* src/Geos/model.cpp: removed another post()

2004-03-24 22:11  zmoelnig

	* src/Geos/model.cpp: removed the "drawing all groups" messages

2004-03-24 22:10  zmoelnig

	* src/Base/: GemCache.cpp, GemCache.h: added a reset()-method to
	  re-set an instance without having to destroy and re-create it
	  (see [gemhead])

2004-03-24 22:08  zmoelnig

	* src/Controls/gemhead.cpp: each gemhead now has an instance of the
	  GemCache that is only reset when rendering is started (instead of
	  being destroyed and re-created) hopefully this fixes some memory
	  bug.

2004-03-24 18:27  zmoelnig

	* src/openGL/: GEMglCallList.cpp, GEMglCallList.h: added, since
	  needed for debugging

2004-03-24 14:20  zmoelnig

	* src/Controls/gemhead.cpp: fixed initial materials (ambient,
	  specular, diffuse, shininess, emission)

2004-03-24 12:47  zmoelnig

	* src/Base/: TextBase.cpp, TextBase.h: added auto-(re)loading of
	  fonts when rendering is started fixed some cleanup-issues

2004-03-24 12:41  zmoelnig

	* src/Geos/text2d.cpp: removed "done" message

2004-03-22 23:31  tigital

	* src/Base/GemWinCreateMac.cpp: [OSX]-only:  [gemwin] now correctly
	  responds to the following messages:  border & title; also fixed
	  keyboard character input for [gemkeyname]

2004-03-21 20:58  zmoelnig

	* help/: curve.pd, invert.pd, pix_2grey.pd, pix_a_2grey.pd,
	  pix_aging.pd, pix_alpha.pd, pix_bitmask.pd, pix_coloralpha.pd,
	  pix_colormatrix.pd, pix_convolve.pd, pix_coordinate.pd,
	  pix_curve.pd, pix_draw.pd, pix_dump.pd, pix_flip.pd, pix_gain.pd,
	  pix_histo.pd, pix_hsv2rgb.pd, pix_image.pd, pix_invert.pd,
	  pix_metaimage.pd, pix_movie.pd, pix_normalize.pd, pix_offset.pd,
	  pix_pix2sig~.pd, pix_puzzle.pd, pix_rectangle.pd,
	  pix_refraction.pd, pix_rgb2hsv.pd, pix_rgba.pd, pix_rtx.pd,
	  pix_set.pd, pix_threshold.pd, teapot.pd: readded help-patches

2004-03-21 20:53  zmoelnig

	* help/: curve.pd, invert.pd, pix_2grey.pd, pix_a_2grey.pd,
	  pix_aging.pd, pix_alpha.pd, pix_bitmask.pd, pix_coloralpha.pd,
	  pix_colormatrix.pd, pix_convolve.pd, pix_coordinate.pd,
	  pix_curve.pd, pix_draw.pd, pix_dump.pd, pix_flip.pd, pix_gain.pd,
	  pix_histo.pd, pix_hsv2rgb.pd, pix_image.pd, pix_invert.pd,
	  pix_metaimage.pd, pix_movie.pd, pix_normalize.pd, pix_offset.pd,
	  pix_pix2sig~.pd, pix_puzzle.pd, pix_rectangle.pd,
	  pix_refraction.pd, pix_rgb2hsv.pd, pix_rgba.pd, pix_rtx.pd,
	  pix_set.pd, pix_threshold.pd, teapot.pd: removed to check in as
	  "binary" again

2004-03-21 20:52  zmoelnig

	* help/: pix_grey.pd, pix_yuv.pd: updated help-patches

2004-03-21 14:39  zmoelnig

	* src/Geos/: curve.cpp, curve.h: fixed rectangle textureing

2004-03-20 21:42  zmoelnig

	* doc/gem.known_bugs.txt: fixed bugs

2004-03-20 21:36  zmoelnig

	* src/: Base/GemGluObj.cpp, Base/GemGluObj.h, Geos/cone.cpp,
	  Geos/cone.h, Geos/cylinder.cpp, Geos/cylinder.h, Geos/disk.cpp,
	  Geos/sphere.cpp, Geos/sphere.h: rolled the GLU code directly into
	  the objects to enable rectangle textures

2004-03-20 17:42  zmoelnig

	* src/: Geos/teapot.cpp, Geos/teapot.h, Gnu/configure: cleaned
	  GLUT-removal code a bit

2004-03-20 17:06  zmoelnig

	* src/: Geos/teapot.cpp, Geos/teapot.h, Gnu/configure.in,
	  Base/GemGlutObj.cpp, Base/GemGlutObj.h, Base/configLinux.h.in:
	  removed dependencies on GLUT [teapot] is now "built-in"

2004-03-19 20:52  zmoelnig

	* help/: pix_texture.pd, pix_texture2.pd, pix_videoDS.pd: updated
	  help-patches removed all traces of [pix_texture2]

2004-03-19 20:12  zmoelnig

	* help/: curve.pd, polygon.pd: updated help-patches

2004-03-19 20:09  zmoelnig

	* src/Pixes/: pix_compare.cpp, pix_compare.h, pix_diff.cpp,
	  pix_diff.h: added grayscale support

2004-03-19 18:00  zmoelnig

	* src/Geos/: polygon.cpp, polygon.h: removed the "maximum number of
	  control points" restriction (so now, we can have 1000s of control
	  points in polygon/curve)

2004-03-19 16:01  zmoelnig

	* help/: alternate.pd, colorSquare.pd, curve.pd, gemhead.pd,
	  gemkeyboard.pd, gemkeyname.pd, gemmouse.pd, gemtablet.pd,
	  hsv2rgb.pd, imageVert.pd, invert.pd, light.pd, linear_path.pd,
	  model.pd, multimodel.pd, oneshot.pd, ortho.pd, polygon.pd,
	  primTri.pd, rectangle.pd, render_trigger.pd, rotate.pd,
	  rotateXYZ.pd, scale.pd, scaleXYZ.pd, separator.pd, specular.pd,
	  specularRGB.pd, square.pd, text2d.pd, text3d.pd, textextruded.pd,
	  textoutline.pd, translate.pd, translateXYZ.pd, triangle.pd,
	  tripleLine.pd, v+.pd, world_light.pd: new help-patches (e.g:
	  working examples)

2004-03-19 16:00  zmoelnig

	* src/Geos/polygon.cpp: added a method "width" for the linewidth
	  (compatibility with other geos)

2004-03-19 15:58  zmoelnig

	* src/MarkEx/hsvrgb.cpp: changed the helpsymbol

2004-03-19 15:54  zmoelnig

	* src/Base/GemWinCreateMac.cpp: got the mapping from mac-buttons to
	  gem-buttons right (hopefully)

2004-03-19 12:47  zmoelnig

	* help/randF.pd: randF is only an alias for randomF; there
	  shouldn't be a separate help-file

2004-03-18 17:51  zmoelnig

	* src/: Base/GemWinCreateMac.cpp, Controls/gemmouse.cpp: the
	  mac-spefific button-offset has been moved to GemWinCreateMac

2004-03-17 21:04  zmoelnig

	* src/Pixes/: pix_filmNEW.h, pix_videoNEW.h: force auto-registering
	  when appropriate

2004-03-17 21:02  zmoelnig

	* src/Pixes/: film.cpp, film.h, filmAVIPLAY.cpp, filmMPEG1.cpp,
	  filmMPEG3.cpp, filmQT4L.cpp: set the "newfilm"-flag when a new
	  film is loaded

2004-03-17 20:58  zmoelnig

	* src/Geos/curve3d.cpp: tried to fix rectangle textures

2004-03-16 20:41  zmoelnig

	* src/Geos/: circle.cpp, newWave.cpp, newWave.h, ripple.cpp,
	  ripple.h, rubber.cpp, rubber.h, slideSquares.cpp, tube.cpp: tried
	  to fix rectangle textures

2004-03-16 02:16  tigital

	* src/Base/GemMan.cpp: OSX only:  forgot to "return noErr" in event
	  loop!

2004-03-15 14:35  zmoelnig

	* src/Pixes/pix_tIIR.cpp: small bug-fix: a unity gain of "1" was
	  translated to 255>>8 (which is less than 1 and led to fading
	  feed-backs)

2004-03-13 10:10  cclepper

	* src/Pixes/pix_movement.cpp: fixed #ifdefs

2004-03-10 18:32  zmoelnig

	* src/Gnu/: aclocal.m4, configure, configure.in: changed the
	  configure-process GemLibs can now be specified with "--gemlibs"
	  additional search-paths for ALL libraries can be specified with
	  "--libdir"

2004-03-10 18:07  zmoelnig

	* src/Pixes/pix_movement.cpp: ifdef'd the altivec code with __VEC__

2004-03-10 18:03  zmoelnig

	* src/: Controls/gemhead.h, Controls/gemkeyboard.h,
	  Controls/gemkeyname.h, Controls/gemmouse.h, Controls/gemorb.h,
	  Controls/gemtablet.h, Controls/gemwin.h, openGL/GLdefine.h,
	  Pixes/pix_buffer.h: added the HELPSYMBOL-BASE "Gem/", so the
	  help-patches will work, even though this object inherits from
	  CPPExtern and not from GemBase

2004-03-10 17:55  zmoelnig

	* src/Pixes/: pix_depot.cpp, pix_depot.h, pix_get.h, pix_put.h:
	  pix_depot and friends are now in pix_buffer et al.

2004-03-10 17:04  zmoelnig

	* src/Base/: TextBase.cpp, TextBase.h: added a new justification
	  "BASE" that does no justification at all; usefull, if you want a
	  constant base-line.

2004-03-07 19:49  cclepper

	* src/Base/GemWinCreateMac.cpp: new fullscreen code for 10.3 which
	  is good.  the window deletion routine does crash every 10-20
	  iterations though, which is bad.

2004-03-01 02:29  cclepper

	* src/Pixes/pix_background.cpp: added some more cache hints - 45%
	  percent faster

2004-03-01 02:02  cclepper

	* src/Pixes/: pix_film.cpp, pix_film.h, pix_filmDarwin.cpp,
	  pix_filmDarwin.h: I think this fixes the majority of playback
	  problems on OSX.  Movie loading is faster, playback is smoother
	  using 'rate $1'.

2004-03-01 01:58  cclepper

	* src/Pixes/pix_gain.cpp: just a cleaning

2004-03-01 01:55  cclepper

	* src/Pixes/pix_motionblur.cpp: slightly tweaked Altivec (load
	  hoisting)

2004-03-01 01:52  cclepper

	* src/Pixes/: pix_movement.cpp, pix_movement.h: added some Altivec
	  for YUV

2004-03-01 01:50  cclepper

	* src/Pixes/pix_offset.cpp: slightly better altivec.

2004-02-29 06:24  cclepper

	* src/Base/GemWinCreateMac.cpp: an improved window bounds fix.
	  still need to find a workaround for the fullscreen on 10.3 though

2004-02-25 07:25  cclepper

	* src/Pixes/: pix_biquad.cpp, pix_biquad.h: split processing into
	  RGBA and YUV portions.  added Altivec for YUV.

2004-02-16 20:07  zmoelnig

	* src/Base/TextBase.cpp: added path-searching for fonts.  so you
	  can add your systems favorite font-path and get a lot of other
	  TrueType-faces

2004-02-16 05:06  cclepper

	* src/Pixes/pix_blob.cpp: changed float to int processing in the
	  YUV code - now 10X faster.

2004-02-15 19:32  cclepper

	* src/Base/GemWinCreateMac.cpp: this should fix the window bounds
	  problem.

2004-02-13 15:09  zmoelnig

	* GEM_darwin.pbproj/project.pbxproj: hopefully got the
	  reference-types allright ("relative" instead of "absolute")

2004-02-13 15:06  zmoelnig

	* GEM_darwin.pbproj/zmoelnig.pbxuser: updated my project

2004-02-12 18:31  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: fixed a bug with filename-searching

2004-02-12 18:28  zmoelnig

	* src/Pixes/: pix_videoNEW.cpp, pix_videoNEW.h, video.cpp, video.h,
	  videoDV4L.cpp, videoDV4L.h: added better support for firewire
	  under linux (thanks to franz hildgen)

2004-02-12 18:25  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: fixed a type that prevented this
	  from being compiled

2004-02-10 13:36  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: now the gemwindow can be created
	  even if we only have DirectColor (instead of TrueColor); however
	  i haven't bothered yet with setting up the Palettes.

2004-02-10 13:27  zmoelnig

	* src/Controls/gemwin.cpp: added a newline at end of file

2004-02-10 13:24  zmoelnig

	* src/Base/GemMan.cpp: more friendly output of the "create window"
	  message

2004-02-10 11:47  zmoelnig

	* src/Base/GemWinCreateXWin.cpp: - added ErrorHandling, so Gem
	  doesn't crash if the display-/window-context has vanished before
	  we try to destroy the gemwindow - removed checking for ModLines
	  on remote displays; this used to crash; unfortunately this
	  disables fullscreen on remote displays

2004-02-10 11:23  zmoelnig

	* src/Base/GemMan.cpp: added and disabled Guenter at the
	  splash-screen (again)

2004-02-06 13:10  zmoelnig

	* src/Geos/model.cpp: BUGFIX: used to crash when no model was
	  loaded and trying to apply a texture.  (at least if NDEBUG was
	  not defined)

2004-02-06 13:08  zmoelnig

	* src/Manips/: ortho.cpp, ortho.h: as ben has pointed out, there
	  seems to be a bug when rendering to non-square windows:
	  everything get's distorted (say: on 640x480 a square would be a
	  rectangle with a 4/3-aspect); since i think this might break a
	  lot of things (?), i have left the old default behaviour but you
	  can turn off compatibility with "compat 0"

2004-02-05 19:17  zmoelnig

	* src/: gem.dsp, gem_vc6.dsw: updated my vc-project it now compiles
	  with FTGL

2004-02-05 19:16  zmoelnig

	* src/Base/: config.h, TextBase.h, configDarwin.h, configNT.h:
	  moved the defines for the platforms (e.g: whether macos uses
	  FTGL) into the appropriate config*.h files

2004-02-02 12:19  zmoelnig

	* src/TODO: all docu is done; but we need to compile it under
	  windows with FTGL support (i failed...)

2004-02-02 12:18  zmoelnig

	* src/gem.dsp: updated my project

2004-02-02 12:15  zmoelnig

	* src/Pixes/pix_filmNEW.cpp: put QT-loader *after* the AVI-loader,
	  because QT sometimes crashes when having loaded AVI's and tries
	  to load QT's afterwards.  so AVI is now handled by the built in
	  (for win) routines, and QuickTime is only used if it fails

2004-02-02 12:13  zmoelnig

	* src/Pixes/videoV4L.cpp: post "video4linux" and remove post of
	  "fish" ;-)

2004-02-02 12:12  zmoelnig

	* src/Pixes/videoDV4L.cpp: added some support for devices not
	  handled by devfs; added upside-down flag decode RGBA by hand
	  (since otherwise we would decode YUV->RGB->RGBA, all in
	  software...)

2004-02-02 12:11  zmoelnig

	* src/Pixes/video.h: ifdef'ed the inclusion of m_pd.h to make sure
	  it is not included double (breaks with old version of pd)

2004-02-02 12:08  zmoelnig

	* src/Manips/camera.h: exported the CVector class, since vc
	  complaint about this (probably this will break future things...)

2004-02-02 12:06  zmoelnig

	* src/Base/GemPixUtil.cpp: hopefully fixed fromUYVY since it did
	  mix up U and V when decoding dv-streams

2004-02-02 12:04  zmoelnig

	* src/Geos/model_loader.cpp: fixed types to keep compiler silent

2004-02-02 12:03  zmoelnig

	* src/Pixes/pix_movieDarwin.cpp: ifdef'ed everything to be
	  __APPLE__ only

2004-01-31 07:55  cclepper

	* src/Pixes/: pix_movieDarwin.cpp, pix_movieDarwin.h: new pix_movie
